/* A Bison parser, made by GNU Bison 3.7.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2020 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30704

/* Bison version string.  */
#define YYBISON_VERSION "3.7.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 50 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

#define f_generate_complex(fi_code, da, arg) \
  f_new_inst(FI_EA_SET, f_new_inst(fi_code, f_new_inst(FI_EA_GET, da), arg), da)

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_generate_empty(struct f_dynamic_attr dyn)
{
  struct f_val empty;

  switch (dyn.type & EAF_TYPE_MASK) {
    case EAF_TYPE_AS_PATH:
      empty = f_const_empty_path;
      break;
    case EAF_TYPE_INT_SET:
      empty = f_const_empty_clist;
      break;
    case EAF_TYPE_EC_SET:
      empty = f_const_empty_eclist;
      break;
    case EAF_TYPE_LC_SET:
      empty = f_const_empty_lclist;
      break;
    default:
      cf_error("Can't empty that attribute");
  }

  return f_new_inst(FI_EA_SET, f_new_inst(FI_CONSTANT, empty), dyn);
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter, *getter, *checker;
  switch (lval->type) {
    case F_LVAL_VARIABLE:
      setter = f_new_inst(FI_VAR_SET, expr, lval->sym);
      getter = f_new_inst(FI_VAR_GET, lval->sym);
      break;
    case F_LVAL_SA:
      setter = f_new_inst(FI_RTA_SET, expr, lval->sa);
      getter = f_new_inst(FI_RTA_GET, lval->sa);
      break;
    case F_LVAL_EA:
      setter = f_new_inst(FI_EA_SET, expr, lval->da);
      getter = f_new_inst(FI_EA_GET, lval->da);
      break;
    default:
      bug("Unknown lval type");
  }

  checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    log(L_WARN "Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    log(L_WARN "Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    log(L_WARN "Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */


#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 50 "conf/gen_parser.m4"

#line 919 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_PO = 16,                        /* PO  */
  YYSYMBOL_PC = 17,                        /* PC  */
  YYSYMBOL_NUM = 18,                       /* NUM  */
  YYSYMBOL_ENUM = 19,                      /* ENUM  */
  YYSYMBOL_IP4 = 20,                       /* IP4  */
  YYSYMBOL_IP6 = 21,                       /* IP6  */
  YYSYMBOL_VPN_RD = 22,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 23,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 24,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_TEXT = 25,                      /* TEXT  */
  YYSYMBOL_BYTESTRING = 26,                /* BYTESTRING  */
  YYSYMBOL_PREFIX_DUMMY = 27,              /* PREFIX_DUMMY  */
  YYSYMBOL_28_ = 28,                       /* '='  */
  YYSYMBOL_29_ = 29,                       /* '<'  */
  YYSYMBOL_30_ = 30,                       /* '>'  */
  YYSYMBOL_31_ = 31,                       /* '~'  */
  YYSYMBOL_NMA = 32,                       /* NMA  */
  YYSYMBOL_33_ = 33,                       /* '+'  */
  YYSYMBOL_34_ = 34,                       /* '-'  */
  YYSYMBOL_35_ = 35,                       /* '*'  */
  YYSYMBOL_36_ = 36,                       /* '/'  */
  YYSYMBOL_37_ = 37,                       /* '%'  */
  YYSYMBOL_38_ = 38,                       /* '!'  */
  YYSYMBOL_39_ = 39,                       /* '.'  */
  YYSYMBOL_DEFINE = 40,                    /* DEFINE  */
  YYSYMBOL_ON = 41,                        /* ON  */
  YYSYMBOL_OFF = 42,                       /* OFF  */
  YYSYMBOL_YES = 43,                       /* YES  */
  YYSYMBOL_NO = 44,                        /* NO  */
  YYSYMBOL_S = 45,                         /* S  */
  YYSYMBOL_MS = 46,                        /* MS  */
  YYSYMBOL_US = 47,                        /* US  */
  YYSYMBOL_PORT = 48,                      /* PORT  */
  YYSYMBOL_VPN = 49,                       /* VPN  */
  YYSYMBOL_MPLS = 50,                      /* MPLS  */
  YYSYMBOL_FROM = 51,                      /* FROM  */
  YYSYMBOL_52_ = 52,                       /* ';'  */
  YYSYMBOL_53_ = 53,                       /* '('  */
  YYSYMBOL_54_ = 54,                       /* ')'  */
  YYSYMBOL_FLOW4 = 55,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 56,                     /* FLOW6  */
  YYSYMBOL_DST = 57,                       /* DST  */
  YYSYMBOL_SRC = 58,                       /* SRC  */
  YYSYMBOL_PROTO = 59,                     /* PROTO  */
  YYSYMBOL_NEXT = 60,                      /* NEXT  */
  YYSYMBOL_HEADER = 61,                    /* HEADER  */
  YYSYMBOL_DPORT = 62,                     /* DPORT  */
  YYSYMBOL_SPORT = 63,                     /* SPORT  */
  YYSYMBOL_ICMP = 64,                      /* ICMP  */
  YYSYMBOL_TYPE = 65,                      /* TYPE  */
  YYSYMBOL_CODE = 66,                      /* CODE  */
  YYSYMBOL_TCP = 67,                       /* TCP  */
  YYSYMBOL_FLAGS = 68,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 69,                    /* LENGTH  */
  YYSYMBOL_DSCP = 70,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 71,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 72,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 73,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 74,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 75,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 76,                     /* LABEL  */
  YYSYMBOL_OFFSET = 77,                    /* OFFSET  */
  YYSYMBOL_78_ = 78,                       /* ','  */
  YYSYMBOL_79_ = 79,                       /* '{'  */
  YYSYMBOL_80_ = 80,                       /* '}'  */
  YYSYMBOL_FUNCTION = 81,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 82,                     /* PRINT  */
  YYSYMBOL_PRINTN = 83,                    /* PRINTN  */
  YYSYMBOL_UNSET = 84,                     /* UNSET  */
  YYSYMBOL_RETURN = 85,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 86,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 87,                    /* REJECT  */
  YYSYMBOL_ERROR = 88,                     /* ERROR  */
  YYSYMBOL_INT = 89,                       /* INT  */
  YYSYMBOL_BOOL = 90,                      /* BOOL  */
  YYSYMBOL_IP = 91,                        /* IP  */
  YYSYMBOL_PREFIX = 92,                    /* PREFIX  */
  YYSYMBOL_RD = 93,                        /* RD  */
  YYSYMBOL_PAIR = 94,                      /* PAIR  */
  YYSYMBOL_QUAD = 95,                      /* QUAD  */
  YYSYMBOL_EC = 96,                        /* EC  */
  YYSYMBOL_LC = 97,                        /* LC  */
  YYSYMBOL_SET = 98,                       /* SET  */
  YYSYMBOL_STRING = 99,                    /* STRING  */
  YYSYMBOL_BGPMASK = 100,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 101,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 102,                    /* CLIST  */
  YYSYMBOL_ECLIST = 103,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 104,                   /* LCLIST  */
  YYSYMBOL_IF = 105,                       /* IF  */
  YYSYMBOL_THEN = 106,                     /* THEN  */
  YYSYMBOL_ELSE = 107,                     /* ELSE  */
  YYSYMBOL_CASE = 108,                     /* CASE  */
  YYSYMBOL_FOR = 109,                      /* FOR  */
  YYSYMBOL_IN = 110,                       /* IN  */
  YYSYMBOL_DO = 111,                       /* DO  */
  YYSYMBOL_TRUE = 112,                     /* TRUE  */
  YYSYMBOL_FALSE = 113,                    /* FALSE  */
  YYSYMBOL_RT = 114,                       /* RT  */
  YYSYMBOL_RO = 115,                       /* RO  */
  YYSYMBOL_UNKNOWN = 116,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 117,                  /* GENERIC  */
  YYSYMBOL_GW = 118,                       /* GW  */
  YYSYMBOL_NET = 119,                      /* NET  */
  YYSYMBOL_MASK = 120,                     /* MASK  */
  YYSYMBOL_SOURCE = 121,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 122,                    /* SCOPE  */
  YYSYMBOL_DEST = 123,                     /* DEST  */
  YYSYMBOL_IFNAME = 124,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 125,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 126,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 127,                  /* GW_MPLS  */
  YYSYMBOL_ONLINK = 128,                   /* ONLINK  */
  YYSYMBOL_PREFERENCE = 129,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 130,                /* ROA_CHECK  */
  YYSYMBOL_ASN = 131,                      /* ASN  */
  YYSYMBOL_IS_V4 = 132,                    /* IS_V4  */
  YYSYMBOL_IS_V6 = 133,                    /* IS_V6  */
  YYSYMBOL_LEN = 134,                      /* LEN  */
  YYSYMBOL_MAXLEN = 135,                   /* MAXLEN  */
  YYSYMBOL_DATA = 136,                     /* DATA  */
  YYSYMBOL_DATA1 = 137,                    /* DATA1  */
  YYSYMBOL_DATA2 = 138,                    /* DATA2  */
  YYSYMBOL_DEFINED = 139,                  /* DEFINED  */
  YYSYMBOL_ADD = 140,                      /* ADD  */
  YYSYMBOL_DELETE = 141,                   /* DELETE  */
  YYSYMBOL_CONTAINS = 142,                 /* CONTAINS  */
  YYSYMBOL_RESET = 143,                    /* RESET  */
  YYSYMBOL_PREPEND = 144,                  /* PREPEND  */
  YYSYMBOL_FIRST = 145,                    /* FIRST  */
  YYSYMBOL_LAST = 146,                     /* LAST  */
  YYSYMBOL_LAST_NONAGGREGATED = 147,       /* LAST_NONAGGREGATED  */
  YYSYMBOL_MATCH = 148,                    /* MATCH  */
  YYSYMBOL_MIN = 149,                      /* MIN  */
  YYSYMBOL_MAX = 150,                      /* MAX  */
  YYSYMBOL_EMPTY = 151,                    /* EMPTY  */
  YYSYMBOL_FILTER = 152,                   /* FILTER  */
  YYSYMBOL_WHERE = 153,                    /* WHERE  */
  YYSYMBOL_EVAL = 154,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 155,                /* ATTRIBUTE  */
  YYSYMBOL_BT_ASSERT = 156,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 157,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 158,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 159,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 160,                   /* FORMAT  */
  YYSYMBOL_161_ = 161,                     /* ':'  */
  YYSYMBOL_162_ = 162,                     /* '['  */
  YYSYMBOL_163_ = 163,                     /* ']'  */
  YYSYMBOL_164_ = 164,                     /* '?'  */
  YYSYMBOL_ROUTER = 165,                   /* ROUTER  */
  YYSYMBOL_ID = 166,                       /* ID  */
  YYSYMBOL_HOSTNAME = 167,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 168,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 169,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 170,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 171,                    /* DEBUG  */
  YYSYMBOL_ALL = 172,                      /* ALL  */
  YYSYMBOL_DIRECT = 173,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 174,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 175,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 176,                   /* EXPORT  */
  YYSYMBOL_NONE = 177,                     /* NONE  */
  YYSYMBOL_VRF = 178,                      /* VRF  */
  YYSYMBOL_DEFAULT = 179,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 180,                    /* TABLE  */
  YYSYMBOL_STATES = 181,                   /* STATES  */
  YYSYMBOL_ROUTES = 182,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 183,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 184,                     /* IPV4  */
  YYSYMBOL_IPV6 = 185,                     /* IPV6  */
  YYSYMBOL_VPN4 = 186,                     /* VPN4  */
  YYSYMBOL_VPN6 = 187,                     /* VPN6  */
  YYSYMBOL_ROA4 = 188,                     /* ROA4  */
  YYSYMBOL_ROA6 = 189,                     /* ROA6  */
  YYSYMBOL_SADR = 190,                     /* SADR  */
  YYSYMBOL_RECEIVE = 191,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 192,                    /* LIMIT  */
  YYSYMBOL_ACTION = 193,                   /* ACTION  */
  YYSYMBOL_WARN = 194,                     /* WARN  */
  YYSYMBOL_BLOCK = 195,                    /* BLOCK  */
  YYSYMBOL_RESTART = 196,                  /* RESTART  */
  YYSYMBOL_DISABLE = 197,                  /* DISABLE  */
  YYSYMBOL_KEEP = 198,                     /* KEEP  */
  YYSYMBOL_FILTERED = 199,                 /* FILTERED  */
  YYSYMBOL_RPKI = 200,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 201,                 /* PASSWORD  */
  YYSYMBOL_KEY = 202,                      /* KEY  */
  YYSYMBOL_PASSIVE = 203,                  /* PASSIVE  */
  YYSYMBOL_TO = 204,                       /* TO  */
  YYSYMBOL_EVENTS = 205,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 206,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 207,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 208,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 209,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 210,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 211,                    /* KEYED  */
  YYSYMBOL_HMAC = 212,                     /* HMAC  */
  YYSYMBOL_MD5 = 213,                      /* MD5  */
  YYSYMBOL_SHA1 = 214,                     /* SHA1  */
  YYSYMBOL_SHA256 = 215,                   /* SHA256  */
  YYSYMBOL_SHA384 = 216,                   /* SHA384  */
  YYSYMBOL_SHA512 = 217,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 218,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 219,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 220,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 221,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 222,                  /* PRIMARY  */
  YYSYMBOL_STATS = 223,                    /* STATS  */
  YYSYMBOL_COUNT = 224,                    /* COUNT  */
  YYSYMBOL_BY = 225,                       /* BY  */
  YYSYMBOL_COMMANDS = 226,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 227,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 228,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 229,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 230,                 /* GENERATE  */
  YYSYMBOL_BGP = 231,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 232,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 233,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 234,                   /* RELOAD  */
  YYSYMBOL_OUT = 235,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 236,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 237,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 238,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 239,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 240,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 241,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 242,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 243,                      /* ISO  */
  YYSYMBOL_SHORT = 244,                    /* SHORT  */
  YYSYMBOL_LONG = 245,                     /* LONG  */
  YYSYMBOL_ROUTE = 246,                    /* ROUTE  */
  YYSYMBOL_BASE = 247,                     /* BASE  */
  YYSYMBOL_LOG = 248,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 249,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 250,                     /* WAIT  */
  YYSYMBOL_FLUSH = 251,                    /* FLUSH  */
  YYSYMBOL_AS = 252,                       /* AS  */
  YYSYMBOL_IDLE = 253,                     /* IDLE  */
  YYSYMBOL_RX = 254,                       /* RX  */
  YYSYMBOL_TX = 255,                       /* TX  */
  YYSYMBOL_INTERVAL = 256,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 257,               /* MULTIPLIER  */
  YYSYMBOL_CHECK = 258,                    /* CHECK  */
  YYSYMBOL_LINK = 259,                     /* LINK  */
  YYSYMBOL_SORTED = 260,                   /* SORTED  */
  YYSYMBOL_TRIE = 261,                     /* TRIE  */
  YYSYMBOL_SETTLE = 262,                   /* SETTLE  */
  YYSYMBOL_TIME = 263,                     /* TIME  */
  YYSYMBOL_GC = 264,                       /* GC  */
  YYSYMBOL_THRESHOLD = 265,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 266,                   /* PERIOD  */
  YYSYMBOL_IPV4_MC = 267,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 268,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 269,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 270,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 271,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 272,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 273,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 274,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 275,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 276,                      /* PRI  */
  YYSYMBOL_SEC = 277,                      /* SEC  */
  YYSYMBOL_SHOW = 278,                     /* SHOW  */
  YYSYMBOL_STATUS = 279,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 280,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 281,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 282,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 283,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 284,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 285,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 286,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 287,                     /* ECHO  */
  YYSYMBOL_ENABLE = 288,                   /* ENABLE  */
  YYSYMBOL_BABEL = 289,                    /* BABEL  */
  YYSYMBOL_METRIC = 290,                   /* METRIC  */
  YYSYMBOL_RXCOST = 291,                   /* RXCOST  */
  YYSYMBOL_HELLO = 292,                    /* HELLO  */
  YYSYMBOL_UPDATE = 293,                   /* UPDATE  */
  YYSYMBOL_WIRED = 294,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 295,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 296,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 297,                 /* PRIORITY  */
  YYSYMBOL_HOP = 298,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 299,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 300,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 301,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 302,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 303,               /* PERMISSIVE  */
  YYSYMBOL_EXTENDED = 304,                 /* EXTENDED  */
  YYSYMBOL_BFD = 305,                      /* BFD  */
  YYSYMBOL_MULTIHOP = 306,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 307,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 308,                      /* DEV  */
  YYSYMBOL_LOCAL = 309,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 310,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 311,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 312,               /* METICULOUS  */
  YYSYMBOL_STRICT = 313,                   /* STRICT  */
  YYSYMBOL_BIND = 314,                     /* BIND  */
  YYSYMBOL_SESSIONS = 315,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 316,                     /* HOLD  */
  YYSYMBOL_CONNECT = 317,                  /* CONNECT  */
  YYSYMBOL_RETRY = 318,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 319,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 320,                  /* STARTUP  */
  YYSYMBOL_VIA = 321,                      /* VIA  */
  YYSYMBOL_SELF = 322,                     /* SELF  */
  YYSYMBOL_PATH = 323,                     /* PATH  */
  YYSYMBOL_START = 324,                    /* START  */
  YYSYMBOL_DELAY = 325,                    /* DELAY  */
  YYSYMBOL_FORGET = 326,                   /* FORGET  */
  YYSYMBOL_AFTER = 327,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 328,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 329,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 330,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 331,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 332,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 333,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 334,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 335,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 336,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 337,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 338,                  /* ADDRESS  */
  YYSYMBOL_RR = 339,                       /* RR  */
  YYSYMBOL_RS = 340,                       /* RS  */
  YYSYMBOL_CLIENT = 341,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 342,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 343,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 344,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 345,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 346,                   /* PREFER  */
  YYSYMBOL_OLDER = 347,                    /* OLDER  */
  YYSYMBOL_MISSING = 348,                  /* MISSING  */
  YYSYMBOL_LLADDR = 349,                   /* LLADDR  */
  YYSYMBOL_DROP = 350,                     /* DROP  */
  YYSYMBOL_IGNORE = 351,                   /* IGNORE  */
  YYSYMBOL_REFRESH = 352,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 353,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 354,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 355,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 356,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 357,                      /* IGP  */
  YYSYMBOL_GATEWAY = 358,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 359,                /* RECURSIVE  */
  YYSYMBOL_MED = 360,                      /* MED  */
  YYSYMBOL_TTL = 361,                      /* TTL  */
  YYSYMBOL_SECURITY = 362,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 363,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 364,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 365,                    /* ALLOW  */
  YYSYMBOL_PATHS = 366,                    /* PATHS  */
  YYSYMBOL_AWARE = 367,                    /* AWARE  */
  YYSYMBOL_SETKEY = 368,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 369,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 370,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 371,                /* MULTICAST  */
  YYSYMBOL_LIVED = 372,                    /* LIVED  */
  YYSYMBOL_STALE = 373,                    /* STALE  */
  YYSYMBOL_IBGP = 374,                     /* IBGP  */
  YYSYMBOL_EBGP = 375,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 376,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 377,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 378,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 379,                     /* SETS  */
  YYSYMBOL_DYNAMIC = 380,                  /* DYNAMIC  */
  YYSYMBOL_RANGE = 381,                    /* RANGE  */
  YYSYMBOL_NAME = 382,                     /* NAME  */
  YYSYMBOL_DIGITS = 383,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 384,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 385,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 386,                /* ORIGINATE  */
  YYSYMBOL_COST = 387,                     /* COST  */
  YYSYMBOL_ENFORCE = 388,                  /* ENFORCE  */
  YYSYMBOL_FREE = 389,                     /* FREE  */
  YYSYMBOL_VALIDATE = 390,                 /* VALIDATE  */
  YYSYMBOL_ROLE = 391,                     /* ROLE  */
  YYSYMBOL_ROLES = 392,                    /* ROLES  */
  YYSYMBOL_PEER = 393,                     /* PEER  */
  YYSYMBOL_PROVIDER = 394,                 /* PROVIDER  */
  YYSYMBOL_CUSTOMER = 395,                 /* CUSTOMER  */
  YYSYMBOL_RS_SERVER = 396,                /* RS_SERVER  */
  YYSYMBOL_RS_CLIENT = 397,                /* RS_CLIENT  */
  YYSYMBOL_REQUIRE = 398,                  /* REQUIRE  */
  YYSYMBOL_BGP_OTC = 399,                  /* BGP_OTC  */
  YYSYMBOL_GLOBAL = 400,                   /* GLOBAL  */
  YYSYMBOL_CEASE = 401,                    /* CEASE  */
  YYSYMBOL_HIT = 402,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 403,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 404,                 /* SHUTDOWN  */
  YYSYMBOL_CONFIGURATION = 405,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 406,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 407,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 408,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 409,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 410,                /* COLLISION  */
  YYSYMBOL_OF = 411,                       /* OF  */
  YYSYMBOL_MRT = 412,                      /* MRT  */
  YYSYMBOL_FILENAME = 413,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 414,                   /* ALWAYS  */
  YYSYMBOL_OSPF = 415,                     /* OSPF  */
  YYSYMBOL_V2 = 416,                       /* V2  */
  YYSYMBOL_V3 = 417,                       /* V3  */
  YYSYMBOL_OSPF_METRIC1 = 418,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 419,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 420,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 421,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 422,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 423,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 424,                     /* STUB  */
  YYSYMBOL_TICK = 425,                     /* TICK  */
  YYSYMBOL_COST2 = 426,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 427,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 428,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 429,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 430,                /* BROADCAST  */
  YYSYMBOL_BCAST = 431,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 432,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 433,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 434,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 435,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 436,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 437,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 438,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 439,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 440,                     /* POLL  */
  YYSYMBOL_NETWORKS = 441,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 442,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 443,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 444,                     /* ONLY  */
  YYSYMBOL_LARGE = 445,                    /* LARGE  */
  YYSYMBOL_NORMAL = 446,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 447,                  /* STUBNET  */
  YYSYMBOL_TAG = 448,                      /* TAG  */
  YYSYMBOL_LSADB = 449,                    /* LSADB  */
  YYSYMBOL_ECMP = 450,                     /* ECMP  */
  YYSYMBOL_NSSA = 451,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 452,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 453,                /* STABILITY  */
  YYSYMBOL_LSID = 454,                     /* LSID  */
  YYSYMBOL_INSTANCE = 455,                 /* INSTANCE  */
  YYSYMBOL_REAL = 456,                     /* REAL  */
  YYSYMBOL_NETMASK = 457,                  /* NETMASK  */
  YYSYMBOL_MERGE = 458,                    /* MERGE  */
  YYSYMBOL_LSA = 459,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 460,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 461,                  /* RFC5838  */
  YYSYMBOL_PE = 462,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 463,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 464,                    /* STATE  */
  YYSYMBOL_PERF = 465,                     /* PERF  */
  YYSYMBOL_EXP = 466,                      /* EXP  */
  YYSYMBOL_REPEAT = 467,                   /* REPEAT  */
  YYSYMBOL_MODE = 468,                     /* MODE  */
  YYSYMBOL_PIPE = 469,                     /* PIPE  */
  YYSYMBOL_RADV = 470,                     /* RADV  */
  YYSYMBOL_RA = 471,                       /* RA  */
  YYSYMBOL_SOLICITED = 472,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 473,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 474,                  /* MANAGED  */
  YYSYMBOL_OTHER = 475,                    /* OTHER  */
  YYSYMBOL_CONFIG = 476,                   /* CONFIG  */
  YYSYMBOL_LINGER = 477,                   /* LINGER  */
  YYSYMBOL_MTU = 478,                      /* MTU  */
  YYSYMBOL_REACHABLE = 479,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 480,                  /* RETRANS  */
  YYSYMBOL_TIMER = 481,                    /* TIMER  */
  YYSYMBOL_CURRENT = 482,                  /* CURRENT  */
  YYSYMBOL_VALID = 483,                    /* VALID  */
  YYSYMBOL_PREFERRED = 484,                /* PREFERRED  */
  YYSYMBOL_MULT = 485,                     /* MULT  */
  YYSYMBOL_LIFETIME = 486,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 487,                     /* SKIP  */
  YYSYMBOL_AUTONOMOUS = 488,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 489,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 490,                    /* DNSSL  */
  YYSYMBOL_NS = 491,                       /* NS  */
  YYSYMBOL_DOMAIN = 492,                   /* DOMAIN  */
  YYSYMBOL_TRIGGER = 493,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 494,                /* SENSITIVE  */
  YYSYMBOL_LOW = 495,                      /* LOW  */
  YYSYMBOL_MEDIUM = 496,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 497,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 498,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 499,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 500,              /* RA_LIFETIME  */
  YYSYMBOL_RIP = 501,                      /* RIP  */
  YYSYMBOL_NG = 502,                       /* NG  */
  YYSYMBOL_INFINITY = 503,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 504,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 505,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 506,                  /* VERSION  */
  YYSYMBOL_SPLIT = 507,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 508,                  /* HORIZON  */
  YYSYMBOL_POISON = 509,                   /* POISON  */
  YYSYMBOL_REVERSE = 510,                  /* REVERSE  */
  YYSYMBOL_ZERO = 511,                     /* ZERO  */
  YYSYMBOL_PLAINTEXT = 512,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 513,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 514,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 515,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 516,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 517,                   /* REMOTE  */
  YYSYMBOL_BIRD = 518,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 519,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 520,                   /* PUBLIC  */
  YYSYMBOL_SSH = 521,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 522,                /* TRANSPORT  */
  YYSYMBOL_USER = 523,                     /* USER  */
  YYSYMBOL_EXPIRE = 524,                   /* EXPIRE  */
  YYSYMBOL_STATIC = 525,                   /* STATIC  */
  YYSYMBOL_PROHIBIT = 526,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 527,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 528,              /* UNREACHABLE  */
  YYSYMBOL_KERNEL = 529,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 530,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 531,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 532,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 533,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 534,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 535,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 536,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 537,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTRESH = 538,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_CWND = 539,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 540,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 541,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 542,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 543,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 544,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 545,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 546,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_LOCK_MTU = 547,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 548,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 549,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 550,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 551,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 552,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 553,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 554,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 555,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 556,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_FEATURE_ECN = 557,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 558,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_SYSLOG = 559,                   /* SYSLOG  */
  YYSYMBOL_TRACE = 560,                    /* TRACE  */
  YYSYMBOL_INFO = 561,                     /* INFO  */
  YYSYMBOL_WARNING = 562,                  /* WARNING  */
  YYSYMBOL_AUTH = 563,                     /* AUTH  */
  YYSYMBOL_FATAL = 564,                    /* FATAL  */
  YYSYMBOL_BUG = 565,                      /* BUG  */
  YYSYMBOL_STDERR = 566,                   /* STDERR  */
  YYSYMBOL_SOFT = 567,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 568,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 569,                     /* UNDO  */
  YYSYMBOL_LATENCY = 570,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 571,                 /* WATCHDOG  */
  YYSYMBOL_CONFIGURE = 572,                /* CONFIGURE  */
  YYSYMBOL_DOWN = 573,                     /* DOWN  */
  YYSYMBOL_PERSIST = 574,                  /* PERSIST  */
  YYSYMBOL_SCAN = 575,                     /* SCAN  */
  YYSYMBOL_LEARN = 576,                    /* LEARN  */
  YYSYMBOL_DEVICE = 577,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 578,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 579,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 580,                 /* $accept  */
  YYSYMBOL_cli_cmd = 581,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 582,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 583,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 584,                 /* cmd_HELP  */
  YYSYMBOL_config = 585,                   /* config  */
  YYSYMBOL_conf_entries = 586,             /* conf_entries  */
  YYSYMBOL_conf = 587,                     /* conf  */
  YYSYMBOL_definition = 588,               /* definition  */
  YYSYMBOL_expr = 589,                     /* expr  */
  YYSYMBOL_expr_us = 590,                  /* expr_us  */
  YYSYMBOL_symbol = 591,                   /* symbol  */
  YYSYMBOL_bool = 592,                     /* bool  */
  YYSYMBOL_ipa = 593,                      /* ipa  */
  YYSYMBOL_ipa_scope = 594,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 595,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 596,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 597,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 598,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 599,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 600,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 601,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 602,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 603,                /* net_mpls_  */
  YYSYMBOL_net_ip_ = 604,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 605,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 606,                 /* net_roa_  */
  YYSYMBOL_net_ = 607,                     /* net_  */
  YYSYMBOL_net_ip4 = 608,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 609,                  /* net_ip6  */
  YYSYMBOL_net_ip = 610,                   /* net_ip  */
  YYSYMBOL_net_any = 611,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 612,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 613,        /* label_stack_start  */
  YYSYMBOL_label_stack = 614,              /* label_stack  */
  YYSYMBOL_time = 615,                     /* time  */
  YYSYMBOL_text = 616,                     /* text  */
  YYSYMBOL_opttext = 617,                  /* opttext  */
  YYSYMBOL_flow_num_op = 618,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 619,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 620,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 621,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 622,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 623,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 624,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 625,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 626,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 627,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 628,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 629,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 630,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 631,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 632,               /* flow4_item  */
  YYSYMBOL_flow6_item = 633,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 634,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 635,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 636,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 637,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 638,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 639,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 640,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 641,                /* net_flow_  */
  YYSYMBOL_filter_def = 642,               /* filter_def  */
  YYSYMBOL_643_1 = 643,                    /* $@1  */
  YYSYMBOL_filter_eval = 644,              /* filter_eval  */
  YYSYMBOL_custom_attr = 645,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 646,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 647,             /* bt_test_same  */
  YYSYMBOL_type = 648,                     /* type  */
  YYSYMBOL_function_argsn = 649,           /* function_argsn  */
  YYSYMBOL_function_args = 650,            /* function_args  */
  YYSYMBOL_function_vars = 651,            /* function_vars  */
  YYSYMBOL_filter_body = 652,              /* filter_body  */
  YYSYMBOL_filter = 653,                   /* filter  */
  YYSYMBOL_654_2 = 654,                    /* $@2  */
  YYSYMBOL_where_filter = 655,             /* where_filter  */
  YYSYMBOL_function_body = 656,            /* function_body  */
  YYSYMBOL_function_def = 657,             /* function_def  */
  YYSYMBOL_658_3 = 658,                    /* $@3  */
  YYSYMBOL_659_4 = 659,                    /* $@4  */
  YYSYMBOL_cmds = 660,                     /* cmds  */
  YYSYMBOL_cmds_scoped = 661,              /* cmds_scoped  */
  YYSYMBOL_662_5 = 662,                    /* $@5  */
  YYSYMBOL_cmd_var = 663,                  /* cmd_var  */
  YYSYMBOL_cmd_prep = 664,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 665,                 /* cmds_int  */
  YYSYMBOL_fipa = 666,                     /* fipa  */
  YYSYMBOL_set_atom = 667,                 /* set_atom  */
  YYSYMBOL_switch_atom = 668,              /* switch_atom  */
  YYSYMBOL_cnum = 669,                     /* cnum  */
  YYSYMBOL_pair_item = 670,                /* pair_item  */
  YYSYMBOL_ec_kind = 671,                  /* ec_kind  */
  YYSYMBOL_ec_item = 672,                  /* ec_item  */
  YYSYMBOL_lc_item = 673,                  /* lc_item  */
  YYSYMBOL_set_item = 674,                 /* set_item  */
  YYSYMBOL_switch_item = 675,              /* switch_item  */
  YYSYMBOL_set_items = 676,                /* set_items  */
  YYSYMBOL_switch_items = 677,             /* switch_items  */
  YYSYMBOL_fprefix = 678,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 679,              /* fprefix_set  */
  YYSYMBOL_switch_body = 680,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 681,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 682,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 683,            /* bgp_path_tail  */
  YYSYMBOL_constant = 684,                 /* constant  */
  YYSYMBOL_constructor = 685,              /* constructor  */
  YYSYMBOL_var_list = 686,                 /* var_list  */
  YYSYMBOL_function_call = 687,            /* function_call  */
  YYSYMBOL_symbol_value = 688,             /* symbol_value  */
  YYSYMBOL_static_attr = 689,              /* static_attr  */
  YYSYMBOL_term = 690,                     /* term  */
  YYSYMBOL_break_command = 691,            /* break_command  */
  YYSYMBOL_print_list = 692,               /* print_list  */
  YYSYMBOL_var_init = 693,                 /* var_init  */
  YYSYMBOL_var = 694,                      /* var  */
  YYSYMBOL_for_var = 695,                  /* for_var  */
  YYSYMBOL_cmd = 696,                      /* cmd  */
  YYSYMBOL_697_6 = 697,                    /* $@6  */
  YYSYMBOL_698_7 = 698,                    /* $@7  */
  YYSYMBOL_699_8 = 699,                    /* $@8  */
  YYSYMBOL_get_cf_position = 700,          /* get_cf_position  */
  YYSYMBOL_lvalue = 701,                   /* lvalue  */
  YYSYMBOL_rtrid = 702,                    /* rtrid  */
  YYSYMBOL_idval = 703,                    /* idval  */
  YYSYMBOL_hostname_override = 704,        /* hostname_override  */
  YYSYMBOL_gr_opts = 705,                  /* gr_opts  */
  YYSYMBOL_net_type = 706,                 /* net_type  */
  YYSYMBOL_table = 707,                    /* table  */
  YYSYMBOL_table_start = 708,              /* table_start  */
  YYSYMBOL_table_sorted = 709,             /* table_sorted  */
  YYSYMBOL_table_opt = 710,                /* table_opt  */
  YYSYMBOL_table_opts = 711,               /* table_opts  */
  YYSYMBOL_table_opt_list = 712,           /* table_opt_list  */
  YYSYMBOL_proto_start = 713,              /* proto_start  */
  YYSYMBOL_proto_name = 714,               /* proto_name  */
  YYSYMBOL_proto_item = 715,               /* proto_item  */
  YYSYMBOL_channel_start = 716,            /* channel_start  */
  YYSYMBOL_channel_item_ = 717,            /* channel_item_  */
  YYSYMBOL_channel_item = 718,             /* channel_item  */
  YYSYMBOL_channel_opts = 719,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 720,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 721,              /* channel_end  */
  YYSYMBOL_proto_channel = 722,            /* proto_channel  */
  YYSYMBOL_rtable = 723,                   /* rtable  */
  YYSYMBOL_imexport = 724,                 /* imexport  */
  YYSYMBOL_limit_action = 725,             /* limit_action  */
  YYSYMBOL_limit_spec = 726,               /* limit_spec  */
  YYSYMBOL_debug_default = 727,            /* debug_default  */
  YYSYMBOL_timeformat_which = 728,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 729,          /* timeformat_spec  */
  YYSYMBOL_timeformat_base = 730,          /* timeformat_base  */
  YYSYMBOL_iface_patt_node_init = 731,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 732,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 733,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 734,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 735,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 736,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 737,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 738,               /* iface_patt  */
  YYSYMBOL_tos = 739,                      /* tos  */
  YYSYMBOL_proto = 740,                    /* proto  */
  YYSYMBOL_dev_proto_start = 741,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 742,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 743,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 744,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 745,               /* debug_mask  */
  YYSYMBOL_debug_list = 746,               /* debug_list  */
  YYSYMBOL_debug_flag = 747,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 748,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 749,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 750,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 751,            /* password_list  */
  YYSYMBOL_password_list_body = 752,       /* password_list_body  */
  YYSYMBOL_password_items = 753,           /* password_items  */
  YYSYMBOL_password_item = 754,            /* password_item  */
  YYSYMBOL_pass_key = 755,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 756,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 757,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 758,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 759,        /* password_item_end  */
  YYSYMBOL_bfd_item = 760,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 761,                /* bfd_items  */
  YYSYMBOL_bfd_opts = 762,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 763,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 764,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 765,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 766,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 767,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 768,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 769, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 770,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 771,                   /* r_args  */
  YYSYMBOL_r_args_for = 772,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 773,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 774,              /* export_mode  */
  YYSYMBOL_channel_sym = 775,              /* channel_sym  */
  YYSYMBOL_channel_arg = 776,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 777,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 778,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 779,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 780,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 781,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 782,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 783,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 784,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 785,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 786,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 787,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 788,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 789,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 790,                /* echo_mask  */
  YYSYMBOL_echo_size = 791,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 792,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 793,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 794,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 795,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 796,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 797,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 798,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 799,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 800,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 801,             /* cmd_RESTRICT  */
  YYSYMBOL_proto_patt = 802,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 803,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 804,             /* dynamic_attr  */
  YYSYMBOL_babel_proto_start = 805,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 806,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 807,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 808,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 809,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 810,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 811,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 812,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 813,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 814,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 815, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 816, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 817,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 818,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 819,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 820,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 821,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 822,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 823,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 824,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 825,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 826,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 827,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 828,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 829,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 830,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 831,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 832,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 833,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 834,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 835,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 836,             /* bfd_neighbor  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 837,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bgp_proto_start = 838,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 839,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 840,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 841,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 842,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 843,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_role_name = 844,            /* bgp_role_name  */
  YYSYMBOL_bgp_proto = 845,                /* bgp_proto  */
  YYSYMBOL_846_9 = 846,                    /* $@9  */
  YYSYMBOL_847_10 = 847,                   /* $@10  */
  YYSYMBOL_bgp_afi = 848,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 849,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 850,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 851,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 852,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 853,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 854,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 855,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 856,        /* bgp_proto_channel  */
  YYSYMBOL_mrt_proto_start = 857,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 858,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 859,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 860,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 861,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 862,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 863,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 864,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 865,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 866,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 867,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 868,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 869,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 870,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 871,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 872,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 873,           /* ospf_area_item  */
  YYSYMBOL_874_11 = 874,                   /* $@11  */
  YYSYMBOL_875_12 = 875,                   /* $@12  */
  YYSYMBOL_ospf_stubnet = 876,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 877,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 878,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 879,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 880,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 881,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 882,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 883,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 884,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 885,                /* pref_list  */
  YYSYMBOL_pref_item = 886,                /* pref_item  */
  YYSYMBOL_pref_base = 887,                /* pref_base  */
  YYSYMBOL_pref_opt = 888,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 889,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 890,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 891,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 892,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 893,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 894,     /* ospf_iface_patt_list  */
  YYSYMBOL_895_13 = 895,                   /* $@13  */
  YYSYMBOL_ospf_iface_opts = 896,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 897,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 898,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 899,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 900,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 901,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 902,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 903, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 904,      /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 905,  /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 906,      /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 907,               /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 908,         /* perf_proto_start  */
  YYSYMBOL_perf_proto = 909,               /* perf_proto  */
  YYSYMBOL_perf_proto_item = 910,          /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 911,         /* pipe_proto_start  */
  YYSYMBOL_912_14 = 912,                   /* $@14  */
  YYSYMBOL_pipe_proto = 913,               /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 914,         /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 915,          /* radv_proto_item  */
  YYSYMBOL_916_15 = 916,                   /* $@15  */
  YYSYMBOL_917_16 = 917,                   /* $@16  */
  YYSYMBOL_radv_proto_opts = 918,          /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 919,               /* radv_proto  */
  YYSYMBOL_radv_iface_start = 920,         /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 921,          /* radv_iface_item  */
  YYSYMBOL_922_17 = 922,                   /* $@17  */
  YYSYMBOL_923_18 = 923,                   /* $@18  */
  YYSYMBOL_radv_preference = 924,          /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 925,        /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 926,          /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 927,      /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 928,               /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 929,        /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 930,         /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 931,       /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 932,         /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 933,     /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 934,              /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 935,          /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 936,         /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 937,          /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 938,        /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 939,          /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 940,               /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 941,          /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 942,         /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 943,          /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 944,        /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 945,          /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 946,               /* radv_dnssl  */
  YYSYMBOL_radv_mult = 947,                /* radv_mult  */
  YYSYMBOL_radv_sensitive = 948,           /* radv_sensitive  */
  YYSYMBOL_rip_variant = 949,              /* rip_variant  */
  YYSYMBOL_rip_proto_start = 950,          /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 951,           /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 952,           /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 953,                /* rip_proto  */
  YYSYMBOL_rip_iface_start = 954,          /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 955,         /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 956,           /* rip_iface_item  */
  YYSYMBOL_rip_auth = 957,                 /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 958,           /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 959,       /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 960,                /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 961,  /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 962,   /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 963,         /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 964,               /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 965,          /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 966,          /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 967,       /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 968,     /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 969,          /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 970,           /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 971,  /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_ssh_init = 972,  /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 973,  /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 974,  /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 975, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 976,       /* static_proto_start  */
  YYSYMBOL_static_proto = 977,             /* static_proto  */
  YYSYMBOL_stat_nexthop = 978,             /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 979,            /* stat_nexthops  */
  YYSYMBOL_stat_route0 = 980,              /* stat_route0  */
  YYSYMBOL_stat_route = 981,               /* stat_route  */
  YYSYMBOL_stat_route_item = 982,          /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 983,          /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 984,      /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 985,          /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 986,               /* kern_proto  */
  YYSYMBOL_kern_sys_item = 987,            /* kern_sys_item  */
  YYSYMBOL_log_begin = 988,                /* log_begin  */
  YYSYMBOL_log_config = 989,               /* log_config  */
  YYSYMBOL_syslog_name = 990,              /* syslog_name  */
  YYSYMBOL_log_limit = 991,                /* log_limit  */
  YYSYMBOL_log_file = 992,                 /* log_file  */
  YYSYMBOL_log_mask = 993,                 /* log_mask  */
  YYSYMBOL_log_mask_list = 994,            /* log_mask_list  */
  YYSYMBOL_log_cat = 995,                  /* log_cat  */
  YYSYMBOL_mrtdump_base = 996,             /* mrtdump_base  */
  YYSYMBOL_debug_unix = 997,               /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 998,            /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 999,       /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 1000,   /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 1001,      /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 1002,    /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 1003,     /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 1004,                /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 1005,    /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 1006,                /* cfg_name  */
  YYSYMBOL_cfg_timeout = 1007,             /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 1008,        /* kern_proto_start  */
  YYSYMBOL_kern_mp_limit = 1009,           /* kern_mp_limit  */
  YYSYMBOL_kern_item = 1010,               /* kern_item  */
  YYSYMBOL_kif_proto_start = 1011,         /* kif_proto_start  */
  YYSYMBOL_kif_proto = 1012,               /* kif_proto  */
  YYSYMBOL_kif_item = 1013,                /* kif_item  */
  YYSYMBOL_kif_iface_start = 1014,         /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 1015,          /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 1016,          /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 1017,      /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 1018                /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && ! defined __ICC && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                            \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  79
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   7171

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  580
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  439
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1492
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2738

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   813


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    38,     2,     2,     2,    37,     2,     2,
      53,    54,    35,    33,    78,    34,    39,    36,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   161,    52,
      29,    28,    30,   164,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   162,     2,   163,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    79,     2,    80,    31,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    32,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   137,   137,   138,   141,   143,   146,   151,   154,   162,
     163,   164,   170,   171,   172,   175,   175,   180,   181,   182,
     183,   184,   185,   192,   193,   194,   201,   202,   209,   215,
     225,   238,   257,   263,   269,   277,   285,   291,   291,   292,
     292,   293,   293,   296,   297,   298,   299,   300,   301,   308,
     309,   317,   318,   326,   327,   335,   336,   344,   345,   346,
     347,   348,   358,   366,   367,   376,   384,   385,   392,   393,
      37,    38,    39,    40,    41,    42,    43,    44,    48,    49,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      65,    66,    67,    70,    71,    75,    79,    83,    84,    88,
      92,   101,   102,   106,   110,   114,   121,   122,   126,   127,
     128,   129,   133,   136,   139,   145,   149,   150,   151,   155,
     159,   165,   166,   167,   170,   172,   175,   177,   181,   188,
     189,   191,   197,   203,   203,     9,     9,    10,    10,    11,
      11,   346,   348,   348,   358,   360,   363,   364,   368,   370,
     381,   383,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   435,   436,
     445,   446,   454,   455,   461,   464,   468,   468,   478,   485,
     491,   493,   497,   493,   521,   522,   525,   525,   527,   527,
     529,   537,   538,   555,   556,   569,   570,   571,   572,   573,
     577,   585,   586,   587,   588,   592,   595,   596,   597,   598,
     599,   600,   601,   602,   603,   604,   609,   610,   611,   612,
     616,   617,   618,   622,   623,   624,   625,   626,   627,   628,
     629,   634,   635,   636,   637,   638,   642,   643,   644,   645,
     646,   650,   651,   655,   656,   660,   661,   662,   663,   671,
     672,   675,   676,   683,   693,   694,   698,   702,   703,   704,
     705,   709,   710,   711,   712,   713,   717,   718,   719,   720,
     721,   722,   723,   724,   725,   730,   731,   735,   736,   737,
     738,   743,   744,   745,   748,   767,   786,   787,   788,   789,
     790,   791,   792,   793,   794,   795,   796,   797,   798,   802,
     803,   804,   805,   806,   807,   808,   809,   810,   811,   812,
     813,   814,   815,   816,   817,   818,   820,   821,   822,   824,
     826,   828,   829,   830,   831,   832,   833,   834,   835,   836,
     837,   838,   839,   840,   841,   842,   843,   844,   845,   855,
     856,   857,   858,   859,   860,   861,   862,   864,   865,   867,
     871,   875,   876,   877,   880,   881,   882,   891,   892,   896,
     902,   903,   907,   910,   913,   916,   922,   922,   916,   928,
     940,   944,   947,   952,   955,   966,   970,   973,   974,   978,
     979,   980,   981,   982,   983,   984,   988,   993,   994,   995,
     159,   162,   163,   167,   168,   169,   170,   180,   182,   184,
     186,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   209,   211,   213,   218,   220,   224,   225,   230,   231,
     232,   233,   236,   238,   241,   243,   249,   252,   253,   257,
     263,   267,   277,   287,   289,   290,   291,   292,   293,   294,
     295,   299,   305,   310,   311,   312,   313,   314,   315,   316,
     317,   322,   323,   326,   328,   331,   333,   337,   344,   347,
     350,   351,   352,   353,   357,   358,   359,   360,   361,   365,
     366,   370,   373,   374,   375,   380,   383,   384,   385,   386,
     390,   391,   392,   393,   394,   395,   396,   397,   401,   408,
     416,   417,   421,   422,   426,   431,   432,   436,   438,   446,
     450,   451,   456,   458,   465,   466,   467,   468,   469,   473,
     481,   487,   488,   489,   493,   494,   498,   499,   500,   501,
     502,   503,   509,   510,   511,   515,   516,   520,   521,   527,
     531,   532,   535,   537,   541,   542,   545,   545,   548,   549,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   582,   590,   591,   592,   593,   594,   595,
     596,   599,   601,   605,   611,   611,   614,   614,   617,   617,
     620,   620,   624,   625,   628,   628,   631,   631,   635,   635,
     639,   645,   651,   657,   664,   670,   677,   682,   687,   692,
     697,   701,   705,   709,   719,   726,   735,   739,   746,   750,
     751,   752,   753,   757,   761,   765,   779,   780,   781,   782,
     785,   786,   787,   788,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   803,   804,   805,   806,   807,   808,
     809,   810,   811,   812,   816,   826,   826,   830,   833,   834,
     835,   836,   837,   838,   843,   843,   845,   845,   847,   847,
     849,   849,   851,   851,   853,   853,   855,   855,   857,   857,
     859,   859,   862,   862,   866,   866,   872,   873,   874,   878,
     879,   885,   885,   887,   887,   889,   889,   891,   891,   893,
     893,   895,   895,   899,   899,   903,   904,   908,   908,   911,
     911,   915,   916,   917,   921,   922,   923,   926,    35,    37,
      47,    48,    49,    50,    51,    52,    55,    57,    61,    65,
      66,    67,    68,    72,    76,    80,    94,   114,   115,   116,
     117,   118,   119,   120,   121,   125,   126,   127,   128,   129,
     130,   133,   135,   138,   140,   144,   147,   152,   153,   154,
     158,   159,   163,   164,   167,   186,   186,    33,    35,    43,
      44,    45,    46,    49,    51,    55,    59,    76,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   155,   157,
     160,   162,   167,   169,   173,   173,   176,   176,   179,   179,
     182,   182,    49,    49,    49,    49,    49,    49,    51,    53,
      85,    87,    88,    91,    93,    94,    95,    96,   101,   102,
     106,   107,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   123,   124,   125,   126,   127,   131,   132,   133,   134,
     135,   139,   140,   146,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   214,   214,   215,   216,   217,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   235,
     261,   262,   263,   265,   265,   265,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     306,   318,   320,   323,   325,   329,   336,   339,   341,   343,
     345,   347,   349,   351,   353,   355,   357,   359,   361,   363,
     365,    26,    28,    34,    35,    36,    37,    38,    39,    40,
      41,    44,    46,    50,    53,    53,    57,    58,    59,    60,
      61,    62,   211,   214,   215,   216,   219,   235,   236,   240,
     241,   245,   254,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   274,   289,
     292,   294,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   307,   308,   308,   309,   310,   311,   315,   316,
     320,   328,   330,   334,   335,   336,   340,   341,   344,   346,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   362,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   422,   424,   427,   429,   437,   439,   440,   443,   445,
     449,   450,   453,   463,   485,   487,   491,   491,   494,   496,
     499,   501,   505,   508,   509,   510,   511,   514,   514,   517,
     517,   520,   520,   525,   525,   528,   528,   533,   533,   536,
     536,   540,   540,   549,   552,   553,   554,   555,   556,   557,
     558,   559,    24,    26,    40,    41,    42,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    23,    26,    25,
      40,    41,    42,    43,    44,    46,    58,    59,    60,    61,
      62,    62,    63,    63,    64,    65,    68,    70,    74,    78,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   116,   120,   121,   122,   123,   124,   125,   125,   126,
     126,   127,   128,   132,   133,   134,   137,   175,   177,   180,
     182,   186,   189,   201,   202,   203,   204,   208,   215,   223,
     225,   228,   230,   234,   238,   248,   253,   254,   255,   259,
     271,   273,   277,   278,   282,   295,   300,   301,   302,   306,
     318,   320,   324,   325,   330,   331,   335,   336,   339,   340,
      46,    49,    50,    53,    67,    68,    69,    70,    71,    72,
      75,    77,    81,    85,   110,   140,   141,   142,   143,   144,
     145,   146,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   173,   174,   175,   176,   179,   181,   184,   186,
     190,   193,   194,   198,   198,   201,   201,    41,    43,    50,
      52,    54,    58,    59,    60,    61,    62,    63,    64,    70,
      76,    82,    86,    87,    90,    93,    97,   108,   109,   113,
     120,   130,   132,   136,   137,   138,   142,    54,    56,    63,
      64,    65,    66,    67,    75,    79,    84,    89,    92,    95,
      99,   105,   106,   109,   121,   122,   126,   131,   132,   133,
     134,   135,   136,   140,   149,   151,   154,   156,   160,   160,
      23,    26,    27,    28,    31,    32,    33,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      62,    63,    31,    33,    35,    42,    43,    46,    48,    52,
      62,    63,    67,    68,    72,    73,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    89,    92,    93,   104,   107,
     108,   109,   110,   118,   118,   121,   121,   128,   128,   131,
     131,   134,   134,   137,   137,   140,   140,   145,   145,   150,
     151,   155,   156,   157,    41,    43,    48,    49,    52,    53,
      57,    58,    59,    60,    64,    71,    72,    83,    85,    88,
      89,    92,    93,    94,   101,   108,   111,   113,   116,   118,
     122,   125,   126
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "PO", "PC", "NUM", "ENUM", "IP4", "IP6", "VPN_RD",
  "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "TEXT", "BYTESTRING", "PREFIX_DUMMY",
  "'='", "'<'", "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'!'", "'.'", "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US",
  "PORT", "VPN", "MPLS", "FROM", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "FUNCTION", "PRINT", "PRINTN", "UNSET",
  "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP", "PREFIX",
  "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING", "BGPMASK", "BGPPATH",
  "CLIST", "ECLIST", "LCLIST", "IF", "THEN", "ELSE", "CASE", "FOR", "IN",
  "DO", "TRUE", "FALSE", "RT", "RO", "UNKNOWN", "GENERIC", "GW", "NET",
  "MASK", "SOURCE", "SCOPE", "DEST", "IFNAME", "IFINDEX", "WEIGHT",
  "GW_MPLS", "ONLINK", "PREFERENCE", "ROA_CHECK", "ASN", "IS_V4", "IS_V6",
  "LEN", "MAXLEN", "DATA", "DATA1", "DATA2", "DEFINED", "ADD", "DELETE",
  "CONTAINS", "RESET", "PREPEND", "FIRST", "LAST", "LAST_NONAGGREGATED",
  "MATCH", "MIN", "MAX", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE",
  "BT_ASSERT", "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME",
  "FORMAT", "':'", "'['", "']'", "'?'", "ROUTER", "ID", "HOSTNAME",
  "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE",
  "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6", "ROA4",
  "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION", "WARN", "BLOCK", "RESTART",
  "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD", "KEY", "PASSIVE",
  "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS", "INTERFACES",
  "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256", "SHA384",
  "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256", "BLAKE2B512",
  "PRIMARY", "STATS", "COUNT", "BY", "COMMANDS", "PREEXPORT", "NOEXPORT",
  "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION", "RELOAD",
  "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY", "IGP_METRIC",
  "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE", "BASE", "LOG",
  "GRACEFUL", "WAIT", "FLUSH", "AS", "IDLE", "RX", "TX", "INTERVAL",
  "MULTIPLIER", "CHECK", "LINK", "SORTED", "TRIE", "SETTLE", "TIME", "GC",
  "THRESHOLD", "PERIOD", "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS",
  "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI",
  "SEC", "SHOW", "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES",
  "SOCKETS", "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "BABEL",
  "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS", "BUFFER",
  "PRIORITY", "HOP", "BABEL_METRIC", "ENTRIES", "RANDOMIZE", "MAC",
  "PERMISSIVE", "EXTENDED", "BFD", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL",
  "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT", "BIND", "SESSIONS",
  "HOLD", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA", "SELF",
  "PATH", "START", "DELAY", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "REFRESH", "INTERPRET",
  "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY",
  "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY",
  "ALLOW", "PATHS", "AWARE", "SETKEY", "CONFEDERATION", "MEMBER",
  "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY", "INTERNAL",
  "EXTERNAL", "SETS", "DYNAMIC", "RANGE", "NAME", "DIGITS", "BGP_AIGP",
  "AIGP", "ORIGINATE", "COST", "ENFORCE", "FREE", "VALIDATE", "ROLE",
  "ROLES", "PEER", "PROVIDER", "CUSTOMER", "RS_SERVER", "RS_CLIENT",
  "REQUIRE", "BGP_OTC", "GLOBAL", "CEASE", "HIT", "ADMINISTRATIVE",
  "SHUTDOWN", "CONFIGURATION", "CHANGE", "DECONFIGURED", "CONNECTION",
  "REJECTED", "COLLISION", "OF", "MRT", "FILENAME", "ALWAYS", "OSPF", "V2",
  "V3", "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID",
  "AREA", "RFC1583COMPAT", "STUB", "TICK", "COST2", "RETRANSMIT",
  "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA",
  "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC",
  "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE",
  "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR",
  "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK", "MERGE", "LSA",
  "SUPPRESSION", "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP",
  "REPEAT", "MODE", "PIPE", "RADV", "RA", "SOLICITED", "UNICAST",
  "MANAGED", "OTHER", "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS",
  "TIMER", "CURRENT", "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP",
  "AUTONOMOUS", "RDNSS", "DNSSL", "NS", "DOMAIN", "TRIGGER", "SENSITIVE",
  "LOW", "MEDIUM", "HIGH", "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME",
  "RIP", "NG", "INFINITY", "TIMEOUT", "GARBAGE", "VERSION", "SPLIT",
  "HORIZON", "POISON", "REVERSE", "ZERO", "PLAINTEXT", "DEMAND", "CIRCUIT",
  "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD", "PRIVATE", "PUBLIC", "SSH",
  "TRANSPORT", "USER", "EXPIRE", "STATIC", "PROHIBIT", "BLACKHOLE",
  "UNREACHABLE", "KERNEL", "NETLINK", "KRT_PREFSRC", "KRT_REALM",
  "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT", "KRT_RTTVAR",
  "KRT_SSTRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_LOCK_MTU", "KRT_LOCK_WINDOW", "KRT_LOCK_RTT",
  "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH", "KRT_LOCK_CWND",
  "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT",
  "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN", "KRT_FEATURE_ALLFRAG", "SYSLOG",
  "TRACE", "INFO", "WARNING", "AUTH", "FATAL", "BUG", "STDERR", "SOFT",
  "CONFIRM", "UNDO", "LATENCY", "WATCHDOG", "CONFIGURE", "DOWN", "PERSIST",
  "SCAN", "LEARN", "DEVICE", "KRT_SOURCE", "KRT_METRIC", "$accept",
  "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP", "config", "conf_entries",
  "conf", "definition", "expr", "expr_us", "symbol", "bool", "ipa",
  "ipa_scope", "pxlen4", "net_ip4_", "net_ip6_", "net_ip6_sadr_",
  "net_vpn4_", "net_vpn6_", "net_roa4_", "net_roa6_", "net_mpls_",
  "net_ip_", "net_vpn_", "net_roa_", "net_", "net_ip4", "net_ip6",
  "net_ip", "net_any", "net_or_ipa", "label_stack_start", "label_stack",
  "time", "text", "opttext", "flow_num_op", "flow_logic_op",
  "flow_num_type_", "flow_num_type", "flow_flag_type", "flow_frag_type",
  "flow_srcdst", "flow_num_opts", "flow_num_opt_ext_expr",
  "flow_num_opt_ext", "flow_bmk_opts", "flow_neg", "flow_frag_val",
  "flow_frag_opts", "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "filter_body",
  "filter", "$@2", "where_filter", "function_body", "function_def", "$@3",
  "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var", "cmd_prep", "cmds_int",
  "fipa", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "var_list",
  "function_call", "symbol_value", "static_attr", "term", "break_command",
  "print_list", "var_init", "var", "for_var", "cmd", "$@6", "$@7", "$@8",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type", "table", "table_start", "table_sorted",
  "table_opt", "table_opts", "table_opt_list", "proto_start", "proto_name",
  "proto_item", "channel_start", "channel_item_", "channel_item",
  "channel_opts", "channel_opt_list", "channel_end", "proto_channel",
  "rtable", "imexport", "limit_action", "limit_spec", "debug_default",
  "timeformat_which", "timeformat_spec", "timeformat_base",
  "iface_patt_node_init", "iface_patt_node_body", "iface_negate",
  "iface_patt_node", "iface_patt_list", "iface_patt_list_nopx",
  "iface_patt_init", "iface_patt", "tos", "proto", "dev_proto_start",
  "dev_proto", "dev_iface_init", "dev_iface_patt", "debug_mask",
  "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_item", "bfd_items", "bfd_opts", "cmd_SHOW_STATUS",
  "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS", "cmd_SHOW_PROTOCOLS_ALL",
  "optproto", "cmd_SHOW_INTERFACES", "cmd_SHOW_INTERFACES_SUMMARY",
  "cmd_SHOW_ROUTE", "r_args", "r_args_for", "r_args_for_val",
  "export_mode", "channel_sym", "channel_arg", "cmd_SHOW_SYMBOLS",
  "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS", "cmd_DUMP_EVENTS",
  "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS", "cmd_DUMP_ATTRIBUTES",
  "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS", "cmd_DUMP_FILTER_ALL",
  "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size", "cmd_DISABLE",
  "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD", "cmd_RELOAD_IN",
  "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args", "cmd_MRTDUMP",
  "cmd_RESTRICT", "proto_patt", "proto_patt2", "dynamic_attr",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "bgp_proto_start", "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask",
  "bgp_cease_list", "bgp_cease_flag", "bgp_role_name", "bgp_proto", "$@9",
  "$@10", "bgp_afi", "bgp_channel_start", "bgp_nh", "bgp_lladdr",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@11", "$@12", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@13", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@14", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@15", "$@16", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@17", "$@18", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_route0", "stat_route",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_mask",
  "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_mp_limit", "kern_item", "kif_proto_start",
  "kif_proto", "kif_item", "kif_iface_start", "kif_iface_item",
  "kif_iface_opts", "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_int16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,    61,    60,
      62,   126,   283,    43,    45,    42,    47,    37,    33,    46,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,    59,    40,    41,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    44,   123,
     125,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,    58,    91,    93,    63,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   648,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,   683,
     684,   685,   686,   687,   688,   689,   690,   691,   692,   693,
     694,   695,   696,   697,   698,   699,   700,   701,   702,   703,
     704,   705,   706,   707,   708,   709,   710,   711,   712,   713,
     714,   715,   716,   717,   718,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
     804,   805,   806,   807,   808,   809,   810,   811,   812,   813
};
#endif

#define YYPACT_NINF (-2146)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-902)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     199,    81,   218,    62,   249,   257,   389,  5152,   170,   200,
     200,   730,   200,   462,    30,   675,  1673,   133,   200,   194,
      18,   508, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146,   468, -2146, -2146, -2146, -2146,   468,   468,  5152,  2395,
     489,   586,   445,   551, -2146, -2146,   -74, -2146,   459, -2146,
   -2146, -2146, -2146,   136,   649, -2146,   567,   116, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,   574,
   -2146,   517,   421, -2146, -2146, -2146,   251,  2653,   251, -2146,
     251, -2146,   251,  6773,   251, -2146,   251,  1287,   251,  1049,
     709,  1093,   251, -2146,   251, -2146,   251, -2146,   251,  1427,
     875, -2146, -2146, -2146,   251,   251,    88, -2146, -2146, -2146,
    1195, -2146, -2146,   760,   777,   899,   771, -2146,   687,   169,
    5152,   851, -2146,  2995,   801,   810, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
     841,   850,   879,   896,   900,   916,   920,  1299, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146,   864,   883, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,  2964, -2146,   990, -2146, -2146,   212,
    1037,   212, -2146,  1022,  1022,   200,   200,  1067,   214, -2146,
    1072,   245,   134,  1078, -2146,  1081, -2146,   355,   737,    97,
       0,  1080,   938,  1114,  1121,  1132,  1153,  1176,  1186,  1193,
    1197, -2146,   -61, -2146,  1150,  1022, -2146, -2146,  1154,  1205,
    1154,  1226,  1243,   721, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146,  1201, -2146, -2146,  3389, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146,   354,  1249,  1268,   917, -2146, -2146,  1200,   212,
     212,   669,  1490, -2146,   214,  1244, -2146, -2146, -2146, -2146,
     130,  1280,    75,  1084,   669,   669,   468, -2146,  1272, -2146,
   -2146, -2146, -2146, -2146, -2146,   578, -2146, -2146, -2146,   853,
   -2146, -2146, -2146, -2146, -2146,  1335,  1315,  1289, -2146,  1218,
    2082,   212, -2146,   159,   551,   214,  1129, -2146,  1341,  1317,
    1349,  1362,  1353,  1357,  1359, -2146, -2146, -2146,   -12,  1082,
     596,  1390,  1403,   671,    49,    54,    59,    80,  1139,   551,
    2082,  1109,  1260,  1228,   378,  1625,  1005,    69,   142,  1181,
    1237,   501,  1255,  1214,  1231,  1210,   714,  1208,  1385,  2082,
    1221,  1202,  1265,  1288,  1220,  1224,   254,  2082,   184,  1211,
    1438,  1271,  1216,  1542, -2146,  1516,  1552,  1530,  1531,  1144,
   -2146,  1421,   782,  2082,  1453,   669,  2082,  1454,  1245,  2082,
    1250, -2146,  1317, -2146,  1570,  1545, -2146,  1549, -2146,  2082,
     967,  1611,   109,  1613,   999,  1583, -2146,  1589, -2146, -2146,
     669,  1025,   941,  1619,  1455,  1411,  1466,  1602,  1603,  1577,
    1578,  1579,  1582, -2146,  1059,  1413,  1494,  1618,  1623,    29,
    1597, -2146,  1483,   669,  1314,  1512,  1442,  2082,  1434,  2082,
   -2146, -2146,  1647,  1648,  1622,  1624, -2146, -2146,  1439, -2146,
    1653,  1148, -2146,  1195,  1195,  5152,  1554,  1195,  1195,  1689,
   -2146,  1698, -2146,  1701,   760,  1684, -2146, -2146,  5152,  1693,
     206,  1688,  1690, -2146, -2146, -2146,  1709, -2146,  1650,  2834,
   -2146, -2146,  1619,  5152,  5152,  5152,  5152,  5152,  5152, -2146,
   -2146,  1684, -2146, -2146,  2394, -2146, -2146, -2146,   617, -2146,
    1723, -2146, -2146, -2146, -2146,   144, -2146,   211,  1717,  1718,
   -2146,  5152,  5152,  5152,  5152,  5152,  5152,  5152,  5152,  5152,
    5152,  5152,  5152,  5152,  5152,  2073,  2063, -2146,  1225, -2146,
   -2146, -2146, -2146, -2146,  1733,  1734,  1735,  1737, -2146, -2146,
     385, -2146,  1738, -2146, -2146, -2146,   635,  1740, -2146,  1741,
   -2146,  2567, -2146,   457,  1080,  1080,  1080,  1080,  1080, -2146,
    1080,  1080, -2146,   122,   153,  1744,  1080,  1080,  1745,  1746,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146,   898, -2146, -2146,
    1750,  1751,   724,  1753, -2146,   721, -2146, -2146,   669,  1757,
    5152,  1712, -2146, -2146,  1714,  1696,  1700, -2146, -2146, -2146,
   -2146,  5152,  1715, -2146, -2146, -2146, -2146, -2146,  5152, -2146,
   -2146, -2146, -2146, -2146,   669, -2146, -2146,  1728, -2146,   669,
     942, -2146,  1393, -2146,   669,    72,   669,  1085, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146,   251, -2146, -2146,  1759, -2146,
     782, -2146, -2146, -2146, -2146, -2146, -2146, -2146,  2082, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146,  1522,  1523,  1046,
    1524,  1528, -2146,  1742,   669,   669, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,    47,  1743,  1748,   -38,   663,  2082,
    1440,  1553,  2082,  1749,  1760,  1724, -2146,  1766, -2146, -2146,
   -2146,  1173,  1772,   135,  1166,  1772,   176,  2082,   669,  1533,
    1548,   669,  1556,  2082,  1558,  2082,  1656,  2082,  2082,  1774,
    2082,  2082,  2082,  2082,  2082,  2082,  1449,  1585,  2082,  2082,
    1777,  2082,  1778,    51,  1587,  2082,  2082, -2146, -2146, -2146,
   -2146, -2146, -2146,  2082,   718, -2146, -2146,  2082, -2146,  1643,
     669,  2082, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
     669,   669, -2146,  1822,  1823, -2146, -2146, -2146, -2146, -2146,
   -2146,  1819,  5152, -2146, -2146,  1376,  1645, -2146, -2146,  1376,
   -2146, -2146, -2146,  1376,  2082,  1619, -2146, -2146, -2146, -2146,
   -2146, -2146,   777,   899, -2146, -2146, -2146,  2082,  1619, -2146,
   -2146, -2146,  1234, -2146,  1046, -2146, -2146, -2146,   154,  1525,
   -2146,  1793,  2082, -2146,  2082,   669,  1551, -2146,   669, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,   669, -2146,  1830, -2146,
   -2146, -2146,  2652, -2146, -2146,  1195,   472, -2146, -2146, -2146,
   -2146,  1799,  1833,   686,  3389, -2146,  1708,  1818, -2146, -2146,
    5152, -2146,  5152, -2146, -2146,   692,  2867,  2201,  2772,  3048,
    3060,  3241,  1787,   205,  1788,  3354, -2146, -2146,  1852,  1668,
    1869, -2146,   899, -2146,  1620,  1621,  2282,  2282,  2282,  3486,
    3486,  2282,  2282,  2282,  2282,  2282,   909,   909,  1690,  1690,
   -2146, -2146, -2146, -2146, -2146,  1824, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146,   930, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146,   947, -2146, -2146,  1870, -2146, -2146, -2146,
    1281,  1059,  1819,  1856, -2146,  1703,  1704,   162, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146,  1858, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146,  1022,  1022,  1022,  1022,  1880,
    1022,  1022,   121,  1080,  1022,  1080,  1022, -2146,  1022,  1022,
   -2146, -2146,   -61, -2146, -2146, -2146, -2146,  1819,  1014,   551,
   -2146, -2146,  1887, -2146, -2146,  3270,  1840, -2146,  2303, -2146,
   -2146, -2146,   551,  1872, -2146,  1844,  3552, -2146,  3564, -2146,
   -2146,  1874,  1219,  1278,   551, -2146,   551, -2146,   -61, -2146,
    1845,  1851, -2146, -2146, -2146,    92, -2146, -2146, -2146,  1873,
   -2146,  1826,  1863,  1170, -2146,  1584,  1697,   669,   669,  1864,
     669,   669, -2146,  1867,  1871,  2082,  1790, -2146, -2146,  1730,
    1664,   669,  1879,  1882,  1883,  2082,  2082,  1884, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,   468, -2146,   669, -2146,
     669, -2146, -2146, -2146, -2146, -2146, -2146, -2146,  1885, -2146,
     669, -2146,   669,  1886,  1888,   669,   669,  1890,   669,  1891,
     669,  1895,   782,  1897,  1900, -2146,  1901,  1909,  1911,  1913,
    1915,  1917,  2082,  1103,  1918,  1919, -2146,  1921, -2146,   669,
    1923,  2082,  1924,  1928,  2468, -2146,  1212, -2146,   669, -2146,
   -2146, -2146,   669, -2146, -2146, -2146,   500, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,  3389, -2146,  1739, -2146,  2082, -2146,
   -2146, -2146,  1929,   818,   253,  1020,  1930,  1931, -2146,  1772,
    1889,  1959,   669,  2082,  2082,   154,  5784, -2146, -2146,  1794,
   -2146,   669, -2146,  1826,  1908, -2146,  1195, -2146, -2146,  1195,
    1967, -2146, -2146,  5152,  1957,  1958,  3130,  2952, -2146, -2146,
   -2146,  5152, -2146,  5152,  5152,  5152,  5152, -2146,  3322,  5152,
    3916,  5152, -2146,  1916,  5152, -2146, -2146, -2146,  1980,  1981,
    5152,  1225, -2146,   385, -2146, -2146,   760,   701,  1319, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
    1977,  1977, -2146, -2146,   990, -2146,  1999,  2000,  2002,  2003,
   -2146,  2010,  2013, -2146, -2146,  2004,   782, -2146, -2146, -2146,
     782,   782,  1022,  2015,  1022,  2024,  2025,  2026, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,  2395, -2146,  5497,   354,
    1982,  1956,  1826, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146,  1089, -2146, -2146, -2146,  1776,  1789,  2082,
    2082,  1097,  1987, -2146,  2027, -2146, -2146, -2146,   212, -2146,
    1988, -2146, -2146,  1892, -2146, -2146,  2006, -2146, -2146, -2146,
   -2146,  1046,  1752, -2146,  2007,  1976,  2008, -2146,  2011,  2012,
   -2146, -2146,  2016,   749, -2146,  2018,   305,   669,  2020, -2146,
   -2146, -2146,  2022,  2023, -2146,   536,  2030,   341, -2146,   405,
   -2146, -2146, -2146,   213, -2146, -2146, -2146, -2146,  2031,  2032,
   -2146,  2035, -2146,  2036, -2146,  2037, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,  2038, -2146,  2041, -2146, -2146, -2146,
    2042, -2146,  2046, -2146, -2146,  1769, -2146,  1710,  1223,   805,
    1727,  1922,  1907,  2044,  1762,  1932,     8,  2082,  2082,   155,
     669,  2082, -2146,  2057, -2146,  1819,  1187,   669,   551,  1974,
   -2146, -2146,  2069, -2146, -2146, -2146, -2146,  -187,  2082, -2146,
     148, -2146,  1868,  1173, -2146,   105,  2070, -2146,  1674, -2146,
    1330, -2146, -2146, -2146, -2146,  1203, -2146, -2146, -2146,  1203,
    1946, -2146, -2146,  2080, -2146, -2146,  2082,   669, -2146, -2146,
    2084,   669, -2146,  1939,  1990,  1939,  1366,   -46,  1939, -2146,
   -2146,  2089, -2146, -2146, -2146, -2146,  1959, -2146, -2146,  2106,
   -2146, -2146, -2146,   603, -2146, -2146,  5152,  5152,  2090,  5152,
   -2146, -2146, -2146,  5152,  5152, -2146,  2093,  2094,  2096,  2121,
    5152, -2146,   380, -2146,   669, -2146, -2146, -2146, -2146, -2146,
   -2146,  2115,  3389,  2118, -2146,  5152, -2146,  5152,  2536,  2700,
    3160,  3632,  3661,  3697,  3733,   752,   233,  3389,  2075,   792,
     203,  2077,  2138,  3354, -2146, -2146,  3745, -2146, -2146,  2139,
     760,  1684,   990, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146,  2153, -2146,  2155, -2146, -2146,
   -2146,   354, -2146,   354,  2087, -2146, -2146,  5497, -2146, -2146,
    2117, -2146,  2152, -2146,  1910,  1912, -2146, -2146,   669,   669,
   -2146,  1402,  1423, -2146, -2146, -2146, -2146, -2146, -2146,  2019,
   -2146,   732, -2146, -2146,  2095, -2146,    94, -2146,  2082, -2146,
     669, -2146, -2146, -2146, -2146,  1985,  1761,  1771, -2146,    45,
    1770,   964,  1235, -2146, -2146,  2128,  2129,  2135, -2146, -2146,
   -2146, -2146,  1162,  2082, -2146,  1933,   669,   669,  2140, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146,   379,  1609,  2082,  2082,   -29,  1619,  2082,  1893,
     436,  1619, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,  1898, -2146, -2146, -2146,
     669,   669,  2082, -2146,  2111,   669, -2146,  2116,   782, -2146,
   -2146,  2127,   669, -2146, -2146,   669,  2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,  2159, -2146, -2146, -2146,   808,   220,
   -2146,  2082, -2146, -2146, -2146,  2047, -2146, -2146, -2146, -2146,
     669,  2125,   669, -2146, -2146, -2146,  2148, -2146, -2146, -2146,
     669, -2146,  2106,  2223,  5152,  2162,  5497,  3189,  2191,  2192,
    1925,  3457,  2014,  2546,  2174, -2146, -2146, -2146,  5152,  2193,
    5152,  1146, -2146,   -24,  2228,  2238,  3777,  3891, -2146, -2146,
   -2146, -2146,  2221, -2146, -2146,  1389,  2215, -2146, -2146, -2146,
   -2146, -2146, -2146,  1984,  2247,  2247,   919,  2235, -2146,  1984,
    2247,  2247,  1203,  2239,  5152, -2146, -2146, -2146, -2146, -2146,
    2255,  5152, -2146,  4240, -2146,  2262,  5152,  2288,  4564,  4888,
    2219, -2146, -2146, -2146, -2146,  1229,  2272, -2146, -2146, -2146,
    2248,   669,   669, -2146, -2146,   760,  1684, -2146, -2146, -2146,
   -2146,  2222,  2082, -2146, -2146, -2146, -2146, -2146,  2095, -2146,
   -2146,   468,   551,  1995, -2146,  2253,  1904,  2045, -2146, -2146,
   -2146, -2146, -2146, -2146,   749, -2146, -2146, -2146, -2146,  2051,
    2052, -2146,  2064, -2146, -2146, -2146,   647,   647,  1046,  1927,
   -2146, -2146, -2146, -2146, -2146,  2123,  2062, -2146, -2146,  2082,
   -2146, -2146, -2146, -2146, -2146,  2082,  1826,  2250, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146,  2263, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146,  2269,   669, -2146,  2082, -2146, -2146, -2146,  2271, -2146,
   -2146,  3596, -2146, -2146,  5152, -2146, -2146,  2299, -2146,  6071,
   -2146, -2146,   354,  2251,  5152,  6335,  4191, -2146,  4470,  2307,
    2311,  2313,  2315,  2318, -2146,  1046,  2316, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146,  2362,   669,  1446, -2146,  2295, -2146,   456,
     669,  1172,   615, -2146, -2146, -2146, -2146,  1446,   456,   615,
    2297, -2146,  3948,  2321,  2322,   829,   469,  2325,   845,  2327,
    2329,   473,  2330,   661, -2146, -2146, -2146,  5152,  2334, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,  1604, -2146, -2146, -2146,
    1046,  2081, -2146, -2146, -2146, -2146,   669,   669,   669, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,  2082,   669, -2146, -2146,
    1674, -2146, -2146,   939,   970,    42,   833,    41, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
    2336,  2283,  1360, -2146, -2146,  3389, -2146, -2146, -2146, -2146,
   -2146, -2146,  5152,  5152,  5152, -2146,  5152, -2146, -2146,   669,
   -2146, -2146,   669,  1702,   669, -2146,  2247,  2247,  2353, -2146,
   -2146, -2146, -2146, -2146,  2247,  2247,  2383, -2146, -2146, -2146,
   -2146,  2373,  5152, -2146, -2146, -2146,  2374,  5152, -2146,  5152,
    2401, -2146,  5152, -2146,  3389, -2146,  1506, -2146, -2146, -2146,
    1215, -2146, -2146,  2082,  2341,  2166,   669,   669,   546, -2146,
   -2146, -2146,  1066,  2343,  2371, -2146,  2082, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,  1209, -2146, -2146, -2146,   485, -2146,
   -2146,  2082,   669,  2082,  2378, -2146,   669,   669,   -39,   669,
    2101,   620, -2146,  2381, -2146,  2082,  1948,  1949,  2082,  2082,
    2384,   187, -2146,    25,   -25,   511, -2146,    -8, -2146,  6071,
   -2146, -2146, -2146,  2394, -2146, -2146,  2427, -2146, -2146, -2146,
   -2146,    99,  5152,  2385,  2360,  4068,  4101,  4133,  4162, -2146,
    2295,   669, -2146,   669,   669,   669,  1172,  1172, -2146,  2388,
    2389,  2397,  2376,  2398,  2402,  2439,   669,  2202,  1185, -2146,
     669,  2205,   291,  2243,   669,  2249,  2258,  2465,    96, -2146,
    2474,  2273,  2274, -2146,  1283,  2275, -2146, -2146, -2146,  1325,
   -2146,  2326, -2146, -2146, -2146,   985, -2146, -2146, -2146,  2196,
   -2146,   669,  2231,   295,  2277,  2083,  2453,   669,   669,  2082,
     -27,  2107,  2178,   669,  2082,   669,  2216,   676,  -106,   669,
    2417,  2114, -2146,  2493, -2146,   669,  2495, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146,   669,   669, -2146,
   -2146, -2146,   669,   669, -2146, -2146, -2146, -2146,    13,  -131,
    2078,    -4,   -32,  2072,  2091,  2082,  2076,  2292,  2086,  2265,
    2242,  2259,  2512, -2146,    55,  1046,  2517, -2146,    55,  2545,
    2519,   669, -2146,  2082,  2276,   558,  -120,   669,  2320,  2082,
     -76,  1046,  2224,  2328,  2466,  -135,  2338,  2339,   101,  2099,
    2100,  2104, -2146,  2552, -2146,  2120,  2102,   551,  2557, -2146,
   -2146,  4273,  1127,  1527, -2146,  3389,  2561,  5152,  2562,  2563,
    2568,  2572, -2146,  2583,  2599, -2146, -2146, -2146, -2146, -2146,
   -2146,  5152, -2146,  5152, -2146, -2146,  1307, -2146, -2146, -2146,
     669,   669,   669,   669,   669, -2146,  2082, -2146,   669,   669,
    2340, -2146,  2333, -2146,   669,   669,  2565,  2585,   669, -2146,
   -2146,  1327,  2616,   123,   669,  2616,  1291,   128,  2566, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,    73,   669,
     669, -2146,  2082,  2182, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146,  2082,  1054, -2146, -2146, -2146,   669,   669, -2146,  2082,
    2082, -2146,   669,  2082, -2146, -2146, -2146, -2146, -2146,  2156,
    2156,  2386, -2146,   669,  2391,  2396,   666,   669,   666,  2390,
     669,   669,  2181, -2146,  2082,   669,   669,  2459,  2082,   808,
    2082,   220, -2146, -2146,   669, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146,   669,   669,   669, -2146,  2082,
    2082, -2146,   669, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
    1198,   669,   669, -2146, -2146,   669,   669,  2082, -2146,  2082,
    2082,  2082, -2146, -2146,  2454,  2455, -2146, -2146, -2146,  5152,
   -2146, -2146, -2146,  2544, -2146,  4375, -2146, -2146, -2146, -2146,
     669,   669,  2604,  2582,  1046,  1046, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,  2082, -2146, -2146, -2146, -2146,  1283,
   -2146, -2146, -2146, -2146,  2609,  2616,  2616,  2610,  2617,  1374,
    1386, -2146, -2146, -2146, -2146,  2618,  2616,  2616, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146,  2082,  1021, -2146,  2227, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,  2082, -2146, -2146,   669,
   -2146,   669,   669, -2146, -2146, -2146, -2146,  2156, -2146,   669,
    2156, -2146,  2082, -2146, -2146, -2146,   669, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,  2229, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,   551,   551,
    4273,  6071,  2620, -2146, -2146, -2146,  5152, -2146, -2146, -2146,
   -2146,   985,  2622,  2623,   985,   985, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,   985,  2626,  2627, -2146,
   -2146, -2146,  2256, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,  2614,
   -2146,   985,   985, -2146, -2146, -2146,   985,   985, -2146,  2642,
    5152, -2146, -2146, -2146, -2146, -2146,  2643, -2146
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1459,     0,     3,   135,   137,   139,   574,   576,   578,   580,
     584,   586,   588,   645,   654,   656,   658,   660,   662,   664,
     666,   668,   670,   672,   674,   681,   683,   685,   687,   689,
     691,   693,   697,   699,   794,   796,   798,   800,   755,   984,
    1127,  1129,  1131,  1133,  1135,  1137,  1139,  1141,  1313,  1315,
    1378,  1443,  1445,  1447,  1449,  1451,  1453,  1455,  1457,     1,
       2,     0,   410,     6,   408,   409,     0,     0,     0,     0,
       0,     0,     0,     0,   427,   428,     0,   401,   402,   404,
     405,   406,   407,     0,     0,  1413,     0,     0,     5,     7,
     141,   144,   146,   148,   150,   180,   390,   397,   399,     0,
     411,   414,     0,   471,   475,   426,   429,   433,   429,   757,
     429,   708,   429,   433,   429,   971,   429,   433,   429,   433,
       0,   433,   429,  1174,   429,  1260,   429,  1317,   429,   433,
     433,  1412,  1435,  1438,   429,   429,   433,   136,   138,   140,
     265,   266,   276,   193,   194,   271,   285,   269,     0,     0,
       0,     0,   286,     0,     0,     0,   289,   267,   268,   287,
     288,   290,   291,   292,   293,   294,   295,   297,   298,   296,
       0,     0,     0,     0,     0,     0,     0,     0,   707,   793,
     958,   961,   960,   957,   959,   962,   963,   964,   967,   969,
     965,   966,   968,   970,  1123,  1124,  1125,  1126,  1258,  1259,
    1311,  1312,  1384,  1385,  1386,  1387,  1388,  1389,  1390,  1391,
    1392,  1393,  1394,  1395,  1396,  1397,  1398,  1399,  1400,  1401,
    1402,  1403,  1404,  1405,  1406,  1407,  1408,  1409,  1410,  1411,
    1491,  1492,    37,    38,    47,    39,    40,    41,    42,    48,
      43,    44,    45,   272,   133,   134,    46,   270,   280,   317,
     318,   350,   316,   319,     0,   320,   701,   703,   702,     0,
       0,     0,   701,    69,    69,     0,     0,     0,     0,   700,
       0,   705,     0,     0,   590,     0,   647,     0,     0,   583,
       0,   583,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   677,     0,   676,   679,    69,   986,  1460,  1459,     0,
    1459,     0,     0,  1461,  1456,    16,    15,   802,   803,   804,
     805,   806,   807,     0,   181,   142,   145,   152,   153,   154,
     156,   155,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,     0,     0,     0,     0,    67,    66,     0,     0,
       0,     0,    22,   403,     0,     0,   477,   476,   478,   479,
       0,     0,     0,     0,     0,     0,     0,   415,   424,   503,
    1318,   809,   758,   709,   972,   993,  1153,  1168,  1175,  1261,
    1348,  1465,  1478,   996,  1263,     0,   430,     0,   502,     0,
      22,     0,   509,     0,     0,     0,     0,   441,     0,   455,
       0,     0,     0,     0,     0,   917,   918,   808,     0,     0,
       0,     0,     0,     0,   907,   908,     0,     0,     0,     0,
      22,     0,     0,     0,     0,    22,     0,   813,   810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,     0,     0,    22,     0,     0,
       0,     0,     0,     0,   919,   953,     0,     0,     0,     0,
     992,     0,     0,    22,     0,     0,    22,     0,     0,    22,
     999,  1003,   455,  1004,     0,     0,  1017,     0,  1152,    22,
       0,     0,     0,     0,     0,     0,  1157,     0,  1170,  1167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1347,     0,     0,     0,     0,     0,  1367,
    1376,  1464,     0,     0,     0,     0,     0,    22,     0,    22,
    1470,  1471,     0,     0,     0,     0,  1477,  1484,     0,  1481,
       0,   265,   285,   265,   265,     0,     0,   265,   265,     0,
     254,     0,    29,     0,     0,     0,    32,    33,   281,     0,
       0,     0,   314,    36,   216,   217,     0,   219,     0,     0,
     128,   128,     0,     0,     0,     0,     0,     0,     0,   195,
     198,   194,   197,   200,     0,   273,    37,    38,   245,   196,
     234,   231,   232,   233,   241,     0,   249,     0,     0,     0,
     673,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   512,     0,   511,
     696,   694,   695,    68,     0,     0,     0,     0,   688,   523,
       0,   522,     0,  1458,   704,   706,   705,     0,   585,     0,
     577,     0,   575,     0,   583,   583,   583,   583,   583,   582,
     583,   583,  1143,   583,   583,     0,   583,   583,     0,     0,
     667,   659,   669,   661,   655,   657,   663,   665,  1431,  1426,
    1429,  1427,  1428,  1430,  1432,  1433,  1434,     0,  1424,   680,
       0,     0,     0,     0,  1452,  1461,  1448,  1450,  1462,     0,
       0,     0,   172,   167,     0,     0,     0,   393,   395,   396,
     498,     0,     0,   398,   472,   473,     9,    11,     0,   474,
      18,    20,    19,    21,     0,    17,  1439,     0,  1437,   480,
       0,   488,  1416,  1421,  1417,     0,     0,     0,  1442,  1441,
     413,   422,   412,   994,   995,   429,  1262,   431,     0,   504,
       0,   434,   435,   489,   440,   439,   438,   436,    22,   505,
     453,   457,   506,   507,   763,   716,   836,     0,     0,     0,
       0,     0,   853,     0,     0,     0,   911,   909,   912,   910,
     913,   915,   914,   916,     0,     0,     0,     0,    22,    22,
       0,     0,    22,     0,     0,     0,   854,     0,    23,    24,
      25,     0,    26,     0,     0,    26,     0,    22,     0,     0,
       0,     0,     0,    22,     0,    22,     0,    22,    22,     0,
      22,    22,    22,    22,    22,    22,     0,     0,    22,    22,
       0,    22,     0,     0,     0,    22,    22,   837,   951,   955,
     838,   981,   997,    22,    22,  1018,  1005,    22,  1015,  1012,
       0,    22,  1006,  1000,  1001,   457,   998,  1020,  1154,  1164,
       0,     0,  1163,     0,     0,  1160,  1165,  1166,  1156,  1155,
     448,   176,     0,   462,   463,     0,     0,   461,   443,     0,
     444,   459,   442,     0,    22,     0,  1171,  1172,  1186,  1270,
    1320,  1349,     0,     0,    56,    55,  1363,    22,     0,  1350,
    1351,  1369,     0,  1368,     0,  1372,  1370,  1371,  1361,  1364,
    1374,     0,    22,  1382,    22,     0,     0,  1472,     0,  1474,
    1380,  1467,  1466,  1479,   489,  1482,     0,  1480,     0,   257,
     263,   261,     0,   193,   194,   265,     0,   262,   264,   256,
      28,    30,     0,     0,   282,   339,     0,     0,   340,   218,
       0,   299,     0,   129,   130,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   205,   246,   247,     0,     0,
       0,   274,     0,   275,     0,     0,   311,   309,   307,   304,
     305,   306,   308,   310,   312,   313,   300,   301,   302,   303,
     329,   328,   322,   323,   324,     0,   327,   321,   325,   326,
     334,   335,   336,   331,   332,   333,   337,   338,   641,   639,
     640,   624,   627,   631,   634,   637,   638,   625,   626,   628,
     629,   630,   632,   633,   635,   636,   642,   643,   644,   516,
     517,   518,   520,   521,   519,     0,   514,   686,   682,   690,
     692,   527,   528,     0,   525,   698,     0,   579,   587,   589,
       0,     0,   176,     0,   600,     0,   621,     0,   602,   601,
     606,   607,   620,   622,   623,   591,   599,     0,   646,   649,
     650,   651,   652,   648,   653,    69,    69,    69,    69,     0,
      69,    69,     0,   583,    69,   583,    69,  1128,    69,    69,
    1379,   671,     0,   678,   675,   684,   985,   176,     0,     0,
     990,  1454,     0,  1463,  1444,     0,   168,   182,     0,   143,
     174,   147,     0,     0,   489,     0,     0,   391,     0,  1440,
    1436,     0,   482,   485,     0,  1420,     0,  1419,     0,  1422,
       0,     0,    12,    13,    14,     0,  1169,   432,   437,   492,
     495,   510,     0,     0,   458,   433,   433,     0,     0,     0,
       0,     0,   844,     0,     0,    22,    22,   882,   884,     0,
       0,     0,     0,     0,     0,    22,    22,     0,   900,   899,
     571,   902,   855,    54,    53,   813,     0,   813,     0,   841,
       0,   816,   817,   831,   832,   833,   834,   835,     0,   810,
       0,   839,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   881,     0,     0,     0,     0,
       0,     0,    22,     0,     0,     0,   883,     0,   848,     0,
       0,    22,     0,     0,     0,   956,   433,  1007,     0,  1010,
    1009,  1008,     0,  1016,  1014,  1002,     0,  1161,  1162,  1158,
    1159,   175,   460,   172,   178,   470,   464,   446,    22,   447,
     445,   450,     0,   433,   433,   433,     0,     0,  1356,    26,
    1365,     0,     0,    22,    22,  1362,     0,  1354,  1475,  1468,
    1381,     0,  1473,   497,  1488,  1483,   265,   255,   259,   265,
       0,    30,   284,     0,     0,     0,     0,     0,   124,   126,
     347,     0,   315,     0,     0,     0,     0,   349,     0,     0,
       0,     0,   199,     0,     0,   235,   242,   250,     0,     0,
       0,     0,   513,     0,   524,   581,   618,   619,     0,   615,
     616,   617,   611,   609,   610,   592,   608,   593,   598,   605,
       0,     0,   594,   595,   603,   604,     0,     0,     0,     0,
     756,     0,     0,  1142,  1151,     0,     0,  1146,  1149,  1144,
       0,     0,    69,     0,    69,     0,     0,     0,  1425,   989,
     988,   987,   991,  1446,     8,   170,     0,   172,   184,     0,
       0,     0,   499,   392,   394,    10,   481,   483,   484,   486,
     487,  1415,  1418,     0,  1414,   400,   425,     0,     0,    22,
      22,     0,     0,   493,    69,   489,   508,   456,     0,   451,
       0,   765,   766,     0,   759,   760,     0,   718,   723,   725,
     725,     0,     0,   710,     0,     0,     0,   867,     0,     0,
     866,   865,     0,     0,   818,     0,    22,     0,     0,   892,
     891,   898,     0,     0,   878,     0,     0,     0,    27,     0,
     814,   815,   905,     0,   811,   812,   858,   850,     0,     0,
     871,     0,   860,     0,   846,     0,   847,   880,   863,   885,
     862,   861,   897,   864,     0,   886,     0,   888,   889,   849,
       0,   856,     0,   859,   906,     0,   954,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    22,    22,    22,
       0,    22,   926,     0,   983,   176,     0,     0,     0,     0,
     977,   973,     0,  1011,  1013,  1019,  1113,     0,    22,  1033,
      22,  1031,     0,     0,  1023,    22,     0,  1037,  1114,   177,
       0,   469,   449,  1173,  1188,     0,  1189,  1180,  1182,     0,
       0,  1176,  1177,     0,  1272,  1273,    22,     0,  1264,  1265,
       0,     0,  1319,  1332,     0,  1332,     0,     0,  1332,  1322,
    1323,     0,  1326,  1352,  1353,  1355,     0,    62,    63,  1357,
    1359,  1358,  1360,     0,   186,  1377,   354,   354,     0,     0,
     351,   352,   353,     0,     0,   365,     0,     0,     0,     0,
     354,  1373,     0,  1375,     0,  1476,  1383,  1486,  1490,   258,
     260,     0,   283,     0,   341,     0,   277,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   205,     0,     0,
       0,     0,     0,     0,    34,    35,     0,   515,   526,     0,
     612,   613,     0,   596,   597,   801,   795,   797,   799,  1132,
    1130,  1147,  1150,  1145,  1148,     0,  1134,     0,  1138,  1314,
    1316,     0,   183,     0,     0,   190,   191,   185,   188,   189,
       0,   149,     0,  1423,     0,     0,   416,   417,     0,     0,
     423,   490,     0,   494,   496,   452,   454,   489,   761,     0,
     764,   711,   489,   712,   743,   713,   747,   714,    22,   717,
       0,   873,   851,   872,   875,     0,     0,     0,   822,     0,
       0,     0,     0,   820,   876,     0,     0,     0,   893,   877,
     879,   573,     0,    22,   570,     0,     0,     0,     0,   903,
     843,   842,   840,   870,   869,   852,   868,   845,   890,   887,
     857,   904,     0,    22,    22,    22,     0,     0,    22,     0,
       0,     0,   933,   934,   935,   931,   947,   946,   948,   936,
     952,   976,   975,   974,   979,   978,     0,   982,   489,  1036,
       0,     0,    22,  1024,     0,     0,  1022,     0,     0,  1040,
    1035,  1039,     0,  1029,  1021,     0,  1047,   465,   466,   467,
     468,    52,    51,  1222,  1231,  1179,   489,  1178,     0,     0,
    1184,    22,  1187,   489,  1269,  1266,  1268,  1271,  1334,  1333,
       0,     0,     0,    25,  1336,  1335,  1324,  1339,  1340,  1327,
       0,  1321,  1366,     0,     0,     0,   184,   355,     0,     0,
       0,     0,     0,     0,     0,   386,   386,   377,     0,     0,
       0,     0,  1469,     0,     0,     0,     0,     0,    82,    93,
      94,    80,     0,    83,    84,     0,     0,    87,    88,    92,
      89,   131,    90,     0,   106,   106,     0,     0,   132,     0,
     106,   106,     0,     0,     0,   344,   345,   343,   346,   214,
       0,     0,   212,     0,   208,     0,     0,   206,     0,     0,
       0,   330,   614,  1136,  1140,     0,   357,   179,   192,   173,
       0,     0,     0,   420,   421,    59,    60,    61,    57,    58,
     491,   790,    22,   721,   719,   720,   722,   724,   743,   741,
     726,     0,     0,   750,   715,     0,     0,     0,   825,   826,
     824,   828,   827,   829,     0,   819,   895,   894,   896,     0,
       0,   569,     0,   564,   568,   572,    22,    22,     0,     0,
     941,   942,   943,   944,   945,     0,     0,   950,   937,    22,
     923,   924,   925,   932,   949,    22,  1116,  1120,  1026,  1027,
    1025,  1101,  1028,  1101,  1061,  1041,  1030,  1115,  1048,  1229,
    1228,  1219,  1235,  1234,  1242,  1181,  1244,  1245,  1252,  1183,
    1185,  1308,     0,  1329,    22,  1328,  1325,  1337,     0,  1330,
      64,     0,   362,   187,   354,   375,   376,     0,   370,     0,
     251,   361,     0,     0,     0,     0,     0,   374,     0,     0,
       0,     0,     0,     0,  1489,     0,     0,    31,   342,   278,
     279,    81,    85,    86,    91,    76,    74,    72,    71,    73,
      75,    70,    77,    99,     0,   116,   101,    97,   107,   117,
       0,     0,   118,    50,    49,   115,   125,   121,   122,   123,
     119,   127,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   248,   169,   171,     0,     0,   151,
     418,   419,   788,   767,   762,   726,     0,   746,   748,   749,
       0,   752,   874,   823,   830,   821,     0,     0,     0,   921,
     922,   920,   929,   928,   927,   930,    22,     0,   940,   980,
    1114,  1118,  1122,     0,     0,     0,  1050,     0,  1233,  1217,
    1216,  1240,  1250,  1306,  1274,  1267,  1331,  1341,   369,   356,
       0,   363,     0,   360,   366,   386,   387,   388,   386,   389,
     372,   371,     0,     0,     0,   379,     0,  1485,  1487,     0,
      95,    79,    78,     0,     0,    78,   106,   106,     0,   108,
     109,   110,   111,   112,   106,   106,     0,   348,   229,   213,
     211,     0,     0,   209,   227,   207,     0,     0,   225,     0,
     223,   222,     0,   220,   358,   359,   768,   792,   745,   744,
       0,   536,   537,    22,     0,     0,     0,     0,     0,   734,
     529,   531,     0,   563,     0,   751,    22,   754,   565,   566,
     567,   938,   939,  1117,     0,  1034,  1104,  1102,  1105,  1032,
    1038,    22,     0,    22,     0,  1046,     0,     0,     0,     0,
       0,     0,  1060,     0,  1232,    22,     0,     0,    22,    22,
       0,     0,  1221,  1236,  1246,     0,  1310,     0,   373,     0,
     186,   201,   204,     0,   378,   203,   239,   236,   237,   238,
     243,     0,     0,     0,     0,     0,     0,     0,     0,   100,
      98,     0,   102,     0,     0,     0,     0,     0,   120,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   787,
       0,     0,     0,   732,   532,     0,   727,   731,   735,     0,
     736,     0,   733,   539,   538,   540,   535,   742,   753,     0,
    1121,     0,     0,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,    22,     0,     0,     0,     0,     0,
       0,     0,  1100,     0,  1106,     0,     0,  1044,  1045,  1043,
    1042,  1054,  1051,  1057,  1058,  1059,  1052,     0,     0,  1055,
    1049,  1224,     0,     0,  1223,  1225,  1230,  1220,     0,     0,
       0,     0,     0,     0,     0,    22,     0,     0,     0,     0,
    1207,  1209,     0,  1239,     0,     0,     0,  1249,     0,     0,
       0,     0,  1309,    22,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1301,     0,  1346,     0,     0,     0,     0,   364,
     253,   205,     0,     0,   186,   367,     0,     0,     0,     0,
       0,     0,    96,     0,     0,   103,   114,   113,   228,   210,
     226,     0,   224,     0,   221,   769,     0,   772,   773,   771,
       0,     0,     0,     0,     0,   778,    22,   770,     0,     0,
       0,   784,   785,   789,     0,     0,     0,     0,     0,   737,
     738,     0,     0,     0,     0,     0,     0,     0,     0,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,  1076,  1066,     0,     0,
       0,  1094,    22,     0,  1108,  1063,  1081,  1099,  1088,  1089,
    1090,    22,    22,  1062,  1083,  1065,     0,     0,  1067,    22,
      22,  1064,     0,    22,  1119,  1107,  1103,  1053,  1056,  1256,
    1256,     0,  1206,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,    22,     0,     0,     0,    22,     0,
      22,     0,  1218,  1243,     0,  1254,  1238,  1237,  1241,  1253,
    1248,  1247,  1251,  1280,  1278,     0,     0,     0,  1294,    22,
      22,  1275,     0,  1299,  1302,  1305,  1304,  1303,  1300,  1279,
      22,     0,     0,  1276,  1277,     0,     0,    22,  1281,    22,
      22,    22,  1307,  1338,     0,     0,  1345,  1342,   202,     0,
     240,   244,   252,     0,   384,     0,   381,   382,   380,   383,
       0,     0,     0,     0,     0,     0,   776,   777,   501,   500,
     779,   780,   774,   775,    22,   786,   728,   729,   530,   532,
     730,   739,   740,    65,     0,     0,     0,     0,     0,     0,
       0,   559,   560,   561,   562,     0,     0,     0,   563,  1092,
    1091,  1093,  1096,  1095,  1084,    22,     0,  1082,     0,  1097,
    1080,  1068,  1079,  1078,  1085,  1077,    22,  1226,  1227,     0,
    1192,     0,     0,  1213,  1214,  1215,  1202,  1256,  1203,     0,
    1256,  1196,    22,  1195,  1197,  1198,     0,  1211,  1208,  1212,
    1210,  1255,  1292,  1293,  1295,  1298,  1285,  1287,     0,  1296,
    1290,  1291,  1288,  1289,  1282,  1283,  1284,  1286,     0,     0,
       0,     0,     0,   105,   104,   215,     0,   781,   782,   783,
     533,   540,     0,     0,   540,   540,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   540,     0,     0,   534,
    1086,  1087,  1110,  1109,  1098,  1257,  1204,  1190,  1191,  1200,
    1205,  1201,  1193,  1199,  1297,  1344,  1343,   368,   385,     0,
     545,   540,   540,   547,   546,   548,   540,   540,  1111,     0,
       0,   543,   544,   541,   542,  1112,     0,   230
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,  -343,
    -373,   -64,  1544,  -430,  -751, -2146,  -155,  -159,  1658,  1661,
    1662, -2146, -2146, -2146,  -172, -2146, -2146,  -488, -2146, -1416,
    -772,  -575, -2146, -2146,  1158, -1898,  -103,  -256,   573, -1534,
   -2146,  1116,  1118,  1122,  1123,   871,   590,   594,   878, -1545,
    -742,   880, -2146, -2146, -2146, -2146,  2161, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,   -86, -2146,
   -2146, -2146,  1501,  -980, -2146,  -602,  1379, -2146, -2146, -2146,
     944, -2078, -2146, -2146,  1100, -2146,  -192,  1779,   349, -1241,
   -2038,  2571, -1961, -1946,  1785,   358,  2206, -2146,  1791, -2146,
   -2146, -2146, -2146,  -490, -2146, -2146, -2146, -1245,  -147, -1247,
      -6, -2146, -1487, -2146, -2146, -2146, -1244, -2146, -2146, -2146,
   -1636, -2146, -2146,  -448, -2146, -2146,   202, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,   -67,  -104, -2146,  2613,  1547, -2146,
    2286,  1920,  -109,  -557,  -482, -2146,    -2, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,  1371,  -729,  -982, -2146, -2146, -2059,
   -2146, -2146, -2146, -2146, -2146,  -265, -2146,  1470,   259, -2146,
    1471, -1473, -2146,   188, -2145, -2146, -2146,  -776, -2146,   165,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146,  -241, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,  -847, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146,   763,  2143, -1252, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146,  1381,   733, -2146, -2146, -2146,
     904, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,  1630,
     163, -2146, -2146,   895, -2146, -2146, -2146, -2146, -2146, -2146,
     893, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146,   874, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146,   739, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,   322, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,   483,   467, -2146, -2146, -2146, -2146,
     319,   470, -2146, -2146, -2146, -2146,   323,   475, -2120, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146,  -572,  1044, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,  1936, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146,  1725,  1754, -2146, -2146, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146,  1029,  2167, -2146, -2146,
   -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146, -2146
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    22,    23,    24,    25,     2,     3,   108,   109,   715,
     728,   396,  2071,  1953,  1167,   552,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,  2025,  1763,
    2186,   886,  1880,  1548,  1549,  2594,   358,   624,  2014,  2123,
    1832,  1833,  1834,  1835,  1836,  2015,  2016,  2017,  2019,  2020,
    2133,  2022,  1837,  1843,  1588,  1589,   943,  1278,  1279,   264,
     265,   266,   110,   692,   111,   112,   113,   114,  1633,  1356,
    1097,  1098,  1099,  1232,  1233,   867,  1100,   115,   691,  1357,
    1634,  1795,  1796,  1635,  1636,  1637,   267,   590,  2226,   953,
     591,   954,   592,   593,   594,  2230,   595,  2231,   596,   597,
    2102,   548,   268,   549,   269,   270,   933,   271,   272,   273,
    1597,  1570,  1798,  2048,  1638,  1983,  1639,  1804,  2232,  2563,
    1984,  2108,   116,   702,   117,   118,   407,   120,   121,   378,
    1382,  1125,   732,   122,   397,   408,   409,  1389,  1390,  1133,
     751,  1134,   410,   872,   868,  1511,  1237,   123,   370,   371,
     124,  1129,  1653,  1384,  1130,  1263,  1264,  1104,  1105,  2425,
     125,   126,   127,   743,   411,   620,  1025,  1026,   632,  1033,
    1034,  2169,  2170,  2436,  2171,  2172,  2173,  2448,  2605,  2286,
    1698,  1425,  1161,    26,    27,    28,    29,   655,    30,    31,
      32,   641,  1315,  1316,  1057,  1018,   279,    33,   643,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
     314,   680,    45,    46,    47,    48,    49,    50,    51,   280,
      52,    53,   281,   637,   275,   128,  1396,  1135,   129,  1657,
    2157,  2270,  2156,  2053,  1658,    54,    55,    56,    57,   130,
    1404,  1136,   131,  1887,  1661,  1662,  2057,  2174,  2282,  2056,
    1890,  1663,  1665,  1893,  2061,  2177,  1667,    58,   132,   796,
     793,  1415,  1682,  1683,  1178,   133,   785,  1426,   464,   465,
    2072,  1933,  1483,  1214,   829,  1215,   466,   134,  1492,  1216,
     135,    59,   682,   393,   136,   137,   844,   482,   483,   484,
     485,   486,  1226,  1506,  1747,  1744,  1750,  1751,  2085,  2194,
    1507,  2086,  2203,  1508,  2313,  2083,  2187,  2188,  2316,  2616,
    2729,  2703,  1738,  1756,  1937,  2080,  2184,  2082,  1739,    60,
      61,    62,    63,    64,    65,    66,    67,  1072,   138,   139,
     497,   140,   735,   141,   142,  1523,  1768,  1769,  1243,   143,
    1766,  2352,  2509,  2511,  2636,  2212,  2211,  2090,  1767,  1764,
    2210,  2088,  2087,  1950,  1765,  1954,  2091,  2356,  2513,  2213,
    1955,  1958,  2092,  2360,  2519,  2214,  1959,  2516,  2627,   394,
     144,  1530,  1244,   145,  1773,  2216,  2383,  2538,  2215,  2094,
    1774,    68,    69,   146,   147,  1245,  1541,  1780,  1542,  1786,
    1789,  1967,  1968,  2217,  2388,  2553,   148,   149,   898,   899,
     519,   520,  1573,  1256,   901,    70,   150,   532,   372,   151,
    1115,  1117,   725,  1120,   677,   678,   152,   153,    71,    72,
      73,    74,    75,    76,    77,    78,   323,   689,   154,  1575,
     533,   155,   156,   540,   914,  1996,  1813,  1578,   915
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     365,   274,   729,   352,  1572,   589,   557,   792,   795,  1569,
     556,  1568,  1571,   550,  1131,   945,   622,   333,   709,  1165,
     870,  1787,   334,   335,   835,   588,   885,   668,   625,   463,
     496,   727,   727,   481,   555,   495,  1761,   507,   587,  1056,
     518,   531,   586,   317,  1179,   517,   530,  1596,  1598,  1600,
    1601,   919,   539,   920,   921,  2357,  1994,   927,   928,   681,
     658,   412,  1318,   413,  2227,   414,  1055,   467,    80,   468,
    1799,   487,  2384,   706,   356,   509,   357,   510,   707,   511,
    1090,   512,   336,  1809,     4,     5,     6,   534,   535,   788,
     789,   706,   790,   787,   704,   705,   707,  2498,   356,   766,
     357,  2534,    81,  1770,   768,  2353,  1572,  1349,   708,   770,
     669,  1569,    82,  1568,    83,   822,   891,    84,    85,   706,
     649,  2204,  2190,   706,   707,  2496,   708,  1333,   707,  2437,
     772,  1891,   838,   359,   360,  1145,   742,  2535,  2323,  2529,
     638,  2228,  2390,    86,  1334,   649,   710,   711,   712,   713,
    2468,  1118,   361,   885,   708,   719,  2229,   860,   708,   356,
     853,   357,   788,   789,   562,   790,   706,   569,   536,  2205,
    1985,   707,  1376,   706,  2595,   311,   649,  2393,   707,  2606,
     903,  1722,   356,  1168,   357,  1322,  1335,  1169,  1899,   710,
     711,   712,   713,   276,  2493,   277,   710,   711,   712,   713,
    1740,   708,   706,   560,  1251,   119,     1,   707,   708,   656,
    1325,  1149,   312,  1856,    87,  1289,    88,    89,    79,    90,
    1925,    91,   960,   282,  1180,   277,   290,    92,  1181,    93,
      94,    95,  2479,    96,  2461,     7,  2543,   708,   757,  1741,
     936,  1377,  1378,  1851,  1119,  1956,    97,    98,    99,   100,
     101,   102,     8,   399,   617,   157,   629,  1857,   400,   401,
    2394,  1180,   537,   158,  1742,  1702,   403,  2337,   634,   724,
     635,   650,  2324,  2431,   325,   326,   318,     9,    10,  2338,
    1252,  1858,  1253,  1290,  2469,   657,  1336,  1852,   694,   962,
    2021,   618,  1128,   630,  1073,  2544,  2021,   319,   103,  1957,
     745,   746,   395,    82,   104,   313,  2528,   961,    84,    85,
     105,   106,   730,   854,   758,    11,  2562,    12,  1242,    13,
     561,   404,  2191,   706,   405,  1075,   775,  2596,   707,  1139,
      14,  1247,  2607,  1524,  1323,  1150,  2339,  2340,   744,   480,
    2494,  1109,   278,   364,  1926,  1093,   710,   711,   712,   713,
     892,  2480,  1379,  1380,   589,  2227,  1381,   937,   708,    15,
    2421,  2422,  2536,    16,  2459,  2422,  2341,  1723,    17,    18,
    2628,   727,   278,   720,   963,  1362,  1111,   325,   326,   893,
    1337,  1116,   651,  1121,   619,  1572,   631,  1170,   894,  1168,
    1569,  2530,  1568,  1700,   550,   159,   550,   550,  2432,  2325,
     550,   550,  1892,  1065,  1066,  1067,  1068,  1069,  1810,  1070,
    1071,  2470,  1074,  1076,   639,  1078,  1079,   636,   399,  1811,
     767,  1143,  1144,   400,   401,   769,  2030,  1525,  1182,  2192,
     771,   403,  2228,  2342,  1209,  1268,  2537,    97,    98,    99,
     100,   101,   102,  1338,  2437,  2499,  2343,  2229,  1146,  1900,
     791,   773,   693,  1168,  2500,  1184,   670,  1701,  1187,  1254,
    1995,  2358,  1249,  1058,  1250,  1182,  1317,  2359,   289,  2233,
    2121,  2125,  2234,  1613,  1614,  1788,   316,  1227,  1228,  2142,
     325,   326,  2497,  2149,  2193,  2127,   404,  2099,  2135,   405,
    2491,   325,   326,    19,  2127,  2135,   362,  1223,  1545,   671,
     672,   673,   674,   675,   676,  1731,   816,   727,   727,  2385,
    2386,  2354,  1171,  1172,   324,  2387,  2355,  2709,  2609,  2610,
    2711,  1339,  1236,  2143,  2206,  2207,  1236,  2150,  2208,  2209,
    1236,  1351,  2423,   794,  2126,  1745,  2423,   644,  1059,   922,
    2514,  1726,   353,  1340,  1572,  2547,   652,  2598,  1977,  1569,
     960,  1568,   934,   885,   821,   895,   896,   897,  1752,  2361,
     653,   654,  1260,   817,   645,  1262,  1031,   946,   947,   948,
     949,   950,   951,  1265,   356,  1341,   357,  1916,   955,  1064,
    1495,  2243,  2244,   818,   819,   320,   321,   322,  2424,  2246,
    2247,  2362,  2460,  1170,   379,   966,   967,   968,   969,   970,
     971,   972,   973,   974,   975,   976,   977,   978,   979,  1060,
    2034,   355,  2036,  2202,  1490,  2038,  1691,  2041,  2043,  1164,
     374,   380,  1032,   717,   780,  1061,  1062,  2526,  2422,  2121,
    2125,  1794,   587,   107,   722,  1269,   586,  1063,   706,   354,
     646,   723,   327,   707,   328,   329,   330,   331,   332,   363,
     956,   957,   381,    20,    21,   647,   558,  1170,   634,  2344,
     635,  2345,  2346,   538,   747,   706,  2347,  2348,  1126,  2349,
     707,  2152,  1685,   708,  1496,  1881,  2350,  2351,   375,  1497,
    1888,   706,   781,  2269,  1095,  1692,   707,   706,   710,   711,
     712,   713,   707,  2134,   706,  1106,   958,  2682,  2683,   707,
     708,  1917,  1108,  1526,   710,   711,   712,   713,  2697,  2698,
     382,  2312,  2161,  2162,  2363,  2153,   708,  1918,  1171,  1172,
    1210,   782,   708,  2278,   557,  1919,   383,  1572,   556,   708,
    1086,  1749,  1569,  2109,  1568,  2101,   706,   553,  2107,  1693,
    1272,   707,  2382,  2164,  1445,   327,  1280,   328,   329,   330,
     331,   332,  1609,   282,   376,   277,  1527,  2279,  1930,   710,
     711,   712,   713,   373,  1273,  2364,  2365,   589,   589,  2366,
    1281,   708,   283,   284,   287,   288,  1579,   377,   550,  1580,
    1498,   315,  1171,  1172,  1951,  1694,  1931,  1932,   498,  1695,
     588,  1961,  1696,  1697,  1405,  1406,   551,  1408,  1409,  2423,
     697,  2367,   698,   587,  2368,   699,  1849,   586,  1418,  1326,
    1327,  1328,  1329,   553,  1331,  1332,  2369,   366,  1343,   799,
    1345,  2370,  1346,  1347,   558,  1430,   800,  1431,   788,   789,
    1850,   790,  1342,   384,  1344,   701,   385,  1434,   559,  1435,
     285,  1675,  1438,  1439,  2328,  1441,  1854,  1443,   327,  2371,
     328,   329,   330,   331,   332,  2527,  1234,  2280,  2281,   327,
    1456,   328,   329,   330,   331,   332,  1460,  1239,    82,   563,
    1855,  1240,  2372,    84,    85,  1493,  1087,   862,  1499,  1494,
     570,  1311,   291,  2140,   292,  1310,   386,  1952,  1622,   571,
     387,   388,  1623,  1624,   572,   367,   368,   369,  1514,  2145,
    2477,  2250,   278,   573,  1088,  1883,  2252,  2141,  2253,  1550,
    1515,  2255,   760,  2195,   293,   761,  1884,  1885,  1576,   554,
     555,   294,   389,  2146,  1500,    82,  1151,  2314,  1089,  1733,
      84,    85,   574,  2315,  1276,   697,  1277,   698,  2373,   554,
     699,  1501,  2023,  1502,   613,   614,   390,  1503,   615,   575,
     391,  1504,  1505,   576,   295,   521,   296,   861,   862,   554,
     555,  2374,  1163,  1782,   297,   286,  1790,  1572,   700,   577,
     701,  1666,  1569,   578,  1568,  2389,  1082,   863,  1083,  2375,
     298,  1218,   864,   399,  1676,  1715,  1352,   870,   400,   401,
     554,   555,  1516,  1163,   733,   734,   403,   869,   392,  1360,
     764,   765,    97,    98,    99,   100,   101,   102,  1301,  1936,
    1302,  1371,  1359,  1372,   598,  2376,  2377,  2378,  2379,  2185,
    2380,  2069,  2070,   706,  2381,  1303,  1395,  1304,   707,   616,
    1152,  1394,  1403,   599,  2161,  2162,  2442,   871,  1886,  1350,
     399,   788,   789,   621,   790,   400,   401,   623,   626,   627,
    2189,   404,   648,   403,   405,   805,   806,   786,   708,    97,
      98,    99,   100,   101,   102,  2164,   788,   789,  1531,   790,
      82,  2443,   706,   628,  1687,    84,    85,   707,   633,   554,
     882,   883,   884,  2196,   640,  1219,  1625,   642,  1627,   356,
     299,   357,  2283,   861,   862,   710,   711,   712,   713,    82,
    1532,  2701,  1428,   649,    84,    85,  1784,   708,   404,   171,
     659,   405,  1491,   863,   174,   175,   850,   851,   864,   550,
     660,   706,   550,  1655,   522,  2197,   707,   661,  1652,   488,
    1122,  1123,  1124,   869,  1522,  1529,  1540,  1728,   662,  1521,
    1528,  1539,  1677,  2198,  1734,  2221,  2222,   923,   924,   557,
    1678,  2444,  1679,   556,  1680,  1455,   708,  1681,   918,   663,
    1927,  2633,  2634,  2635,  1934,   523,   541,  1082,   679,  1643,
    2572,   542,  2573,   499,   856,   857,   300,   861,   862,   317,
    2559,   543,   664,   544,  1776,   399,  1112,  1113,  1778,  2445,
     400,   401,   665,   554,   555,  2446,  1163,   863,   403,   666,
     301,   545,   864,   667,    97,    98,    99,   100,   101,   102,
     871,   684,  1732,   541,   399,  2447,   706,   865,   542,   400,
     401,   707,   500,   866,   555,   688,  1761,   403,   543,   690,
     544,  1812,   686,    97,    98,    99,   100,   101,   102,   710,
     711,   712,   713,  2129,  2130,  2131,  2132,   489,   545,   687,
    1387,   708,   703,   404,   788,   789,   405,   790,   399,  1248,
    2199,  2200,  2201,   400,   401,  1367,  1368,  1582,   501,   502,
    1631,   403,   695,   503,  2289,  1590,  1874,  1591,  1592,  1593,
    1594,  2045,   404,  2046,   504,   405,  1989,  1990,  1603,  2290,
    1991,   696,  1484,   505,  1606,  1640,   718,  1992,  1993,   500,
    1944,  1306,  1307,  1308,  1309,  1873,   727,  1517,  1518,  2618,
     546,  1519,   547,  1904,   490,  1905,  1520,   579,   580,   163,
     581,   582,   583,  1913,  1369,  1370,   404,  1895,  1427,   405,
    1429,  1164,   721,   524,   726,   491,   469,    82,  1533,  1610,
    1611,  1388,    84,    85,   587,   501,   502,   683,   586,   685,
     503,   731,   584,   727,  1914,   736,  1762,   546,   737,   547,
    1762,   504,  1648,  1649,  1485,   862,   738,   470,   739,  2220,
     505,  1534,  1535,  1902,  1903,   861,   862,   399,  2221,  2222,
     923,   924,   400,   401,   740,  1735,   788,   789,   748,  1783,
     403,   357,  1486,   749,   706,   863,   750,  1938,  1939,   707,
     864,   752,  1942,  1714,   525,   526,  1019,  1020,  1021,  1946,
    2161,  2162,  1947,  2223,   753,   865,  1909,  1910,  1235,  1572,
     759,   866,   -68,   -68,  1569,   -68,  1568,  2717,   763,   708,
    1022,  1023,   754,  1785,  1024,  2719,   755,  1963,   756,  1965,
    2224,  2164,   762,  1875,  1876,   404,  1877,  1969,   405,   527,
     528,   529,   399,  2658,  2002,  2003,   778,   400,   401,  2291,
    2121,  2122,   585,  2292,  2293,   403,   774,  2294,  2295,  2271,
    2272,    97,    98,    99,   100,   101,   102,    82,  1487,  2417,
    2418,   777,    84,    85,  2161,  2162,   506,   779,  2074,  2736,
    2013,  2574,  2575,  1879,  2296,   797,  2013,  1878,  2050,  2051,
     798,  2297,  2599,  2600,  2406,  2407,  2298,   513,   706,  2601,
    2602,  2603,  2604,   707,  2299,   492,   493,   494,   801,  2300,
     404,   803,  2301,   405,  1757,  1758,  1759,  1760,   727,   727,
     802,   710,   711,   712,   713,   804,   471,  1536,  2439,  2440,
    2591,  2592,  1537,   708,  1538,  2221,  2222,   923,   924,   807,
    1797,  1797,   808,  1801,  2256,   812,   811,  1802,  1803,  1173,
    1174,  1175,  1176,  1177,  1797,  2117,  2257,  1865,   810,  1866,
    2302,  2258,   579,   580,   923,   924,   582,   583,   813,  1816,
    2223,  1817,   814,   824,   815,   825,  2259,  2686,  2687,  2688,
    2689,  2690,   399,   823,   827,   828,  2303,   400,   401,  2691,
    2692,  2693,  2694,  2695,   830,   403,   833,   584,   826,   831,
     832,    97,    98,    99,   100,   101,   102,   834,   837,  2095,
     840,   843,   846,   841,   847,  1488,  1489,   706,   848,   852,
    2175,   855,   707,  2304,    82,   858,  2305,  2306,  2307,    84,
      85,   859,   871,   706,  2308,   874,   875,   873,   707,  2309,
     710,   711,   712,   713,   876,   877,   878,   879,   880,  2310,
     404,   881,   708,   405,  1391,  2311,   710,   711,   712,   713,
     889,  2120,   887,   514,   888,   890,   900,  2128,   708,   902,
     904,  2024,   714,  1762,  2159,   515,   579,   580,   923,   924,
     582,   583,   905,  2178,  2179,  2180,   906,   908,  2260,   910,
     911,   912,   916,   913,  -901,   917,   929,  2161,  2162,   472,
     473,   474,   475,  2005,  2006,  2007,   930,   925,  1982,   931,
     932,  1294,   938,   727,   727,   727,   935,   939,   940,   615,
    2008,  2009,  2010,   959,  2182,   964,   965,   476,  2164,  1027,
    1028,  1029,   477,  1030,  1035,   478,  1037,  1038,   479,   399,
    1077,  1080,  1081,  2160,   400,   401,  1084,  1085,  1392,  1091,
    2261,  2262,   403,  1094,  2263,  1096,  1101,  1107,    97,    98,
      99,   100,   101,   102,  1102,  1114,  2239,  1397,  1103,  2013,
    1110,  2013,  1127,  1398,   516,  1137,  1138,  1140,  1971,  2059,
    1156,  1141,  1155,  2276,  1142,  1147,  1185,  2264,  2265,  2266,
    1148,  1158,  1986,  1160,  1988,  2161,  2162,  2163,   706,  1166,
    2267,  1186,  1159,   707,  2011,  2012,  2268,   404,  1162,  1188,
     405,  1190,  1192,   727,  2277,   302,  1195,  2058,  1202,  1206,
    1208,   710,   711,   712,   713,  1222,  2164,  1203,  2032,  1211,
    1229,  1230,  1231,   708,  1238,  1257,   892,  1261,  1266,  2318,
    1270,  1271,  1275,  2321,  2322,   303,  2326,  2165,  2329,  1274,
    2166,  2167,   399,  1920,  1921,  1288,  1291,   400,   401,  1413,
    1293,  1399,  1298,  1299,   783,   403,  1305,  1300,   304,  1319,
     305,  1324,   306,  1320,  1321,  1393,  1330,   579,   580,   923,
     924,   582,   583,  1353,  1355,  1361,  1363,  1374,  2402,  1366,
    2403,  2404,  2405,  1375,  1385,  2720,   716,  1383,  2723,  2724,
    2225,  1164,  1164,  2415,  2168,  1386,  1407,  2419,  2103,  1410,
    2725,  2427,   584,  1411,   587,   587,  1416,  1417,   586,   586,
     404,  1419,  1510,   405,  1420,  1421,  1424,  1432,  1436,  1546,
    1437,  2539,  1440,  1442,   741,  2731,  2732,  1444,  2457,  1446,
    2733,  2734,  1447,  1448,  2465,  2466,   307,   308,   309,   310,
    2473,  1449,  2475,  1450,  2478,  1451,  2481,  1452,  1797,  1453,
    1457,  1458,  2485,  1459,   776,  1461,  1463,  1547,  2105,   784,
    1464,  1513,  1543,  1544,  2487,  2488,  1574,  1577,  1581,  2489,
    2490,  1583,  1584,   809,  1602,  2005,  2006,  2007,  1604,  1605,
    1612,   820,   706,  1400,  1401,  1615,  1616,   707,  1617,  1618,
    1402,  2515,  2008,  2009,  2010,  2515,  1619,   836,  2523,  1620,
     839,  1626,  1621,   842,  2531,   601,   602,   603,   604,   605,
    1628,  1629,  1630,   849,  1642,  2548,  1641,   708,  1644,  1650,
    1656,  2154,   606,   607,   608,   609,   610,   611,   612,   613,
     614,  1645,  1651,   615,  1670,  2582,  2583,  1659,  1660,  1669,
    1671,  2586,  2587,  1672,  1673,  2590,  1668,  1712,  1674,  2284,
    1684,   907,  1688,   909,  1689,  1690,  1713,  2576,  2577,  2578,
    2579,  2580,  1699,  1703,  1704,   727,   727,  1705,  1706,  1707,
    1708,   727,   727,  1709,  1710,   727,  2011,  2012,  1711,  1716,
     706,  2597,  1717,  1718,  1719,   707,  2235,  2236,  2237,  1730,
    2238,  1720,  1721,   998,  1736,  2611,  2612,  2613,   999,  1000,
    1979,  1737,  1754,   710,   711,   712,   713,  1748,  1771,  1755,
     980,   981,  1772,  2620,  2621,   708,  1777,  1779,   982,  2624,
    1781,  1791,  1793,  1800,  2677,  2678,  1805,  1806,  1807,  1808,
    2630,  1814,  1815,  1853,  2637,  1859,  1860,  2640,  2641,  1863,
    1862,  1864,  2644,  2645,   983,   198,   984,  1867,  2660,  1869,
    1870,  2651,  1897,  1871,  1889,  1872,  1901,  1896,  1898,  1762,
    1906,  1907,  2652,  2653,  2654,  1882,  2702,  1908,  1912,  2657,
    1941,  1929,  1915,   985,  1964,  1943,  1531,  1981,   727,  2661,
    2225,  2225,  2662,  2663,   986,   987,  1945,   988,   989,   990,
     991,   992,   601,   602,   603,   604,   605,  2391,   993,   994,
     995,  1935,   996,   997,   199,  1948,  2395,  2673,  2674,   606,
     607,   608,   609,   610,   611,   612,   613,   614,  1949,  1962,
     615,  1970,  1972,  1975,  1976,  1987,  1997,  1001,  1002,  1003,
    1004,  1005,  1006,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   337,   338,   339,   340,   341,   342,   343,
     344,   345,  1998,   346,   347,   348,   349,   350,   351,  1283,
     210,   211,  2001,  2004,  2556,  2018,  2706,  2026,  2707,  2708,
    2033,  2031,  1132,  -902,  -902,  -902,  2710,  2037,  2039,  2044,
    2047,  2052,  2049,  2713,  2060,  2062,  2063,  2066,  2067,   212,
    -902,  -902,  -902,  -902,  -902,   611,   612,   613,   614,  2076,
    2068,   615,  1153,  1154,   213,  2077,  1157,  2075,  2064,  2081,
    1007,  1008,  1009,  1010,  1011,  1012,  1013,  1014,  1015,  1016,
    1017,  1183,  2089,   214,   215,   216,   217,  1189,  2093,  1191,
    2097,  1193,  1194,  2100,  1196,  1197,  1198,  1199,  1200,  1201,
    2112,  2104,  1204,  1205,  2113,  1207,  2114,  2115,  2118,  1212,
    1213,  2116,  2119,  2124,  2136,  2138,  2139,  1217,  1220,  2144,
    2147,  1221,  1358,  2148,  2151,  1224,  2155,  2176,  2218,  2245,
    2219,  2565,   337,   338,   339,   340,   341,   342,   343,   344,
     345,  2248,   346,   347,   348,   349,   350,   351,  2249,  2251,
     160,  2254,   161,   162,   163,   164,   165,   166,  1241,   167,
    2274,  2275,  2285,  2287,   218,   219,  2327,   168,   169,   952,
    2320,  1246,   170,  2330,  2332,  2333,  2336,  2392,  2397,  2396,
     220,   221,  2408,  2409,   171,   172,  1258,   173,  1259,   174,
     175,  2410,  2412,   176,  2411,  2413,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   337,   338,   339,   340,   341,   342,
     343,   344,   345,  2414,   346,   347,   348,   349,   350,   351,
    2416,  2420,  2426,   250,   251,  2428,   177,   178,   564,   565,
     566,   567,   179,   180,  2429,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,  2430,  2433,  2458,  1465,  2434,
    2435,  2438,  2464,   191,   192,   193,  2462,  2441,   194,  2471,
    2472,  2476,  2463,  2482,  2483,  2484,   195,  2486,  1466,  2495,
    2501,  2508,  2504,  2670,   196,  2505,   197,   601,   602,   603,
     604,   605,  2502,  2507,  2512,  2715,  2716,  2506,  2510,  2518,
    1956,  2522,  2525,  1039,   606,   607,   608,   609,   610,   611,
     612,   613,   614,  2532,  1818,   615,  2540,   554,   882,   883,
     884,  2541,  2542,  1819,  1820,  1821,  1822,   500,  1823,  1824,
    1825,  2545,  2546,  1826,  2552,  1827,  1828,  2549,  1467,  2557,
    2550,  1829,  1830,  2564,  2566,  2567,  1831,   171,  2551,  2570,
    2568,  2555,   174,   175,  2569,  1980,  2449,  2450,  2451,  2452,
    2453,  2454,  2455,  2456,   198,  2571,  2585,  2589,  2584,  1388,
    2554,  2593,  2615,  1468,  1469,  2588,  2608,  2631,   503,  2629,
    2626,  2646,  2632,  2639,  2642,  2671,  2668,  2669,  2675,   504,
    2676,  2681,  2684,   601,   602,   603,   604,   605,   505,  2685,
    2696,  2704,  2718,  2714,  2721,  2722,  1040,  1041,  2726,  2727,
     606,   607,   608,   609,   610,   611,   612,   613,   614,  1412,
    1414,   615,  2730,   199,  2735,  2728,  2241,  2737,  1312,  1422,
    1423,  1313,  1314,    82,  1792,  1839,  1267,  1840,    84,    85,
    2027,  1841,  1842,  1470,  2242,  1471,  2240,  1472,  2028,  1042,
     862,  2029,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   944,   398,  1509,  1043,  1632,  1868,  1295,  1044,
    1973,  2560,  1045,  1046,   568,  1296,  1454,  1047,  1818,   210,
     211,  2561,   926,  1297,   508,  1462,  1654,  1819,  1820,  1821,
    1822,  1482,  1823,  1824,  1825,  1225,  1048,  1826,   845,  1827,
    1828,  1607,  1473,  2699,  1608,  1829,  1830,  2680,   212,  1036,
    1838,  1664,  1512,   601,   602,   603,   604,   605,  2158,  1049,
    1050,  1051,  2055,   213,  1052,  1053,  1054,  1551,  1552,  2065,
     606,   607,   608,   609,   610,   611,   612,   613,   614,  1433,
    2073,   615,   214,   215,   216,   217,  1474,  2084,   399,  2183,
    2638,  2492,  2517,   400,   401,  1475,  1476,   402,  2648,  2521,
    1966,   403,  1477,  2520,  2650,  1255,  1348,    97,    98,    99,
     100,   101,   102,  1373,  1478,   601,   602,   603,   604,   605,
    1284,     0,  1092,  1479,     0,  1480,     0,     0,  1481,     0,
       0,     0,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,     0,   615,     0,     0,     0,     0,   601,   602,
     603,   604,   605,     0,     0,     0,   404,     0,   941,   405,
       0,     0,     0,   218,   219,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,     0,   615,     0,     0,   220,
     221,   406,   942,     0,     0,     0,     0,     0,     0,     0,
       0,  1282,     0,  1646,  1647,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,     0,     0,     0,     0,     0,     0,
    1686,     0,     0,   601,   602,   603,   604,   605,     0,     0,
     600,     0,   250,   251,     0,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
       0,   615,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,     0,   615,     0,     0,  1586,     0,     0,     0,
       0,   160,     0,   161,   162,   163,   164,   165,   166,     0,
     167,  1724,  1725,  1727,     0,  1729,     0,     0,   168,   169,
    1587,     0,     0,   170,     0,     0,     0,     0,     0,     0,
       0,     0,  1743,     0,  1746,   171,   172,     0,   173,  1753,
     174,   175,     0,     0,   176,     0,     0,     0,     0,   601,
     602,   603,   604,   605,     0,     0,     0,     0,     0,     0,
    1775,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
       0,     0,     0,     0,     0,     0,     0,   177,   178,   564,
     565,   566,   567,   179,   180,     0,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,  1285,     0,     0,     0,
       0,     0,     0,     0,   191,   192,   193,     0,  1286,   194,
       0,   601,   602,   603,   604,   605,     0,   195,     0,     0,
       0,     0,     0,     0,     0,   196,     0,   197,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
       0,   601,   602,   603,   604,   605,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
     601,   602,   603,   604,   605,     0,     0,     0,  1585,     0,
       0,     0,  1894,     0,     0,     0,     0,   606,   607,   608,
     609,   610,   611,   612,   613,   614,     0,     0,   615,     0,
       0,     0,     0,     0,     0,   198,     0,  1911,  1844,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   601,   602,   603,   604,   605,  1922,  1923,  1924,
       0,     0,  1928,     0,     0,     0,     0,  1974,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,   601,   602,   603,   604,   605,  1940,     0,     0,     0,
       0,     0,     0,     0,   199,  1287,     0,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
       0,     0,     0,     0,     0,  1960,     0,     0,     0,     0,
       0,     0,  1354,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,     0,     0,     0,     0,     0,   160,     0,
     161,   162,   163,   164,   165,   166,     0,   167,     0,     0,
     210,   211,     0,     0,     0,   168,   169,  1595,     0,     0,
     170,     0,     0,     0,     0,   601,   602,   603,   604,   605,
       0,     0,   171,   172,     0,   173,     0,   174,   175,   212,
       0,   176,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,     0,   615,   213,     0,     0,     0,     0,     0,
     601,   602,   603,   604,   605,     0,     0,     0,  1292,     0,
       0,     0,     0,   214,   215,   216,   217,   606,   607,   608,
     609,   610,   611,   612,   613,   614,  2054,     0,   615,     0,
       0,     0,     0,     0,   177,   178,     0,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,     0,     0,     0,     0,     0,     0,     0,
       0,   191,   192,   193,     0,     0,   194,     0,   601,   602,
     603,   604,   605,  2078,   195,     0,     0,     0,     0,  2079,
       0,     0,   196,     0,   197,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   218,   219,   615,   601,   602,   603,
       0,     0,     0,     0,     0,     0,     0,     0,  2096,  1978,
     220,   221,     0,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,     0,     0,     0,     0,     0,     0,
       0,     0,   198,   601,   602,   603,   604,   605,     0,     0,
       0,     0,     0,   250,   251,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
       0,   615,   606,   607,   608,   609,   610,   611,   612,   613,
     614,     0,     0,   615,     0,     0,  1364,   601,   602,   603,
     604,   605,     0,     0,     0,     0,     0,     0,  1365,     0,
    2181,   199,     0,     0,   606,   607,   608,   609,   610,   611,
     612,   613,   614,     0,     0,   615,     0,     0,     0,     0,
       0,     0,     0,   601,   602,   603,   604,   605,  2098,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
       0,   615,   601,   602,   603,   604,   605,   210,   211,     0,
       0,     0,     0,     0,     0,     0,  1845,     0,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,     0,     0,     0,     0,     0,   212,  2273,   601,   602,
     603,   604,   605,     0,     0,  1846,     0,     0,     0,     0,
    2288,   213,     0,     0,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,  2317,   615,  2319,     0,     0,
     214,   215,   216,   217,   601,   602,   603,   604,   605,  2331,
       0,  1847,  2334,  2335,     0,     0,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,     0,   615,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,     0,   615,     0,     0,  1848,   601,   602,
     603,   604,   605,     0,     0,     0,     0,     0,     0,  1861,
       0,     0,     0,     0,     0,   606,   607,   608,   609,   610,
     611,   612,   613,   614,     0,     0,   615,     0,     0,     0,
       0,   218,   219,     0,     0,     0,     0,     0,     0,     0,
       0,  1999,     0,     0,     0,     0,     0,   220,   221,     0,
       0,     0,     0,  2467,     0,     0,     0,     0,  2474,     0,
       0,     0,     0,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,     0,     0,     0,     0,     0,     0,     0,  2503,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     250,   251,   601,   602,   603,   604,   605,  2524,     0,     0,
       0,     0,     0,  2533,     0,     0,     0,     0,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,     0,   160,     0,   161,   162,   163,   164,   165,   166,
       0,   167,     0,     0,     0,  2000,     0,     0,     0,   168,
     169,  1599,     0,     0,   170,     0,     0,     0,     0,   601,
     602,   603,   604,   605,     0,     0,   171,   172,     0,   173,
    2581,   174,   175,     0,     0,   176,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2137,     0,     0,     0,  2614,     0,     0,     0,
       0,     0,     0,     0,     0,  2617,  2619,     0,     0,     0,
       0,     0,     0,  2622,  2623,     0,     0,  2625,   177,   178,
       0,     0,     0,     0,   179,   180,     0,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,     0,  2643,     0,
       0,     0,  2647,     0,  2649,   191,   192,   193,     0,     0,
     194,     0,     0,     0,     0,     0,     0,     0,   195,     0,
       0,     0,     0,  2655,  2656,     0,   196,     0,   197,   601,
     602,   603,   604,   605,  2659,     0,     0,     0,     0,     0,
       0,  2664,     0,  2665,  2666,  2667,   606,   607,   608,   609,
     610,   611,   612,   613,   614,     0,     0,   615,     0,     0,
       0,     0,   601,   602,   603,   604,   605,     0,     0,     0,
       0,     0,  2398,     0,     0,     0,     0,     0,  2679,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,     0,     0,     0,   601,   602,   603,   604,   605,     0,
       0,     0,     0,     0,     0,  2399,   198,     0,     0,  2700,
       0,   606,   607,   608,   609,   610,   611,   612,   613,   614,
    2705,     0,   615,   601,   602,   603,   604,   605,     0,     0,
       0,     0,     0,     0,     0,     0,  2712,  2400,     0,     0,
     606,   607,   608,   609,   610,   611,   612,   613,   614,     0,
       0,   615,   601,   602,   603,   604,   605,     0,     0,     0,
       0,     0,     0,     0,     0,   199,  2401,     0,     0,   606,
     607,   608,   609,   610,   611,   612,   613,   614,     0,     0,
     615,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2110,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,     0,     0,   160,     0,   161,   162,
     163,   164,   165,   166,     0,   167,     0,     0,     0,     0,
       0,   210,   211,   168,   169,  2035,     0,     0,   170,     0,
       0,     0,     0,     0,   601,   602,   603,   604,   605,     0,
     171,   172,     0,   173,     0,   174,   175,     0,     0,   176,
     212,   606,   607,   608,   609,   610,   611,   612,   613,   614,
       0,     0,   615,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2558,     0,     0,
       0,     0,     0,     0,   214,   215,   216,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   177,   178,     0,     0,     0,     0,   179,   180,
       0,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,     0,     0,     0,     0,     0,     0,     0,     0,   191,
     192,   193,     0,     0,   194,     0,   601,   602,   603,   604,
     605,     0,   195,     0,     0,     0,     0,     0,     0,     0,
     196,     0,   197,   606,   607,   608,   609,   610,   611,   612,
     613,   614,     0,     0,   615,   218,   219,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2672,
       0,   220,   221,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,     0,     0,     0,     0,     0,
     198,   601,   602,   603,   604,   605,     0,     0,     0,     0,
       0,     0,     0,     0,   250,   251,     0,     0,   606,   607,
     608,   609,   610,   611,   612,   613,   614,     0,     0,   615,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2111,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,     0,     0,
     160,     0,   161,   162,   163,   164,   165,   166,     0,   167,
       0,     0,     0,     0,     0,   210,   211,   168,   169,  2040,
       0,     0,   170,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   171,   172,     0,   173,     0,   174,
     175,     0,     0,   176,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   214,   215,
     216,   217,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   177,   178,     0,     0,
       0,     0,   179,   180,     0,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,     0,     0,     0,     0,     0,
       0,     0,     0,   191,   192,   193,     0,     0,   194,     0,
       0,     0,     0,     0,     0,     0,   195,     0,     0,     0,
       0,     0,     0,     0,   196,     0,   197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
     219,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   220,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,     0,
       0,     0,     0,     0,   198,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   250,   251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,     0,     0,   160,     0,   161,   162,   163,   164,
     165,   166,     0,   167,     0,     0,     0,     0,     0,   210,
     211,   168,   169,  2042,     0,     0,   170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   171,   172,
       0,   173,     0,   174,   175,     0,     0,   176,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   213,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,   215,   216,   217,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     177,   178,     0,     0,     0,     0,   179,   180,     0,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,     0,
       0,     0,     0,     0,     0,     0,     0,   191,   192,   193,
       0,     0,   194,     0,     0,     0,     0,     0,     0,     0,
     195,     0,     0,     0,     0,     0,     0,     0,   196,     0,
     197,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,     0,     0,     0,     0,   198,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   160,     0,
     161,   162,   163,   164,   165,   166,     0,   167,     0,     0,
       0,     0,     0,     0,     0,   168,   169,   199,     0,     0,
     170,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   171,   172,     0,   173,     0,   174,   175,     0,
       0,   176,     0,     0,     0,     0,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,   211,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   177,   178,     0,     0,     0,     0,
     179,   180,   212,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,     0,     0,     0,     0,   213,     0,     0,
       0,   191,   192,   193,     0,     0,   194,     0,     0,     0,
       0,     0,     0,     0,   195,     0,   214,   215,   216,   217,
       0,     0,   196,     0,   197,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,   219,     0,
       0,     0,   198,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   220,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,     0,     0,     0,
       0,   199,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   250,   251,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   210,   211,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1553,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   172,     0,
       0,   213,     0,     0,     0,     0,   176,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     214,   215,   216,   217,     0,     0,  1554,     0,     0,  1556,
    1557,  1558,  1559,  1560,  1561,  1562,   337,   338,   339,   340,
     341,   342,   343,   344,   345,     0,   346,   347,   348,   349,
     350,   351,  1563,     0,     0,  1564,  1565,     0,     0,     0,
       0,     0,     0,     0,     0,   179,   180,     0,   181,   182,
     183,   184,   185,   186,   187,   188,   189,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,   219,  1566,     0,  1567,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   220,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     250,   251,     0,     0,     0,     0,     0,   198,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1553,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   172,     0,     0,     0,     0,
       0,     0,     0,   176,     0,     0,     0,     0,     0,     0,
       0,     0,   210,   211,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1554,  1555,     0,  1556,  1557,  1558,  1559,
    1560,  1561,  1562,     0,     0,     0,     0,     0,     0,     0,
       0,   212,     0,     0,     0,     0,     0,     0,     0,  1563,
       0,     0,  1564,  1565,     0,     0,   213,     0,     0,     0,
       0,     0,   179,   180,     0,   181,   182,   183,   184,   185,
     186,   187,   188,   189,     0,   214,   215,   216,   217,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1566,     0,  1567,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,   219,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   220,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   198,     0,     0,     0,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   250,   251,     0,     0,     0,
       0,     0,     0,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1553,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   172,     0,     0,     0,     0,     0,     0,     0,
     176,     0,     0,     0,     0,     0,     0,     0,     0,   210,
     211,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1554,     0,     0,  1556,  1557,  1558,  1559,  1560,  1561,  1562,
       0,     0,     0,     0,     0,     0,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,  1563,     0,     0,  1564,
    1565,     0,     0,   213,     0,     0,     0,     0,     0,   179,
     180,     0,   181,   182,   183,   184,   185,   186,   187,   188,
     189,     0,   214,   215,   216,   217,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1566,     0,  1567,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,   219,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   198,     0,     0,     0,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2106,     0,
       0,     0,   250,   251,     0,     0,     0,     0,     0,     0,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,   176,     0,     0,     0,     0,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,   211,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   179,   180,   212,   181,   182,   183,   184,
     185,   186,   187,   188,   189,     0,     0,     0,     0,     0,
     213,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   214,
     215,   216,   217,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,   219,     0,     0,     0,   198,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   220,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
       0,     0,     0,     0,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   250,
     251,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     210,   211,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   212,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   214,   215,   216,   217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   415,   416,
       0,     0,     0,     0,   218,   219,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     220,   221,     0,   417,     0,     0,     0,     0,     0,     0,
       0,   418,     0,     0,     0,     0,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   250,   251,     0,     0,     0,     0,     0,
       0,     0,   420,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   399,     0,
       0,     0,     0,   400,   401,     0,   421,   422,     0,     0,
       0,   403,   423,     0,     0,     0,     0,   424,   425,   426,
     427,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     428,     0,     0,     0,   429,     0,   430,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   404,     0,     0,   405,
       0,     0,     0,     0,     0,     0,     0,     0,   431,     0,
       0,     0,   432,     0,     0,     0,     0,     0,     0,     0,
       0,   433,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   434,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   435,   436,
     437,     0,   438,     0,     0,     0,   439,     0,     0,   440,
     441,     0,   442,   443,     0,     0,   444,   445,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   446,   447,     0,     0,     0,   448,   449,   450,
       0,     0,     0,     0,     0,     0,   451,     0,     0,     0,
     452,     0,     0,   453,   454,     0,   455,     0,   456,     0,
       0,   457,   458,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   459,     0,     0,     0,     0,     0,     0,
       0,   460,   461,     0,     0,     0,     0,     0,     0,     0,
       0,   462
};

static const yytype_int16 yycheck[] =
{
     103,     7,   375,    89,  1256,   197,   165,   437,   438,  1256,
     165,  1256,  1256,   160,   743,   572,   281,    81,   361,   791,
     502,    67,    86,    87,   472,   197,   514,    88,   284,   133,
     139,   374,   375,   137,    21,   139,    23,   141,   197,   641,
     149,   150,   197,    25,   795,   149,   150,  1288,  1289,  1290,
    1291,   541,   156,   543,   544,    80,    80,   547,   548,   315,
     301,   128,  1042,   130,  2102,   132,   641,   134,     6,   136,
    1557,   138,    80,    18,    23,   142,    25,   144,    23,   146,
     682,   148,    88,  1570,     3,     4,     5,   154,   155,    20,
      21,    18,    23,   436,   359,   360,    23,   129,    23,    50,
      25,   177,    40,  1519,    50,    80,  1358,  1087,    53,    50,
     171,  1358,    50,  1358,    52,   458,    87,    55,    56,    18,
      23,    80,    80,    18,    23,   129,    53,     6,    23,  2274,
      50,    37,   475,   207,   208,    88,   401,   213,   177,   259,
       6,  2102,  2220,    81,    23,    23,    41,    42,    43,    44,
     177,    79,   226,   641,    53,    25,  2102,   500,    53,    23,
      51,    25,    20,    21,   170,    23,    18,   173,    80,   128,
    1806,    23,    80,    18,    51,    42,    23,    78,    23,    51,
     523,   173,    23,    48,    25,    23,    65,    52,   143,    41,
      42,    43,    44,    23,   325,    25,    41,    42,    43,    44,
     387,    53,    18,    34,    50,     3,     7,    23,    53,   209,
    1057,   249,    79,    10,   152,    10,   154,   155,     0,   157,
     249,   159,    78,    23,    48,    25,   196,   165,    52,   167,
     168,   169,   338,   171,  2293,   154,   371,    53,   250,   426,
      34,   149,   150,    10,   172,    25,   184,   185,   186,   187,
     188,   189,   171,   165,    42,     6,    42,    54,   170,   171,
     161,    48,   174,     6,   451,    52,   178,    80,    23,   372,
      25,   174,   311,   177,    23,    24,   258,   196,   197,    92,
     126,    78,   128,    78,   311,   285,   165,    54,   352,    78,
    1835,    79,   740,    79,   172,   430,  1841,   279,   236,    79,
     403,   404,    51,    50,   242,   172,  2365,   163,    55,    56,
     248,   249,   376,   204,   326,   234,  2394,   236,   875,   238,
     151,   233,   280,    18,   236,   172,   429,   204,    23,   759,
     249,   888,   204,    80,   172,   373,   149,   150,   179,   137,
     471,   714,   172,   207,   373,   688,    41,    42,    43,    44,
     321,   457,   260,   261,   546,  2393,   264,   151,    53,   278,
      69,    70,   438,   282,    69,    70,   179,   359,   287,   288,
    2490,   714,   172,   243,   163,  1104,   719,    23,    24,   350,
     259,   724,   285,   726,   172,  1637,   172,   252,   359,    48,
    1637,   511,  1637,    52,   541,     6,   543,   544,   302,   438,
     547,   548,   308,   644,   645,   646,   647,   648,    28,   650,
     651,   438,   653,   654,   280,   656,   657,   172,   165,    39,
     371,   764,   765,   170,   171,   371,  1842,   174,   252,   387,
     371,   178,  2393,   246,   383,   925,   512,   184,   185,   186,
     187,   188,   189,   322,  2589,   477,   259,  2393,   401,   404,
     381,   371,    98,    48,   486,   798,   517,    52,   801,   305,
     484,   486,   892,     6,   894,   252,  1041,   492,     6,  2105,
      14,    15,  2108,  1320,  1321,   521,   282,   850,   851,    10,
      23,    24,   486,    10,   442,  2019,   233,  1974,  2022,   236,
     477,    23,    24,   412,  2028,  2029,   570,   840,  1249,   560,
     561,   562,   563,   564,   565,  1485,   252,   850,   851,   517,
     518,   486,   377,   378,     6,   523,   491,  2637,   445,   446,
    2640,   400,   865,    54,   483,   484,   869,    54,   487,   488,
     873,  1088,   241,   391,    78,   387,   241,   182,    81,   545,
     485,   386,    53,   422,  1796,   444,   449,  2445,  1800,  1796,
      78,  1796,   558,  1041,   370,   526,   527,   528,   453,    48,
     463,   464,   905,   309,   209,   908,   181,   573,   574,   575,
     576,   577,   578,   916,    23,   454,    25,   198,   584,   643,
      80,  2126,  2127,   329,   330,   567,   568,   569,   297,  2134,
    2135,    80,   297,   252,   173,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   152,
    1851,   166,  1853,  2086,  1216,  1856,    80,  1858,  1859,   791,
     504,   200,   237,   364,   246,   168,   169,    69,    70,    14,
      15,    28,   791,   571,   559,   163,   791,   180,    18,    53,
     285,   566,   391,    23,   393,   394,   395,   396,   397,   190,
      33,    34,   231,   572,   573,   300,    53,   252,    23,   472,
      25,   474,   475,   575,   405,    18,   479,   480,   735,   482,
      23,    10,   367,    53,   174,  1657,   489,   490,   562,   179,
    1662,    18,   304,  2156,   690,   149,    23,    18,    41,    42,
      43,    44,    23,    78,    18,   701,    79,  2595,  2596,    23,
      53,   322,   708,   450,    41,    42,    43,    44,  2606,  2607,
     289,  2184,   201,   202,   203,    54,    53,   338,   377,   378,
     823,   343,    53,   177,   883,   346,   305,  1979,   883,    53,
       6,  1503,  1979,  1985,  1979,  1979,    18,    36,  1985,   203,
      54,    23,  2215,   232,  1192,   391,    54,   393,   394,   395,
     396,   397,    51,    23,   180,    25,   503,   211,   322,    41,
      42,    43,    44,   196,    78,   254,   255,   959,   960,   258,
      78,    53,     9,    10,    11,    12,  1266,   260,   925,  1269,
     280,    18,   377,   378,  1766,   249,   350,   351,    79,   253,
     962,  1773,   256,   257,  1137,  1138,    36,  1140,  1141,   241,
      18,   290,    20,   962,   293,    23,    54,   962,  1151,  1065,
    1066,  1067,  1068,    36,  1070,  1071,   305,   168,  1074,   318,
    1076,   310,  1078,  1079,    53,  1168,   325,  1170,    20,    21,
      78,    23,  1073,   412,  1075,    53,   415,  1180,   151,  1182,
     110,    92,  1185,  1186,   224,  1188,    54,  1190,   391,   338,
     393,   394,   395,   396,   397,   297,   862,   311,   312,   391,
    1203,   393,   394,   395,   396,   397,  1209,   869,    50,    18,
      78,   873,   361,    55,    56,  1218,   152,   153,   378,  1222,
      79,  1040,   207,    54,   209,  1040,   465,    79,  1336,    79,
     469,   470,  1340,  1341,    53,   246,   247,   248,    80,    54,
     224,  2142,   172,    53,   180,   173,  2147,    78,  2149,  1252,
      92,  2152,   316,    80,   239,   319,   184,   185,  1261,    20,
      21,   246,   501,    78,   424,    50,   263,   442,   204,  1486,
      55,    56,    53,   448,   940,    18,   942,    20,   427,    20,
      23,   441,    23,   443,    35,    36,   525,   447,    39,    53,
     529,   451,   452,    53,   279,    80,   281,   152,   153,    20,
      21,   450,    23,  1535,   289,   235,  1538,  2219,    51,    53,
      53,  1401,  2219,    53,  2219,  2219,    78,   172,    80,   468,
     305,   263,   177,   165,   235,   180,  1089,  1469,   170,   171,
      20,    21,   174,    23,   416,   417,   178,   192,   577,  1102,
     329,   330,   184,   185,   186,   187,   188,   189,    78,  1738,
      80,  1114,  1098,  1116,   150,   504,   505,   506,   507,    80,
     509,   374,   375,    18,   513,    78,  1135,    80,    23,    39,
     367,  1135,  1136,   150,   201,   202,    51,    23,   306,    25,
     165,    20,    21,     6,    23,   170,   171,    25,   285,   286,
      80,   233,   315,   178,   236,   341,   342,    52,    53,   184,
     185,   186,   187,   188,   189,   232,    20,    21,    48,    23,
      50,    86,    18,     6,  1417,    55,    56,    23,     6,    20,
      21,    22,    23,   250,     6,   367,  1342,     6,  1344,    23,
     415,    25,    26,   152,   153,    41,    42,    43,    44,    50,
      80,    80,  1166,    23,    55,    56,  1536,    53,   233,    50,
     172,   236,  1216,   172,    55,    56,   149,   150,   177,  1266,
       6,    18,  1269,  1388,   249,   292,    23,     6,  1384,    80,
      45,    46,    47,   192,  1243,  1244,  1245,  1480,     6,  1243,
    1244,  1245,   393,   310,  1487,    18,    19,    20,    21,  1308,
     401,   166,   403,  1308,   405,    52,    53,   408,    10,     6,
    1717,   495,   496,   497,  1721,   290,    18,    78,    18,    80,
    2411,    23,  2413,    80,   175,   176,   501,   152,   153,    25,
      53,    33,     6,    35,  1527,   165,   244,   245,  1531,   204,
     170,   171,     6,    20,    21,   210,    23,   172,   178,     6,
     525,    53,   177,     6,   184,   185,   186,   187,   188,   189,
      23,     6,    25,    18,   165,   230,    18,   192,    23,   170,
     171,    23,   129,   198,    21,   504,    23,   178,    33,    28,
      35,  1574,     6,   184,   185,   186,   187,   188,   189,    41,
      42,    43,    44,    71,    72,    73,    74,   198,    53,     6,
      80,    53,    52,   233,    20,    21,   236,    23,   165,    25,
     427,   428,   429,   170,   171,    46,    47,  1273,   175,   176,
    1356,   178,    23,   180,    65,  1281,  1649,  1283,  1284,  1285,
    1286,    52,   233,    54,   191,   236,   140,   141,  1294,    80,
     144,    23,    80,   200,  1300,  1359,    52,   151,   152,   129,
    1748,    20,    21,    22,    23,  1648,  1649,   489,   490,   255,
     162,   493,   164,    78,   265,    80,   498,    18,    19,    20,
      21,    22,    23,  1696,    46,    47,   233,  1670,  1165,   236,
    1167,  1503,    52,   458,   250,   286,    49,    50,   318,    20,
      21,   171,    55,    56,  1503,   175,   176,   318,  1503,   320,
     180,    79,    53,  1696,  1697,   502,  1515,   162,    23,   164,
    1519,   191,   265,   266,   152,   153,    51,    80,    79,     9,
     200,   351,   352,   409,   410,   152,   153,   165,    18,    19,
      20,    21,   170,   171,   166,  1488,    20,    21,   259,    23,
     178,    25,   180,    52,    18,   172,    79,  1740,  1741,    23,
     177,    52,  1745,   180,   529,   530,   181,   182,   183,  1752,
     201,   202,  1755,    53,    52,   192,   254,   255,    42,  2671,
     338,   198,    20,    21,  2671,    23,  2671,  2671,    25,    53,
     205,   206,    79,  1536,   209,  2676,    79,  1780,    79,  1782,
      80,   232,    52,    20,    21,   233,    23,  1790,   236,   574,
     575,   576,   165,   255,    65,    66,   196,   170,   171,   250,
      14,    15,   163,   254,   255,   178,   327,   258,   259,   254,
     255,   184,   185,   186,   187,   188,   189,    50,   266,   294,
     295,   372,    55,    56,   201,   202,   393,   259,  1918,  2730,
    1833,   184,   185,  1652,   285,   314,  1839,  1652,  1871,  1872,
     263,   292,   211,   212,  2246,  2247,   297,    80,    18,   218,
     219,   220,   221,    23,   305,   466,   467,   468,   263,   310,
     233,   290,   313,   236,   194,   195,   196,   197,  1871,  1872,
     316,    41,    42,    43,    44,   325,   249,   517,   213,   214,
     213,   214,   522,    53,   524,    18,    19,    20,    21,   341,
    1556,  1557,   167,  1559,    48,   290,   354,  1563,  1564,   393,
     394,   395,   396,   397,  1570,  1995,    60,  1631,   347,  1633,
     361,    65,    18,    19,    20,    21,    22,    23,   290,  1585,
      53,  1587,   362,   145,   360,   314,    80,   213,   214,   215,
     216,   217,   165,   382,    52,    79,   387,   170,   171,   213,
     214,   215,   216,   217,    52,   178,   462,    53,   392,    79,
      79,   184,   185,   186,   187,   188,   189,   196,   165,  1962,
     166,   371,    52,   378,    79,   413,   414,    18,    79,    18,
    2060,    18,    23,   424,    50,    52,   427,   428,   429,    55,
      56,    52,    23,    18,   435,   234,   180,   192,    23,   440,
      41,    42,    43,    44,    52,    52,    79,    79,    79,   450,
     233,    79,    53,   236,    80,   456,    41,    42,    43,    44,
      52,  2014,   259,   246,   180,    52,    79,  2020,    53,   196,
     366,  1836,   192,  1842,    80,   258,    18,    19,    20,    21,
      22,    23,   180,  2066,  2067,  2068,   254,   263,   192,    52,
      52,    79,   263,    79,    79,    52,    17,   201,   202,   422,
     423,   424,   425,    11,    12,    13,    18,   163,  1804,    18,
      36,    53,    34,  2066,  2067,  2068,    33,    18,    78,    39,
      28,    29,    30,    10,  2077,    18,    18,   450,   232,     6,
       6,     6,   455,     6,     6,   458,     6,     6,   461,   165,
       6,     6,     6,   149,   170,   171,     6,     6,   174,     6,
     254,   255,   178,     6,   258,    53,    52,    52,   184,   185,
     186,   187,   188,   189,    78,   382,  2119,    80,    78,  2122,
      52,  2124,    23,    86,   357,   263,   263,   263,  1794,  1892,
     237,   263,   352,  2166,    52,    52,   263,   291,   292,   293,
      52,    52,  1808,    79,  1810,   201,   202,   203,    18,    37,
     304,   263,    52,    23,   112,   113,   310,   233,    52,   263,
     236,   263,   166,  2166,  2167,   152,    52,  1891,   379,    52,
      52,    41,    42,    43,    44,   192,   232,   252,  1844,   252,
      18,    18,    23,    53,   199,    52,   321,   296,    18,  2192,
      51,    18,    34,  2196,  2197,   182,  2199,   253,  2201,   151,
     256,   257,   165,   254,   255,    78,    78,   170,   171,    79,
      18,   174,   252,   252,   249,   178,     6,    53,   205,    23,
     207,    23,   209,   180,   180,   301,     6,    18,    19,    20,
      21,    22,    23,     6,    54,    23,    52,    52,  2241,    25,
    2243,  2244,  2245,    52,    78,  2681,   362,    34,  2684,  2685,
    2102,  2083,  2084,  2256,   310,    52,    52,  2260,  1982,    52,
    2696,  2264,    53,    52,  2083,  2084,   196,   263,  2083,  2084,
     233,    52,   193,   236,    52,    52,    52,    52,    52,    50,
      52,  2371,    52,    52,   400,  2721,  2722,    52,  2291,    52,
    2726,  2727,    52,    52,  2297,  2298,   283,   284,   285,   286,
    2303,    52,  2305,    52,  2307,    52,  2309,    52,  1974,    52,
      52,    52,  2315,    52,   430,    52,    52,    18,  1984,   435,
      52,    52,    52,    52,  2327,  2328,   192,    79,    21,  2332,
    2333,    34,    34,   449,    78,    11,    12,    13,    18,    18,
      23,   457,    18,   306,   307,     6,     6,    23,     6,     6,
     313,  2354,    28,    29,    30,  2358,     6,   473,  2361,     6,
     476,     6,    18,   479,  2367,    11,    12,    13,    14,    15,
       6,     6,     6,   489,    78,  2378,    54,    53,   262,    52,
      52,  2047,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   262,    25,    39,    78,  2428,  2429,   165,    52,    52,
      52,  2434,  2435,    52,    52,  2438,   314,   298,    52,  2172,
      52,   527,    52,   529,    52,    52,   366,  2420,  2421,  2422,
    2423,  2424,    52,    52,    52,  2428,  2429,    52,    52,    52,
      52,  2434,  2435,    52,    52,  2438,   112,   113,    52,   372,
      18,  2444,   180,   196,    60,    23,  2112,  2113,  2114,    52,
    2116,   349,   180,    50,   140,  2458,  2459,  2460,    55,    56,
     106,    52,    52,    41,    42,    43,    44,   259,   182,   455,
      57,    58,    52,  2476,  2477,    53,    52,   198,    65,  2482,
     150,    52,    36,    53,  2574,  2575,    53,    53,    52,    28,
    2493,    36,    34,    78,  2497,    78,    18,  2500,  2501,     6,
      21,     6,  2505,  2506,    91,   240,    93,    80,  2541,    52,
      18,  2514,   411,   263,    79,   263,   406,   192,   407,  2338,
      52,    52,  2525,  2526,  2527,   166,  2616,    52,   255,  2532,
      79,   298,    52,   120,    69,    79,    48,    23,  2541,  2542,
    2392,  2393,  2545,  2546,   131,   132,    79,   134,   135,   136,
     137,   138,    11,    12,    13,    14,    15,  2223,   145,   146,
     147,   323,   149,   150,   299,    79,  2232,  2570,  2571,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    79,   192,
      39,    18,    80,    52,    52,    52,    18,   184,   185,   186,
     187,   188,   189,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    34,    99,   100,   101,   102,   103,   104,    78,
     355,   356,    61,    68,  2387,    38,  2629,    52,  2631,  2632,
      35,    52,   748,    11,    12,    13,  2639,    35,    10,    80,
      28,    79,    54,  2646,   309,    52,   402,   256,   256,   384,
      28,    29,    30,    31,    32,    33,    34,    35,    36,   196,
     256,    39,   778,   779,   399,   263,   782,   400,   283,    79,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   797,    79,   418,   419,   420,   421,   803,    79,   805,
      79,   807,   808,    54,   810,   811,   812,   813,   814,   815,
      53,   110,   818,   819,    53,   821,    53,    52,    52,   825,
     826,    53,    10,    78,    77,    54,    54,   833,   834,    54,
      53,   837,    79,    54,    54,   841,    52,   306,    52,    36,
     107,  2397,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    18,    99,   100,   101,   102,   103,   104,    35,    35,
      16,    10,    18,    19,    20,    21,    22,    23,   874,    25,
      79,   255,    79,    52,   499,   500,   325,    33,    34,    35,
      52,   887,    38,    52,   486,   486,    52,    10,    78,    54,
     515,   516,    54,    54,    50,    51,   902,    53,   904,    55,
      56,    54,    54,    59,    78,    53,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    54,    99,   100,   101,   102,   103,   104,
     298,   296,   259,   578,   579,   256,   112,   113,   114,   115,
     116,   117,   118,   119,   256,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,    60,    52,   296,    60,   256,
     256,   256,    79,   139,   140,   141,   259,   211,   144,   432,
     362,   325,   459,   126,   430,    52,   152,    52,    80,   471,
     478,   309,   476,  2559,   160,   263,   162,    11,    12,    13,
      14,    15,   471,   298,    52,  2668,  2669,   481,   309,    52,
      25,    52,   296,     6,    28,    29,    30,    31,    32,    33,
      34,    35,    36,   263,    48,    39,   362,    20,    21,    22,
      23,   263,   126,    57,    58,    59,    60,   129,    62,    63,
      64,   263,   263,    67,    52,    69,    70,   508,   140,    52,
     510,    75,    76,    52,    52,    52,    80,    50,   514,    36,
      52,   519,    55,    56,    52,    79,   430,   431,   432,   433,
     434,   435,   436,   437,   240,    36,   303,    52,   298,   171,
     520,    25,   460,   175,   176,    80,    80,   256,   180,   263,
     494,   192,   256,   263,   473,   111,   202,   202,    54,   191,
      78,    52,    52,    11,    12,    13,    14,    15,   200,    52,
      52,   444,    52,   444,    52,    52,   109,   110,    52,    52,
      28,    29,    30,    31,    32,    33,    34,    35,    36,  1145,
    1146,    39,    78,   299,    52,   439,  2123,    54,  1040,  1155,
    1156,  1040,  1040,    50,  1546,  1589,    54,  1589,    55,    56,
    1839,  1589,  1589,   245,  2124,   247,  2122,   249,  1840,   152,
     153,  1841,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   571,    80,  1233,   168,  1357,  1637,   959,   172,
    1796,  2392,   175,   176,   173,   960,  1202,   180,    48,   355,
     356,  2393,   546,   962,   141,  1211,  1385,    57,    58,    59,
      60,  1214,    62,    63,    64,   845,   199,    67,   482,    69,
      70,  1301,   304,  2608,  1303,    75,    76,  2589,   384,   636,
      80,  1400,  1238,    11,    12,    13,    14,    15,  2055,   222,
     223,   224,  1888,   399,   227,   228,   229,  1253,  1254,  1904,
      28,    29,    30,    31,    32,    33,    34,    35,    36,  1179,
    1917,    39,   418,   419,   420,   421,   348,  1943,   165,  2080,
    2498,  2338,  2355,   170,   171,   357,   358,   174,  2509,  2359,
    1786,   178,   364,  2358,  2511,   899,  1082,   184,   185,   186,
     187,   188,   189,  1118,   376,    11,    12,    13,    14,    15,
      78,    -1,   685,   385,    -1,   387,    -1,    -1,   390,    -1,
      -1,    -1,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    -1,    -1,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    -1,    -1,   233,    -1,    54,   236,
      -1,    -1,    -1,   499,   500,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,   515,
     516,   258,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,  1379,  1380,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1416,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
       6,    -1,   578,   579,    -1,    11,    12,    13,    14,    15,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    16,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,  1477,  1478,  1479,    -1,  1481,    -1,    -1,    33,    34,
      78,    -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1498,    -1,  1500,    50,    51,    -1,    53,  1505,
      55,    56,    -1,    -1,    59,    -1,    -1,    -1,    -1,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
    1526,    11,    12,    13,    14,    15,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   139,   140,   141,    -1,    78,   144,
      -1,    11,    12,    13,    14,    15,    -1,   152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   160,    -1,   162,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    78,    -1,
      -1,    -1,  1668,    -1,    -1,    -1,    -1,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    -1,    39,    -1,
      -1,    -1,    -1,    -1,    -1,   240,    -1,  1693,    78,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    12,    13,    14,    15,  1713,  1714,  1715,
      -1,    -1,  1718,    -1,    -1,    -1,    -1,    78,    -1,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    11,    12,    13,    14,    15,  1742,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   299,    54,    -1,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,    -1,    -1,    -1,    -1,  1771,    -1,    -1,    -1,    -1,
      -1,    -1,    52,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,    -1,    -1,    -1,    16,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    -1,    -1,
     355,   356,    -1,    -1,    -1,    33,    34,    35,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    50,    51,    -1,    53,    -1,    55,    56,   384,
      -1,    59,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,   399,    -1,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,   418,   419,   420,   421,    28,    29,    30,
      31,    32,    33,    34,    35,    36,  1882,    -1,    39,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,    -1,    -1,    -1,
     118,   119,    -1,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   139,   140,   141,    -1,    -1,   144,    -1,    11,    12,
      13,    14,    15,  1929,   152,    -1,    -1,    -1,    -1,  1935,
      -1,    -1,   160,    -1,   162,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   499,   500,    39,    11,    12,    13,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1964,    52,
     515,   516,    -1,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   240,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,   578,   579,    11,    12,    13,    14,    15,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    -1,    -1,    39,    -1,    -1,    54,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
    2076,   299,    -1,    -1,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    52,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    11,    12,    13,    14,    15,   355,   356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    -1,    -1,    -1,    -1,   384,  2163,    11,    12,
      13,    14,    15,    -1,    -1,    54,    -1,    -1,    -1,    -1,
    2176,   399,    -1,    -1,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,  2191,    39,  2193,    -1,    -1,
     418,   419,   420,   421,    11,    12,    13,    14,    15,  2205,
      -1,    54,  2208,  2209,    -1,    -1,    11,    12,    13,    14,
      15,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,    -1,    -1,    54,    11,    12,
      13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,    -1,
      -1,   499,   500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,   515,   516,    -1,
      -1,    -1,    -1,  2299,    -1,    -1,    -1,    -1,  2304,    -1,
      -1,    -1,    -1,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2345,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,   579,    11,    12,    13,    14,    15,  2363,    -1,    -1,
      -1,    -1,    -1,  2369,    -1,    -1,    -1,    -1,    -1,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    16,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    -1,    -1,    -1,    54,    -1,    -1,    -1,    33,
      34,    35,    -1,    -1,    38,    -1,    -1,    -1,    -1,    11,
      12,    13,    14,    15,    -1,    -1,    50,    51,    -1,    53,
    2426,    55,    56,    -1,    -1,    59,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,  2462,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2471,  2472,    -1,    -1,    -1,
      -1,    -1,    -1,  2479,  2480,    -1,    -1,  2483,   112,   113,
      -1,    -1,    -1,    -1,   118,   119,    -1,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,    -1,  2504,    -1,
      -1,    -1,  2508,    -1,  2510,   139,   140,   141,    -1,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,
      -1,    -1,    -1,  2529,  2530,    -1,   160,    -1,   162,    11,
      12,    13,    14,    15,  2540,    -1,    -1,    -1,    -1,    -1,
      -1,  2547,    -1,  2549,  2550,  2551,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    -1,    -1,    39,    -1,    -1,
      -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,  2584,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    54,   240,    -1,    -1,  2615,
      -1,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    2626,    -1,    39,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2642,    54,    -1,    -1,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    -1,
      -1,    39,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   299,    54,    -1,    -1,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    -1,    -1,
      39,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    52,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,    -1,    -1,    16,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    -1,    -1,    -1,    -1,
      -1,   355,   356,    33,    34,    35,    -1,    -1,    38,    -1,
      -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,
      50,    51,    -1,    53,    -1,    55,    56,    -1,    -1,    59,
     384,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      -1,    -1,    39,    -1,    -1,   399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,   418,   419,   420,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   112,   113,    -1,    -1,    -1,    -1,   118,   119,
      -1,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,
     140,   141,    -1,    -1,   144,    -1,    11,    12,    13,    14,
      15,    -1,   152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     160,    -1,   162,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    -1,    -1,    39,   499,   500,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,   515,   516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,    -1,    -1,    -1,    -1,    -1,
     240,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   578,   579,    -1,    -1,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    -1,    -1,    39,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   299,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,    -1,    -1,
      16,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      -1,    -1,    -1,    -1,    -1,   355,   356,    33,    34,    35,
      -1,    -1,    38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    53,    -1,    55,
      56,    -1,    -1,    59,   384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,   419,
     420,   421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   112,   113,    -1,    -1,
      -1,    -1,   118,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   139,   140,   141,    -1,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   160,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,
     500,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   515,   516,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,    -1,
      -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,   579,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,    -1,    -1,    16,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    -1,    -1,    -1,    -1,    -1,   355,
     356,    33,    34,    35,    -1,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    50,    51,
      -1,    53,    -1,    55,    56,    -1,    -1,    59,   384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   418,   419,   420,   421,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     112,   113,    -1,    -1,    -1,    -1,   118,   119,    -1,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,   140,   141,
      -1,    -1,   144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,    -1,    -1,    -1,    -1,    -1,   240,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   578,   579,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    16,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,   299,    -1,    -1,
      38,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    50,    51,    -1,    53,    -1,    55,    56,    -1,
      -1,    59,    -1,    -1,    -1,    -1,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   112,   113,    -1,    -1,    -1,    -1,
     118,   119,   384,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,    -1,    -1,    -1,    -1,   399,    -1,    -1,
      -1,   139,   140,   141,    -1,    -1,   144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   152,    -1,   418,   419,   420,   421,
      -1,    -1,   160,    -1,   162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,
      -1,    -1,   240,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   515,   516,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,    -1,    -1,    -1,
      -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   578,   579,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,   356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,
      -1,   399,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     418,   419,   420,   421,    -1,    -1,    79,    -1,    -1,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    -1,    99,   100,   101,   102,
     103,   104,   105,    -1,    -1,   108,   109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   118,   119,    -1,   121,   122,
     123,   124,   125,   126,   127,   128,   129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   499,   500,   156,    -1,   158,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     578,   579,    -1,    -1,    -1,    -1,    -1,   240,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,    51,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   355,   356,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    82,    83,    84,    85,
      86,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,    -1,   108,   109,    -1,    -1,   399,    -1,    -1,    -1,
      -1,    -1,   118,   119,    -1,   121,   122,   123,   124,   125,
     126,   127,   128,   129,    -1,   418,   419,   420,   421,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     156,    -1,   158,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   499,   500,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,   516,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   240,    -1,    -1,    -1,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   578,   579,    -1,    -1,    -1,
      -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   355,
     356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    -1,    -1,    82,    83,    84,    85,    86,    87,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,   108,
     109,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,   118,
     119,    -1,   121,   122,   123,   124,   125,   126,   127,   128,
     129,    -1,   418,   419,   420,   421,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,    -1,   158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   240,    -1,    -1,    -1,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,
      -1,    -1,   578,   579,    -1,    -1,    -1,    -1,    -1,    -1,
     299,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   355,   356,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,   119,   384,   121,   122,   123,   124,
     125,   126,   127,   128,   129,    -1,    -1,    -1,    -1,    -1,
     399,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   418,
     419,   420,   421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     499,   500,    -1,    -1,    -1,   240,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,   516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
      -1,    -1,    -1,    -1,   299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   578,
     579,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     355,   356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   399,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   418,   419,   420,   421,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    55,    56,
      -1,    -1,    -1,    -1,   499,   500,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,   516,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,    -1,    -1,    -1,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   121,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   578,   579,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   165,    -1,
      -1,    -1,    -1,   170,   171,    -1,   173,   174,    -1,    -1,
      -1,   178,   179,    -1,    -1,    -1,    -1,   184,   185,   186,
     187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,    -1,    -1,   201,    -1,   203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   233,    -1,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   305,   306,
     307,    -1,   309,    -1,    -1,    -1,   313,    -1,    -1,   316,
     317,    -1,   319,   320,    -1,    -1,   323,   324,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   339,   340,    -1,    -1,    -1,   344,   345,   346,
      -1,    -1,    -1,    -1,    -1,    -1,   353,    -1,    -1,    -1,
     357,    -1,    -1,   360,   361,    -1,   363,    -1,   365,    -1,
      -1,   368,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   388,   389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   398
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   585,   586,     3,     4,     5,   154,   171,   196,
     197,   234,   236,   238,   249,   278,   282,   287,   288,   412,
     572,   573,   581,   582,   583,   584,   763,   764,   765,   766,
     768,   769,   770,   777,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   792,   793,   794,   795,   796,
     797,   798,   800,   801,   815,   816,   817,   818,   837,   861,
     899,   900,   901,   902,   903,   904,   905,   906,   961,   962,
     985,   998,   999,  1000,  1001,  1002,  1003,  1004,  1005,     0,
       6,    40,    50,    52,    55,    56,    81,   152,   154,   155,
     157,   159,   165,   167,   168,   169,   171,   184,   185,   186,
     187,   188,   189,   236,   242,   248,   249,   571,   587,   588,
     642,   644,   645,   646,   647,   657,   702,   704,   705,   706,
     707,   708,   713,   727,   730,   740,   741,   742,   805,   808,
     819,   822,   838,   845,   857,   860,   864,   865,   908,   909,
     911,   913,   914,   919,   950,   953,   963,   964,   976,   977,
     986,   989,   996,   997,  1008,  1011,  1012,     6,     6,     6,
      16,    18,    19,    20,    21,    22,    23,    25,    33,    34,
      38,    50,    51,    53,    55,    56,    59,   112,   113,   118,
     119,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   139,   140,   141,   144,   152,   160,   162,   240,   299,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     355,   356,   384,   399,   418,   419,   420,   421,   499,   500,
     515,   516,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     578,   579,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   639,   640,   641,   666,   682,   684,
     685,   687,   688,   689,   690,   804,    23,    25,   172,   776,
     799,   802,    23,   802,   802,   110,   235,   802,   802,     6,
     196,   207,   209,   239,   246,   279,   281,   289,   305,   415,
     501,   525,   152,   182,   205,   207,   209,   283,   284,   285,
     286,    42,    79,   172,   790,   802,   282,    25,   258,   279,
     567,   568,   569,  1006,     6,    23,    24,   391,   393,   394,
     395,   396,   397,   591,   591,   591,   690,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    99,   100,   101,   102,
     103,   104,   648,    53,    53,   166,    23,    25,   616,   207,
     208,   226,   570,   190,   207,   616,   168,   246,   247,   248,
     728,   729,   988,   196,   504,   562,   180,   260,   709,   173,
     200,   231,   289,   305,   412,   415,   465,   469,   470,   501,
     525,   529,   577,   863,   949,    51,   591,   714,    80,   165,
     170,   171,   174,   178,   233,   236,   258,   706,   715,   716,
     722,   744,   714,   714,   714,    55,    56,    80,    88,   121,
     149,   173,   174,   179,   184,   185,   186,   187,   197,   201,
     203,   245,   249,   258,   288,   305,   306,   307,   309,   313,
     316,   317,   319,   320,   323,   324,   339,   340,   344,   345,
     346,   353,   357,   360,   361,   363,   365,   368,   369,   380,
     388,   389,   398,   715,   848,   849,   856,   714,   714,    49,
      80,   249,   422,   423,   424,   425,   450,   455,   458,   461,
     706,   715,   867,   868,   869,   870,   871,   714,    80,   198,
     265,   286,   466,   467,   468,   715,   722,   910,    79,    80,
     129,   175,   176,   180,   191,   200,   393,   715,   717,   714,
     714,   714,   714,    80,   246,   258,   357,   715,   722,   980,
     981,    80,   249,   290,   458,   529,   530,   574,   575,   576,
     715,   722,   987,  1010,   714,   714,    80,   174,   575,   715,
    1013,    18,    23,    33,    35,    53,   162,   164,   681,   683,
     688,    36,   595,    36,    20,    21,   596,   597,    53,   151,
      34,   151,   690,    18,   114,   115,   116,   117,   671,   690,
      79,    79,    53,    53,    53,    53,    53,    53,    53,    18,
      19,    21,    22,    23,    53,   163,   596,   597,   604,   666,
     667,   670,   672,   673,   674,   676,   678,   679,   150,   150,
       6,    11,    12,    13,    14,    15,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    39,    39,    42,    79,   172,
     745,     6,   745,    25,   617,   617,   802,   802,     6,    42,
      79,   172,   748,     6,    23,    25,   172,   803,     6,   280,
       6,   771,     6,   778,   182,   209,   285,   300,   315,    23,
     174,   285,   449,   463,   464,   767,   209,   285,   767,   172,
       6,     6,     6,     6,     6,     6,     6,     6,    88,   171,
     517,   560,   561,   562,   563,   564,   565,   994,   995,    18,
     791,   617,   862,  1006,     6,  1006,     6,     6,   504,  1007,
      28,   658,   643,    98,   591,    23,    23,    18,    20,    23,
      51,    53,   703,    52,   745,   745,    18,    23,    53,   589,
      41,    42,    43,    44,   192,   589,   592,   748,    52,    25,
     243,    52,   559,   566,   616,   992,   250,   589,   590,   590,
     591,    79,   712,   416,   417,   912,   502,    23,    51,    79,
     166,   592,   745,   743,   179,   616,   616,   748,   259,    52,
      79,   720,    52,    52,    79,    79,    79,   250,   326,   338,
     316,   319,    52,    25,   329,   330,    50,   371,    50,   371,
      50,   371,    50,   371,   327,   616,   592,   372,   196,   259,
     246,   304,   343,   249,   592,   846,    52,   589,    20,    21,
      23,   381,   593,   840,   391,   593,   839,   314,   263,   318,
     325,   263,   316,   290,   325,   341,   342,   341,   167,   592,
     347,   354,   290,   290,   362,   360,   252,   309,   329,   330,
     592,   370,   589,   382,   145,   314,   392,    52,    79,   854,
      52,    79,    79,   462,   196,   703,   592,   165,   589,   592,
     166,   378,   592,   371,   866,   720,    52,    79,    79,   592,
     149,   150,    18,    51,   204,    18,   175,   176,    52,    52,
     589,   152,   153,   172,   177,   192,   198,   655,   724,   192,
     724,    23,   723,   192,   234,   180,    52,    52,    79,    79,
      79,    79,    21,    22,    23,   607,   611,   259,   180,    52,
      52,    87,   321,   350,   359,   526,   527,   528,   978,   979,
      79,   984,   196,   589,   366,   180,   254,   592,   263,   592,
      52,    52,    79,    79,  1014,  1018,   263,    52,    10,   683,
     683,   683,   690,    20,    21,   163,   676,   683,   683,    17,
      18,    18,    36,   686,   690,    33,    34,   151,    34,    18,
      78,    54,    78,   636,   636,   723,   690,   690,   690,   690,
     690,   690,    35,   669,   671,   690,    33,    34,    79,    10,
      78,   163,    78,   163,    18,    18,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
      57,    58,    65,    91,    93,   120,   131,   132,   134,   135,
     136,   137,   138,   145,   146,   147,   149,   150,    50,    55,
      56,   184,   185,   186,   187,   188,   189,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   775,   181,
     182,   183,   205,   206,   209,   746,   747,     6,     6,     6,
       6,   181,   237,   749,   750,     6,   803,     6,     6,     6,
     109,   110,   152,   168,   172,   175,   176,   180,   199,   222,
     223,   224,   227,   228,   229,   611,   655,   774,     6,    81,
     152,   168,   169,   180,   591,   767,   767,   767,   767,   767,
     767,   767,   907,   172,   767,   172,   767,     6,   767,   767,
       6,     6,    78,    80,     6,     6,     6,   152,   180,   204,
     655,     6,  1007,   589,     6,   690,    53,   650,   651,   652,
     656,    52,    78,    78,   737,   738,   690,    52,   690,   590,
      52,   589,   244,   245,   382,   990,   589,   991,    79,   172,
     993,   589,    45,    46,    47,   711,   714,    23,   703,   731,
     734,   735,   592,   719,   721,   807,   821,   263,   263,   593,
     263,   263,    52,   589,   589,    88,   401,    52,    52,   249,
     373,   263,   367,   592,   592,   352,   237,   592,    52,    52,
      79,   762,    52,    23,   604,   610,    37,   594,    48,    52,
     252,   377,   378,   393,   394,   395,   396,   397,   844,   594,
      48,    52,   252,   592,   589,   263,   263,   589,   263,   592,
     263,   592,   166,   592,   592,    52,   592,   592,   592,   592,
     592,   592,   379,   252,   592,   592,    52,   592,    52,   383,
     616,   252,   592,   592,   853,   855,   859,   592,   263,   367,
     592,   592,   192,   589,   592,   721,   872,   590,   590,    18,
      18,    23,   653,   654,   690,    42,   589,   726,   199,   726,
     726,   592,   723,   918,   952,   965,   592,   723,    25,   593,
     593,    50,   126,   128,   305,   978,   983,    52,   592,   592,
     589,   296,   589,   735,   736,   589,    18,    54,   683,   163,
      51,    18,    54,    78,   151,    34,   690,   690,   637,   638,
      54,    78,    54,    78,    78,    78,    78,    54,    78,    10,
      78,    78,    54,    18,    53,   667,   674,   678,   252,   252,
      53,    78,    80,    78,    80,     6,    20,    21,    22,    23,
     596,   597,   598,   599,   600,   772,   773,   611,   653,    23,
     180,   180,    23,   172,    23,   776,   617,   617,   617,   617,
       6,   617,   617,     6,    23,    65,   165,   259,   322,   400,
     422,   454,   767,   617,   767,   617,   617,   617,   995,   653,
      25,   723,   616,     6,    52,    54,   649,   659,    79,   648,
     616,    23,   735,    52,    54,    54,    25,    46,    47,    46,
      47,   616,   616,   994,    52,    52,    80,   149,   150,   260,
     261,   264,   710,    34,   733,    78,    52,    80,   171,   717,
     718,    80,   174,   301,   715,   722,   806,    80,    86,   174,
     306,   307,   313,   715,   820,   589,   589,    52,   589,   589,
      52,    52,   592,    79,   592,   841,   196,   263,   589,    52,
      52,    52,   592,   592,    52,   761,   847,   840,   591,   840,
     589,   589,    52,   839,   589,   589,    52,    52,   589,   589,
      52,   589,    52,   589,    52,   703,    52,    52,    52,    52,
      52,    52,    52,    52,   592,    52,   589,    52,    52,    52,
     589,    52,   592,    52,    52,    60,    80,   140,   175,   176,
     245,   247,   249,   304,   348,   357,   358,   364,   376,   385,
     387,   390,   718,   852,    80,   152,   180,   266,   413,   414,
     655,   715,   858,   589,   589,    80,   174,   179,   280,   378,
     424,   441,   443,   447,   451,   452,   873,   880,   883,   652,
     193,   725,   592,    52,    80,    92,   174,   489,   490,   493,
     498,   715,   722,   915,    80,   174,   450,   503,   715,   722,
     951,    48,    80,   318,   351,   352,   517,   522,   524,   715,
     722,   966,   968,    52,    52,   594,    50,    18,   613,   614,
     589,   592,   592,    23,    79,    80,    82,    83,    84,    85,
      86,    87,    88,   105,   108,   109,   156,   158,   687,   689,
     691,   696,   804,   982,   192,  1009,   589,    79,  1017,   683,
     683,    21,   690,    34,    34,    78,    54,    78,   634,   635,
     690,   690,   690,   690,   690,    35,   669,   690,   669,    35,
     669,   669,    78,   690,    18,    18,   690,   747,   750,    51,
      20,    21,    23,   776,   776,     6,     6,     6,     6,     6,
       6,    18,   703,   703,   703,   617,     6,   617,     6,     6,
       6,   648,   656,   648,   660,   663,   664,   665,   694,   696,
     591,    54,    78,    80,   262,   262,   592,   592,   265,   266,
      52,    25,   617,   732,   734,   745,    52,   809,   814,   165,
      52,   824,   825,   831,   825,   832,   593,   836,   314,    52,
      78,    52,    52,    52,    52,    92,   235,   393,   401,   403,
     405,   408,   842,   843,    52,   367,   592,   589,    52,    52,
      52,    80,   149,   203,   249,   253,   256,   257,   760,    52,
      52,    52,    52,    52,    52,    52,    52,    52,    52,    52,
      52,    52,   298,   366,   180,   180,   372,   180,   196,    60,
     349,   180,   173,   359,   592,   592,   386,   592,   589,   592,
      52,   653,    25,   723,   589,   616,   140,    52,   892,   898,
     387,   426,   451,   592,   875,   387,   592,   874,   259,   610,
     876,   877,   453,   592,    52,   455,   893,   194,   195,   196,
     197,    23,   597,   609,   929,   934,   920,   928,   916,   917,
     609,   182,    52,   954,   960,   592,   589,    52,   589,   198,
     967,   150,   967,    23,   593,   616,   969,    67,   521,   970,
     967,    52,   614,    36,    28,   661,   662,   690,   692,   692,
      53,   690,   690,   690,   697,    53,    53,    52,    28,   692,
      28,    39,   589,  1016,    36,    34,   690,   690,    48,    57,
      58,    59,    60,    62,    63,    64,    67,    69,    70,    75,
      76,    80,   620,   621,   622,   623,   624,   632,    80,   621,
     622,   623,   624,   633,    78,    54,    54,    54,    54,    54,
      78,    10,    54,    78,    54,    78,    10,    54,    78,    78,
      18,    54,    21,     6,     6,   591,   591,    80,   664,    52,
      18,   263,   263,   589,   590,    20,    21,    23,   596,   597,
     612,   736,   166,   173,   184,   185,   306,   823,   736,    79,
     830,    37,   308,   833,   592,   589,   192,   411,   407,   143,
     404,   406,   409,   410,    78,    80,    52,    52,    52,   254,
     255,   592,   255,   590,   589,    52,   198,   322,   338,   346,
     254,   255,   592,   592,   592,   249,   373,   723,   592,   298,
     322,   350,   351,   851,   723,   323,   735,   894,   589,   589,
     592,    79,   589,    79,   703,    79,   589,   589,    79,    79,
     933,   736,    79,   593,   935,   940,    25,    79,   941,   946,
     592,   736,   192,   589,    69,   589,   968,   971,   972,   589,
      18,   690,    80,   660,    78,    52,    52,   804,    52,   106,
      79,    23,   648,   695,   700,   700,   690,    52,   690,   140,
     141,   144,   151,   152,    80,   484,  1015,    18,    34,    54,
      54,    61,    65,    66,    68,    11,    12,    13,    28,    29,
      30,   112,   113,   589,   618,   625,   626,   627,    38,   628,
     629,   629,   631,    23,   596,   608,    52,   625,   628,   631,
     609,    52,   690,    35,   669,    35,   669,    35,   669,    10,
      35,   669,    35,   669,    80,    52,    54,    28,   693,    54,
     590,   590,    79,   813,   592,   830,   829,   826,   591,   616,
     309,   834,    52,   402,   283,   843,   256,   256,   256,   374,
     375,   592,   850,   850,   593,   400,   196,   263,   592,   592,
     895,    79,   897,   885,   885,   878,   881,   932,   931,    79,
     927,   936,   942,    79,   959,   589,   592,    79,    52,   692,
      54,   696,   680,   591,   110,   690,    23,   689,   701,   804,
      52,    52,    53,    53,    53,    52,    53,   593,    52,    10,
     589,    14,    15,   619,    78,    15,    78,   619,   589,    71,
      72,    73,    74,   630,    78,   619,    77,    54,    54,    54,
      54,    78,    10,    54,    54,    54,    78,    53,    54,    10,
      54,    54,    10,    54,   690,    52,   812,   810,   826,    80,
     149,   201,   202,   203,   232,   253,   256,   257,   310,   751,
     752,   754,   755,   756,   827,   593,   306,   835,   590,   590,
     590,   592,   589,   893,   896,    80,   610,   886,   887,    80,
      80,   280,   387,   442,   879,    80,   250,   292,   310,   427,
     428,   429,   751,   882,    80,   128,   483,   484,   487,   488,
     930,   926,   925,   939,   945,   958,   955,   973,    52,   107,
       9,    18,    19,    53,    80,   666,   668,   670,   672,   673,
     675,   677,   698,   700,   700,   690,   690,   690,   690,   589,
     627,   618,   626,   629,   629,    36,   629,   629,    18,    35,
     669,    35,   669,   669,    10,   669,    48,    60,    65,    80,
     192,   254,   255,   258,   291,   292,   293,   304,   310,   751,
     811,   254,   255,   592,    79,   255,   590,   589,   177,   211,
     311,   312,   828,    26,   616,    79,   759,    52,   592,    65,
      80,   250,   254,   255,   258,   259,   285,   292,   297,   305,
     310,   313,   361,   387,   424,   427,   428,   429,   435,   440,
     450,   456,   751,   884,   442,   448,   888,   592,   589,   592,
      52,   589,   589,   177,   311,   438,   589,   325,   224,   589,
      52,   592,   486,   486,   592,   592,    52,    80,    92,   149,
     150,   179,   246,   259,   472,   474,   475,   479,   480,   482,
     489,   490,   921,    80,   486,   491,   937,    80,   486,   492,
     943,    48,    80,   203,   254,   255,   258,   290,   293,   305,
     310,   338,   361,   427,   450,   468,   504,   505,   506,   507,
     509,   513,   751,   956,    80,   517,   518,   523,   974,   696,
     661,   690,    10,    78,   161,   690,    54,    78,    54,    54,
      54,    54,   589,   589,   589,   589,   630,   630,    54,    54,
      54,    78,    54,    53,    54,   589,   298,   294,   295,   589,
     296,    69,    70,   241,   297,   739,   259,   589,   256,   256,
      60,   177,   302,    52,   256,   256,   753,   754,   256,   213,
     214,   211,    51,    86,   166,   204,   210,   230,   757,   430,
     431,   432,   433,   434,   435,   436,   437,   589,   296,    69,
     297,   739,   259,   459,    79,   589,   589,   592,   177,   311,
     438,   432,   362,   589,   592,   589,   325,   224,   589,   338,
     457,   589,   126,   430,    52,   589,    52,   589,   589,   589,
     589,   477,   934,   325,   471,   471,   129,   486,   129,   477,
     486,   478,   471,   592,   476,   263,   481,   298,   309,   922,
     309,   923,    52,   938,   485,   589,   947,   935,    52,   944,
     947,   941,    52,   589,   592,   296,    69,   297,   739,   259,
     511,   589,   263,   592,   177,   213,   438,   512,   957,   593,
     362,   263,   126,   371,   430,   263,   263,   444,   589,   508,
     510,   514,    52,   975,   520,   519,   616,    52,    54,    53,
     668,   675,   661,   699,    52,   690,    52,    52,    52,    52,
      36,    36,   669,   669,   184,   185,   589,   589,   589,   589,
     589,   592,   590,   590,   298,   303,   590,   590,    80,    52,
     590,   213,   214,    25,   615,    51,   204,   589,   615,   211,
     212,   218,   219,   220,   221,   758,    51,   204,    80,   445,
     446,   589,   589,   589,   592,   460,   889,   592,   255,   592,
     589,   589,   592,   592,   589,   592,   494,   948,   948,   263,
     589,   256,   256,   495,   496,   497,   924,   589,   924,   263,
     589,   589,   473,   592,   589,   589,   192,   592,   940,   592,
     946,   589,   589,   589,   589,   592,   592,   589,   255,   592,
     590,   589,   589,   589,   592,   592,   592,   592,   202,   202,
     690,   111,    54,   589,   589,    54,    78,   593,   593,   592,
     753,    52,   615,   615,    52,    52,   213,   214,   215,   216,
     217,   213,   214,   215,   216,   217,    52,   615,   615,   759,
     592,    80,   593,   891,   444,   592,   589,   589,   589,   948,
     589,   948,   592,   589,   444,   616,   616,   696,    52,   669,
     757,    52,    52,   757,   757,   757,    52,    52,   439,   890,
      78,   757,   757,   757,   757,    52,   669,    54
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_int16 yyr1[] =
{
       0,   580,   585,   585,   586,   586,   587,   587,   588,   589,
     589,   589,   590,   590,   590,   591,   591,   592,   592,   592,
     592,   592,   592,   593,   593,   593,   594,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   604,   605,
     605,   606,   606,   607,   607,   607,   607,   607,   607,   608,
     608,   609,   609,   610,   610,   611,   611,   612,   612,   612,
     612,   612,   613,   614,   614,   615,   616,   616,   617,   617,
     618,   618,   618,   618,   618,   618,   618,   618,   619,   619,
     620,   620,   620,   620,   620,   620,   620,   620,   620,   620,
     621,   622,   623,   624,   624,   625,   625,   625,   625,   626,
     626,   627,   627,   628,   628,   628,   629,   629,   630,   630,
     630,   630,   631,   631,   631,   632,   632,   632,   632,   633,
     633,   633,   633,   633,   634,   634,   635,   635,   636,   637,
     638,   639,   640,   641,   641,   581,   582,   581,   583,   581,
     584,   587,   643,   642,   587,   644,   587,   645,   587,   646,
     587,   647,   648,   648,   648,   648,   648,   648,   648,   648,
     648,   648,   648,   648,   648,   648,   648,   648,   649,   649,
     650,   650,   651,   651,   652,   653,   654,   653,   655,   656,
     587,   658,   659,   657,   660,   660,   662,   661,   663,   663,
     664,   665,   665,   666,   666,   667,   667,   667,   667,   667,
     667,   668,   668,   668,   668,   669,   670,   670,   670,   670,
     670,   670,   670,   670,   670,   670,   671,   671,   671,   671,
     672,   672,   672,   673,   673,   673,   673,   673,   673,   673,
     673,   674,   674,   674,   674,   674,   675,   675,   675,   675,
     675,   676,   676,   677,   677,   678,   678,   678,   678,   679,
     679,   680,   680,   680,   681,   681,   682,   683,   683,   683,
     683,   683,   683,   683,   683,   683,   684,   684,   684,   684,
     684,   684,   684,   684,   684,   684,   684,   685,   685,   685,
     685,   686,   686,   686,   687,   688,   689,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   691,   691,   691,   692,   692,   692,   693,   693,   694,
     695,   695,   696,   696,   696,   697,   698,   699,   696,   696,
     696,   696,   696,   696,   696,   696,   696,   696,   696,   696,
     696,   696,   696,   696,   696,   696,   700,   701,   701,   701,
     587,   702,   702,   703,   703,   703,   703,   587,   704,   587,
     705,   706,   706,   706,   706,   706,   706,   706,   706,   706,
     706,   587,   707,   708,   709,   709,   710,   710,   710,   710,
     710,   710,   711,   711,   712,   712,   587,   713,   713,   714,
     714,   714,   714,   715,   715,   715,   715,   715,   715,   715,
     715,   716,   717,   717,   717,   717,   717,   717,   717,   717,
     717,   718,   718,   719,   719,   720,   720,   721,   722,   723,
     724,   724,   724,   724,   725,   725,   725,   725,   725,   726,
     726,   587,   727,   727,   727,   587,   728,   728,   728,   728,
     729,   729,   729,   729,   729,   729,   729,   729,   730,   731,
     732,   732,   733,   733,   734,   735,   735,   736,   737,   738,
     739,   739,   740,   741,   742,   742,   742,   742,   742,   743,
     744,   745,   745,   745,   746,   746,   747,   747,   747,   747,
     747,   747,   748,   748,   748,   749,   749,   750,   750,   751,
     752,   752,   753,   753,   754,   754,   755,   755,   756,   756,
     757,   757,   757,   757,   757,   757,   757,   757,   757,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   758,   759,   760,   760,   760,   760,   760,   760,
     760,   761,   761,   762,   581,   763,   581,   764,   581,   765,
     581,   766,   767,   767,   581,   768,   581,   769,   581,   770,
     771,   771,   771,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   772,   772,
     772,   772,   772,   772,   772,   772,   773,   773,   773,   773,
     774,   774,   774,   774,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   775,   775,   775,   775,   775,   775,
     775,   775,   775,   775,   776,   581,   777,   778,   778,   778,
     778,   778,   778,   778,   581,   779,   581,   780,   581,   781,
     581,   782,   581,   783,   581,   784,   581,   785,   581,   786,
     581,   787,   581,   788,   581,   789,   790,   790,   790,   791,
     791,   581,   792,   581,   793,   581,   794,   581,   795,   581,
     796,   581,   797,   581,   798,   799,   799,   581,   800,   581,
     801,   802,   802,   802,   803,   803,   803,   804,   740,   819,
     820,   820,   820,   820,   820,   820,   821,   821,   822,   823,
     823,   823,   823,   824,   824,   825,   826,   827,   827,   827,
     827,   827,   827,   827,   827,   828,   828,   828,   828,   828,
     828,   829,   829,   830,   830,   831,   832,   833,   833,   833,
     834,   834,   835,   835,   836,   581,   837,   740,   805,   806,
     806,   806,   806,   807,   807,   808,   809,   810,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   811,   812,   812,
     813,   813,   814,   804,   581,   815,   581,   816,   581,   817,
     581,   818,   591,   591,   591,   591,   591,   591,   740,   838,
     839,   839,   839,   840,   840,   840,   840,   840,   841,   841,
     842,   842,   843,   843,   843,   843,   843,   843,   843,   843,
     843,   844,   844,   844,   844,   844,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   845,   845,   845,   845,   845,   845,   845,   845,   845,
     845,   846,   847,   845,   845,   845,   845,   848,   848,   848,
     848,   848,   848,   848,   848,   848,   848,   848,   848,   849,
     850,   850,   850,   851,   851,   851,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   852,   852,   852,   852,   852,   852,   852,   852,
     852,   853,   853,   854,   854,   855,   856,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   740,   857,   858,   858,   858,   858,   858,   858,   858,
     858,   859,   859,   860,   581,   861,   862,   862,   862,   862,
     862,   862,   740,   863,   863,   863,   864,   865,   865,   866,
     866,   867,   868,   869,   869,   869,   869,   869,   869,   869,
     869,   869,   869,   869,   869,   869,   869,   869,   870,   871,
     872,   872,   873,   873,   873,   873,   873,   873,   873,   873,
     873,   874,   873,   875,   873,   873,   873,   873,   876,   876,
     877,   878,   878,   879,   879,   879,   880,   880,   881,   881,
     882,   882,   882,   882,   882,   882,   882,   882,   882,   882,
     882,   883,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   884,   884,   884,   884,   884,   884,   884,   884,   884,
     884,   885,   885,   886,   887,   888,   888,   888,   889,   889,
     890,   890,   891,   892,   893,   893,   895,   894,   896,   896,
     897,   897,   898,   804,   804,   804,   804,   581,   899,   581,
     900,   581,   901,   581,   902,   581,   903,   581,   904,   581,
     905,   581,   906,   907,   907,   907,   907,   907,   907,   907,
     907,   907,   740,   908,   909,   909,   909,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   740,   912,   911,
     913,   913,   913,   913,   740,   914,   915,   915,   915,   915,
     916,   915,   917,   915,   915,   915,   918,   918,   919,   920,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   922,   921,   923,
     921,   921,   921,   924,   924,   924,   925,   926,   926,   927,
     927,   928,   929,   930,   930,   930,   930,   930,   931,   932,
     932,   933,   933,   934,   935,   936,   937,   937,   937,   938,
     939,   939,   940,   940,   941,   942,   943,   943,   943,   944,
     945,   945,   946,   946,   947,   947,   948,   948,   804,   804,
     740,   949,   949,   950,   951,   951,   951,   951,   951,   951,
     952,   952,   953,   954,   955,   956,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   956,   956,   956,   956,   956,
     956,   956,   956,   956,   956,   956,   956,   956,   956,   956,
     956,   956,   957,   957,   957,   957,   958,   958,   959,   959,
     960,   804,   804,   581,   961,   581,   962,   740,   963,   964,
     965,   965,   966,   966,   966,   966,   966,   966,   966,   966,
     966,   966,   967,   967,   968,   969,   969,   970,   970,   971,
     972,   973,   973,   974,   974,   974,   975,   740,   976,   977,
     977,   977,   977,   977,   977,   978,   978,   978,   978,   978,
     978,   979,   979,   980,   981,   981,   981,   981,   981,   981,
     981,   981,   981,   982,   983,   983,   984,   984,   581,   985,
     986,   987,   987,   987,   804,   804,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   804,   804,   804,   804,   804,   804,   804,   804,
     804,   804,   587,   988,   989,   990,   990,   991,   991,   992,
     992,   992,   993,   993,   994,   994,   995,   995,   995,   995,
     995,   995,   995,   995,   995,   587,   996,   996,   587,   997,
     997,   997,   997,   581,   998,   581,   999,   581,  1000,   581,
    1001,   581,  1002,   581,  1003,   581,  1004,   581,  1005,  1006,
    1006,  1007,  1007,  1007,   740,  1008,   986,   986,  1009,  1009,
    1010,  1010,  1010,  1010,  1010,  1010,  1010,   740,  1011,  1012,
    1012,  1013,  1013,  1013,  1014,  1015,  1016,  1016,  1017,  1017,
    1018,   804,   804
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     1,     0,     2,     2,     2,
       3,     7,     2,     2,     5,     5,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     2,     4,     1,     3,     1,
       3,     1,     3,     4,     6,     6,     0,     1,     1,     1,
       1,     1,     2,     4,     4,     2,     2,     2,     2,     2,
       4,     2,     2,     2,     0,     3,     0,     3,     0,     0,
       0,     6,     6,     1,     1,     1,     2,     1,     2,     1,
       2,     1,     0,     4,     1,     2,     1,     4,     1,     6,
       1,     8,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     0,     4,
       2,     5,     0,     4,     1,     1,     0,     2,     2,     4,
       1,     0,     0,     6,     0,     1,     0,     2,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     3,
       1,     1,     3,     1,     1,     1,     5,     7,     5,     7,
       9,     7,     5,     7,     5,    11,     1,     1,     2,     1,
       7,     9,     7,     7,     9,     7,     9,     7,     9,     7,
      15,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       3,     1,     3,     1,     3,     1,     2,     2,     6,     1,
       3,     0,     4,     3,     1,     3,     3,     2,     4,     3,
       4,     2,     2,     2,     2,     0,     1,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     1,     5,     7,     7,
       1,     0,     1,     3,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     4,     1,     1,     1,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       6,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     5,     7,     6,     6,     6,     6,     4,     8,     4,
       1,     1,     1,     1,     0,     1,     3,     0,     2,     4,
       2,     1,     3,     4,     6,     0,     0,     0,     9,     4,
       3,     4,     4,     5,     3,     3,     3,     2,     5,     4,
       7,     7,     7,     7,     7,     9,     0,     1,     1,     1,
       1,     4,     5,     1,     3,     1,     1,     1,     3,     1,
       5,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     0,     1,     2,     2,     4,     4,
       3,     3,     0,     3,     0,     3,     1,     1,     1,     0,
       1,     2,     3,     0,     2,     2,     2,     3,     2,     2,
       2,     1,     2,     2,     2,     3,     3,     3,     2,     4,
       3,     1,     2,     0,     3,     0,     3,     0,     3,     1,
       2,     1,     1,     1,     0,     2,     2,     2,     2,     2,
       1,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       2,     4,     3,     4,     4,     3,     4,     4,     3,     0,
       1,     2,     0,     1,     3,     1,     3,     1,     0,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     5,     0,
       3,     1,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     3,     1,     1,     1,
       4,     1,     0,     3,     5,     2,     1,     1,     2,     2,
       0,     5,     5,     5,     5,     4,     4,     4,     4,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     1,
       1,     1,     1,     0,     2,     4,     4,     4,     2,     2,
       1,     0,     3,     3,     1,     3,     1,     3,     1,     4,
       1,     5,     1,     0,     1,     3,     1,     4,     1,     4,
       0,     2,     3,     3,     3,     3,     4,     4,     3,     2,
       2,     2,     2,     3,     3,     3,     2,     2,     1,     1,
       1,     1,     2,     2,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     4,     0,     2,     2,
       2,     2,     2,     2,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     4,     1,     3,     1,     4,     1,     1,     3,     0,
       1,     1,     4,     1,     4,     1,     4,     1,     3,     1,
       4,     1,     4,     1,     3,     2,     2,     1,     4,     1,
       2,     1,     1,     1,     1,     0,     1,     1,     1,     2,
       1,     2,     2,     2,     2,     3,     0,     3,     5,     1,
       1,     1,     1,     0,     2,     0,     0,     2,     4,     4,
       4,     2,     2,     2,     1,     1,     1,     2,     2,     3,
       3,     0,     3,     0,     3,     4,     3,     0,     2,     2,
       0,     2,     0,     2,     4,     1,     5,     1,     2,     1,
       1,     2,     4,     0,     3,     5,     0,     0,     0,     2,
       2,     2,     2,     2,     3,     3,     3,     3,     2,     3,
       3,     4,     4,     4,     2,     2,     3,     1,     0,     3,
       0,     3,     4,     1,     1,     6,     1,     6,     1,     6,
       1,     6,     1,     1,     1,     1,     1,     1,     2,     2,
       0,     3,     3,     0,     3,     3,     2,     2,     1,     3,
       1,     3,     1,     3,     2,     2,     2,     2,     2,     2,
       3,     1,     1,     1,     1,     1,     3,     3,     3,     4,
       6,     4,     6,     6,     4,     6,     5,     5,     4,     5,
       5,     6,     6,     3,     3,     4,     5,     6,     5,     5,
       5,     5,     5,     5,     5,     5,     5,     5,     6,     6,
       6,     5,     6,     6,     8,     6,     6,     6,     5,     6,
       5,     4,     4,     4,     4,     5,     5,     6,     5,     5,
       6,     5,     5,     6,     7,     7,     7,     5,     5,     4,
       4,     0,     0,     6,     6,     5,     5,     1,     1,     2,
       2,     2,     2,     2,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     4,
       4,     2,     3,     2,     2,     2,     2,     3,     5,     5,
       4,     3,     3,     3,     3,     3,     2,     2,     2,     3,
       3,     0,     3,     0,     3,     0,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     1,     2,     2,     2,     1,     2,     2,
       4,     0,     3,     5,     1,     4,     0,     3,     3,     3,
       2,     3,     2,     1,     2,     2,     2,     3,     3,     0,
       1,     2,     3,     1,     1,     2,     2,     3,     3,     3,
       3,     4,     2,     4,     3,     2,     3,     1,     2,     4,
       0,     3,     2,     1,     2,     3,     3,     3,     3,     2,
       3,     0,     5,     0,     5,     2,     2,     1,     4,     1,
       1,     0,     3,     2,     2,     2,     5,     2,     0,     3,
       0,     2,     2,     3,     2,     2,     3,     2,     2,     2,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     2,
       2,     2,     2,     2,     2,     2,     2,     3,     3,     3,
       3,     2,     3,     2,     3,     3,     4,     4,     2,     2,
       2,     3,     3,     3,     2,     3,     3,     3,     4,     2,
       1,     0,     2,     3,     1,     0,     1,     2,     0,     2,
       0,     1,     3,     0,     0,     2,     0,     3,     0,     3,
       0,     3,     3,     1,     1,     1,     1,     1,     4,     1,
       6,     1,     6,     1,     6,     1,     7,     1,     6,     1,
       7,     1,     5,     0,     2,     3,     2,     3,     3,     2,
       3,     2,     2,     2,     3,     3,     3,     1,     3,     3,
       2,     3,     3,     2,     2,     2,     2,     2,     0,     4,
       2,     3,     3,     5,     1,     2,     1,     1,     2,     2,
       0,     3,     0,     3,     2,     3,     0,     3,     5,     0,
       4,     4,     3,     4,     2,     3,     3,     3,     3,     4,
       4,     4,     3,     3,     4,     4,     2,     0,     3,     0,
       3,     3,     3,     1,     1,     1,     0,     0,     3,     0,
       3,     4,     1,     2,     2,     2,     4,     4,     0,     0,
       3,     0,     3,     3,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     0,     0,     2,     2,     0,
       0,     3,     1,     5,     1,     2,     0,     2,     1,     1,
       1,     1,     2,     2,     1,     1,     2,     4,     2,     2,
       0,     3,     5,     0,     0,     2,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     3,     3,     4,     3,     2,
       2,     1,     1,     1,     1,     1,     0,     3,     0,     3,
       4,     1,     1,     1,     6,     1,     6,     1,     2,     5,
       0,     3,     1,     1,     2,     3,     1,     2,     3,     3,
       3,     4,     0,     1,     2,     1,     1,     2,     6,     0,
       0,     0,     3,     4,     4,     2,     0,     2,     2,     3,
       3,     3,     5,     5,     4,     3,     2,     3,     3,     3,
       3,     1,     2,     2,     2,     3,     5,     1,     2,     2,
       2,     2,     2,     1,     0,     2,     0,     3,     1,     4,
       3,     3,     2,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     5,     2,     0,     0,     2,     2,
       2,     1,     1,     3,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     3,     1,     3,
       4,     3,     3,     1,     4,     1,     5,     1,     3,     1,
       3,     1,     3,     1,     4,     1,     2,     1,     3,     0,
       1,     0,     1,     2,     2,     2,     3,     3,     0,     2,
       1,     1,     2,     3,     2,     3,     4,     2,     2,     3,
       3,     1,     2,     3,     0,     2,     0,     3,     0,     3,
       3,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
# ifndef YY_LOCATION_PRINT
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YYUSE (yyoutput);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yykind < YYNTOKENS)
    YYPRINT (yyo, yytoknum[yykind], *yyvaluep);
# endif
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          goto yyexhaustedlab;                                          \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YYUSE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    goto yyexhaustedlab;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      YY_LAC_ESTABLISH;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 2: /* config: conf_entries END  */
#line 137 "conf/confbase.Y"
                         { return 0; }
#line 6508 "obj/conf/cf-parse.tab.c"
    break;

  case 3: /* config: CLI_MARKER cli_cmd  */
#line 138 "conf/confbase.Y"
                      { return 0; }
#line 6514 "obj/conf/cf-parse.tab.c"
    break;

  case 8: /* definition: DEFINE symbol '=' term ';'  */
#line 154 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     if (f_eval(f_linearize((yyvsp[-1].x), 1), cfg_mem, val) > F_RETURN) cf_error("Runtime error");
     cf_define_symbol((yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 6524 "obj/conf/cf-parse.tab.c"
    break;

  case 10: /* expr: '(' term ')'  */
#line 163 "conf/confbase.Y"
                { (yyval.i) = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 6530 "obj/conf/cf-parse.tab.c"
    break;

  case 11: /* expr: CF_SYM_KNOWN  */
#line 164 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 6538 "obj/conf/cf-parse.tab.c"
    break;

  case 12: /* expr_us: expr S  */
#line 170 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 6544 "obj/conf/cf-parse.tab.c"
    break;

  case 13: /* expr_us: expr MS  */
#line 171 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 6550 "obj/conf/cf-parse.tab.c"
    break;

  case 14: /* expr_us: expr US  */
#line 172 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 6556 "obj/conf/cf-parse.tab.c"
    break;

  case 17: /* bool: expr  */
#line 180 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 6562 "obj/conf/cf-parse.tab.c"
    break;

  case 18: /* bool: ON  */
#line 181 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 6568 "obj/conf/cf-parse.tab.c"
    break;

  case 19: /* bool: YES  */
#line 182 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 6574 "obj/conf/cf-parse.tab.c"
    break;

  case 20: /* bool: OFF  */
#line 183 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 6580 "obj/conf/cf-parse.tab.c"
    break;

  case 21: /* bool: NO  */
#line 184 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 6586 "obj/conf/cf-parse.tab.c"
    break;

  case 22: /* bool: %empty  */
#line 185 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 6592 "obj/conf/cf-parse.tab.c"
    break;

  case 23: /* ipa: IP4  */
#line 192 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 6598 "obj/conf/cf-parse.tab.c"
    break;

  case 24: /* ipa: IP6  */
#line 193 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 6604 "obj/conf/cf-parse.tab.c"
    break;

  case 25: /* ipa: CF_SYM_KNOWN  */
#line 194 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 6613 "obj/conf/cf-parse.tab.c"
    break;

  case 26: /* ipa_scope: %empty  */
#line 201 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 6619 "obj/conf/cf-parse.tab.c"
    break;

  case 27: /* ipa_scope: '%' symbol  */
#line 202 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 6625 "obj/conf/cf-parse.tab.c"
    break;

  case 28: /* pxlen4: '/' NUM  */
#line 209 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 6634 "obj/conf/cf-parse.tab.c"
    break;

  case 29: /* net_ip4_: IP4 pxlen4  */
#line 216 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 6647 "obj/conf/cf-parse.tab.c"
    break;

  case 30: /* net_ip6_: IP6 '/' NUM  */
#line 226 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 6663 "obj/conf/cf-parse.tab.c"
    break;

  case 31: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 239 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 6685 "obj/conf/cf-parse.tab.c"
    break;

  case 32: /* net_vpn4_: VPN_RD net_ip4_  */
#line 258 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6694 "obj/conf/cf-parse.tab.c"
    break;

  case 33: /* net_vpn6_: VPN_RD net_ip6_  */
#line 264 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 6703 "obj/conf/cf-parse.tab.c"
    break;

  case 34: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 270 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6714 "obj/conf/cf-parse.tab.c"
    break;

  case 35: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 278 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 6725 "obj/conf/cf-parse.tab.c"
    break;

  case 36: /* net_mpls_: MPLS NUM  */
#line 286 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 6734 "obj/conf/cf-parse.tab.c"
    break;

  case 43: /* net_: net_ip_  */
#line 296 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 6740 "obj/conf/cf-parse.tab.c"
    break;

  case 50: /* net_ip4: CF_SYM_KNOWN  */
#line 309 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6750 "obj/conf/cf-parse.tab.c"
    break;

  case 52: /* net_ip6: CF_SYM_KNOWN  */
#line 318 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6760 "obj/conf/cf-parse.tab.c"
    break;

  case 54: /* net_ip: CF_SYM_KNOWN  */
#line 327 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 6770 "obj/conf/cf-parse.tab.c"
    break;

  case 56: /* net_any: CF_SYM_KNOWN  */
#line 336 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 6780 "obj/conf/cf-parse.tab.c"
    break;

  case 59: /* net_or_ipa: IP4  */
#line 346 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 6786 "obj/conf/cf-parse.tab.c"
    break;

  case 60: /* net_or_ipa: IP6  */
#line 347 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 6792 "obj/conf/cf-parse.tab.c"
    break;

  case 61: /* net_or_ipa: CF_SYM_KNOWN  */
#line 348 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 6805 "obj/conf/cf-parse.tab.c"
    break;

  case 62: /* label_stack_start: NUM  */
#line 359 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 6815 "obj/conf/cf-parse.tab.c"
    break;

  case 64: /* label_stack: label_stack '/' NUM  */
#line 367 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 6826 "obj/conf/cf-parse.tab.c"
    break;

  case 65: /* time: TEXT  */
#line 376 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 6836 "obj/conf/cf-parse.tab.c"
    break;

  case 67: /* text: CF_SYM_KNOWN  */
#line 385 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 6845 "obj/conf/cf-parse.tab.c"
    break;

  case 69: /* opttext: %empty  */
#line 393 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 6851 "obj/conf/cf-parse.tab.c"
    break;

  case 70: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 6857 "obj/conf/cf-parse.tab.c"
    break;

  case 71: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 6863 "obj/conf/cf-parse.tab.c"
    break;

  case 72: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 6869 "obj/conf/cf-parse.tab.c"
    break;

  case 73: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 6875 "obj/conf/cf-parse.tab.c"
    break;

  case 74: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 6881 "obj/conf/cf-parse.tab.c"
    break;

  case 75: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 6887 "obj/conf/cf-parse.tab.c"
    break;

  case 76: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 6893 "obj/conf/cf-parse.tab.c"
    break;

  case 77: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 6899 "obj/conf/cf-parse.tab.c"
    break;

  case 78: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 6905 "obj/conf/cf-parse.tab.c"
    break;

  case 79: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 6911 "obj/conf/cf-parse.tab.c"
    break;

  case 80: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 6917 "obj/conf/cf-parse.tab.c"
    break;

  case 81: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 6923 "obj/conf/cf-parse.tab.c"
    break;

  case 82: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 6929 "obj/conf/cf-parse.tab.c"
    break;

  case 83: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 6935 "obj/conf/cf-parse.tab.c"
    break;

  case 84: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 6941 "obj/conf/cf-parse.tab.c"
    break;

  case 85: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 6947 "obj/conf/cf-parse.tab.c"
    break;

  case 86: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 6953 "obj/conf/cf-parse.tab.c"
    break;

  case 87: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 6959 "obj/conf/cf-parse.tab.c"
    break;

  case 88: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 6965 "obj/conf/cf-parse.tab.c"
    break;

  case 89: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 6971 "obj/conf/cf-parse.tab.c"
    break;

  case 90: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 6977 "obj/conf/cf-parse.tab.c"
    break;

  case 91: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 6983 "obj/conf/cf-parse.tab.c"
    break;

  case 92: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 6989 "obj/conf/cf-parse.tab.c"
    break;

  case 93: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 6995 "obj/conf/cf-parse.tab.c"
    break;

  case 94: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 7001 "obj/conf/cf-parse.tab.c"
    break;

  case 95: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 7010 "obj/conf/cf-parse.tab.c"
    break;

  case 96: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 7019 "obj/conf/cf-parse.tab.c"
    break;

  case 99: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 7028 "obj/conf/cf-parse.tab.c"
    break;

  case 100: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 7039 "obj/conf/cf-parse.tab.c"
    break;

  case 103: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 7048 "obj/conf/cf-parse.tab.c"
    break;

  case 104: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 7057 "obj/conf/cf-parse.tab.c"
    break;

  case 105: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 7066 "obj/conf/cf-parse.tab.c"
    break;

  case 106: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 7072 "obj/conf/cf-parse.tab.c"
    break;

  case 107: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 7078 "obj/conf/cf-parse.tab.c"
    break;

  case 108: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 7084 "obj/conf/cf-parse.tab.c"
    break;

  case 109: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 7090 "obj/conf/cf-parse.tab.c"
    break;

  case 110: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 7096 "obj/conf/cf-parse.tab.c"
    break;

  case 111: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 7102 "obj/conf/cf-parse.tab.c"
    break;

  case 112: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 7110 "obj/conf/cf-parse.tab.c"
    break;

  case 113: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 7118 "obj/conf/cf-parse.tab.c"
    break;

  case 114: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 7126 "obj/conf/cf-parse.tab.c"
    break;

  case 115: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 7135 "obj/conf/cf-parse.tab.c"
    break;

  case 119: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 7144 "obj/conf/cf-parse.tab.c"
    break;

  case 120: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 7155 "obj/conf/cf-parse.tab.c"
    break;

  case 128: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 7166 "obj/conf/cf-parse.tab.c"
    break;

  case 129: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 7172 "obj/conf/cf-parse.tab.c"
    break;

  case 130: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 7178 "obj/conf/cf-parse.tab.c"
    break;

  case 131: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 7187 "obj/conf/cf-parse.tab.c"
    break;

  case 132: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 7196 "obj/conf/cf-parse.tab.c"
    break;

  case 142: /* $@1: %empty  */
#line 348 "filter/config.Y"
                 { (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FILTER, filter, NULL); cf_push_scope( (yyvsp[0].s) ); }
#line 7202 "obj/conf/cf-parse.tab.c"
    break;

  case 143: /* filter_def: FILTER symbol $@1 filter_body  */
#line 349 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope();
   }
#line 7214 "obj/conf/cf-parse.tab.c"
    break;

  case 145: /* filter_eval: EVAL term  */
#line 360 "filter/config.Y"
             { f_eval_int(f_linearize((yyvsp[0].x), 1)); }
#line 7220 "obj/conf/cf-parse.tab.c"
    break;

  case 147: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 364 "filter/config.Y"
                                       {
  cf_define_symbol((yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 7228 "obj/conf/cf-parse.tab.c"
    break;

  case 149: /* bt_test_suite: BT_TEST_SUITE '(' CF_SYM_KNOWN ',' text ')'  */
#line 370 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 7242 "obj/conf/cf-parse.tab.c"
    break;

  case 151: /* bt_test_same: BT_TEST_SAME '(' CF_SYM_KNOWN ',' CF_SYM_KNOWN ',' NUM ')'  */
#line 383 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 7258 "obj/conf/cf-parse.tab.c"
    break;

  case 152: /* type: INT  */
#line 397 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 7264 "obj/conf/cf-parse.tab.c"
    break;

  case 153: /* type: BOOL  */
#line 398 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 7270 "obj/conf/cf-parse.tab.c"
    break;

  case 154: /* type: IP  */
#line 399 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 7276 "obj/conf/cf-parse.tab.c"
    break;

  case 155: /* type: RD  */
#line 400 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 7282 "obj/conf/cf-parse.tab.c"
    break;

  case 156: /* type: PREFIX  */
#line 401 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 7288 "obj/conf/cf-parse.tab.c"
    break;

  case 157: /* type: PAIR  */
#line 402 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 7294 "obj/conf/cf-parse.tab.c"
    break;

  case 158: /* type: QUAD  */
#line 403 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 7300 "obj/conf/cf-parse.tab.c"
    break;

  case 159: /* type: EC  */
#line 404 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 7306 "obj/conf/cf-parse.tab.c"
    break;

  case 160: /* type: LC  */
#line 405 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 7312 "obj/conf/cf-parse.tab.c"
    break;

  case 161: /* type: STRING  */
#line 406 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 7318 "obj/conf/cf-parse.tab.c"
    break;

  case 162: /* type: BGPMASK  */
#line 407 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 7324 "obj/conf/cf-parse.tab.c"
    break;

  case 163: /* type: BGPPATH  */
#line 408 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 7330 "obj/conf/cf-parse.tab.c"
    break;

  case 164: /* type: CLIST  */
#line 409 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 7336 "obj/conf/cf-parse.tab.c"
    break;

  case 165: /* type: ECLIST  */
#line 410 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 7342 "obj/conf/cf-parse.tab.c"
    break;

  case 166: /* type: LCLIST  */
#line 411 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 7348 "obj/conf/cf-parse.tab.c"
    break;

  case 167: /* type: type SET  */
#line 412 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 7373 "obj/conf/cf-parse.tab.c"
    break;

  case 168: /* function_argsn: %empty  */
#line 435 "filter/config.Y"
               { (yyval.fa) = NULL; }
#line 7379 "obj/conf/cf-parse.tab.c"
    break;

  case 169: /* function_argsn: function_argsn type symbol ';'  */
#line 436 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 7390 "obj/conf/cf-parse.tab.c"
    break;

  case 170: /* function_args: '(' ')'  */
#line 445 "filter/config.Y"
           { (yyval.fa) = NULL; }
#line 7396 "obj/conf/cf-parse.tab.c"
    break;

  case 171: /* function_args: '(' function_argsn type symbol ')'  */
#line 446 "filter/config.Y"
                                      {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 7406 "obj/conf/cf-parse.tab.c"
    break;

  case 172: /* function_vars: %empty  */
#line 454 "filter/config.Y"
               { (yyval.i) = 0; }
#line 7412 "obj/conf/cf-parse.tab.c"
    break;

  case 173: /* function_vars: function_vars type symbol ';'  */
#line 455 "filter/config.Y"
                                 {
     cf_define_symbol((yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 7421 "obj/conf/cf-parse.tab.c"
    break;

  case 175: /* filter: CF_SYM_KNOWN  */
#line 464 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 7430 "obj/conf/cf-parse.tab.c"
    break;

  case 176: /* $@2: %empty  */
#line 468 "filter/config.Y"
   { cf_push_scope(NULL); }
#line 7436 "obj/conf/cf-parse.tab.c"
    break;

  case 177: /* filter: $@2 filter_body  */
#line 468 "filter/config.Y"
                                        {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope();
   }
#line 7448 "obj/conf/cf-parse.tab.c"
    break;

  case 178: /* where_filter: WHERE term  */
#line 478 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 7457 "obj/conf/cf-parse.tab.c"
    break;

  case 179: /* function_body: function_vars '{' cmds '}'  */
#line 485 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 7466 "obj/conf/cf-parse.tab.c"
    break;

  case 181: /* $@3: %empty  */
#line 493 "filter/config.Y"
                   {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     (yyvsp[0].s) = cf_define_symbol((yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope((yyvsp[0].s));
   }
#line 7476 "obj/conf/cf-parse.tab.c"
    break;

  case 182: /* $@4: %empty  */
#line 497 "filter/config.Y"
                   {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     (yyvsp[-2].s)->function = dummy;

     /* Revert the args */
     while ((yyvsp[0].fa)) {
       struct f_arg *tmp = (yyvsp[0].fa);
       (yyvsp[0].fa) = (yyvsp[0].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 7496 "obj/conf/cf-parse.tab.c"
    break;

  case 183: /* function_def: FUNCTION symbol $@3 function_args $@4 function_body  */
#line 511 "filter/config.Y"
                   {
     (yyvsp[0].fl)->args = (yyvsp[-4].s)->function->args;
     (yyvsp[0].fl)->arg_list = (yyvsp[-4].s)->function->arg_list;
     (yyvsp[-4].s)->function = (yyvsp[0].fl);
     cf_pop_scope();
   }
#line 7507 "obj/conf/cf-parse.tab.c"
    break;

  case 184: /* cmds: %empty  */
#line 521 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 7513 "obj/conf/cf-parse.tab.c"
    break;

  case 185: /* cmds: cmds_int  */
#line 522 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 7519 "obj/conf/cf-parse.tab.c"
    break;

  case 186: /* $@5: %empty  */
#line 525 "filter/config.Y"
             { cf_push_soft_scope(); }
#line 7525 "obj/conf/cf-parse.tab.c"
    break;

  case 187: /* cmds_scoped: $@5 cmds  */
#line 525 "filter/config.Y"
                                            { cf_pop_soft_scope(); (yyval.x) = (yyvsp[0].x); }
#line 7531 "obj/conf/cf-parse.tab.c"
    break;

  case 190: /* cmd_prep: cmd_var  */
#line 529 "filter/config.Y"
                  {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 7542 "obj/conf/cf-parse.tab.c"
    break;

  case 192: /* cmds_int: cmds_int cmd_prep  */
#line 538 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 7558 "obj/conf/cf-parse.tab.c"
    break;

  case 193: /* fipa: IP4  */
#line 555 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7564 "obj/conf/cf-parse.tab.c"
    break;

  case 194: /* fipa: IP6  */
#line 556 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7570 "obj/conf/cf-parse.tab.c"
    break;

  case 195: /* set_atom: NUM  */
#line 569 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7576 "obj/conf/cf-parse.tab.c"
    break;

  case 196: /* set_atom: fipa  */
#line 570 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 7582 "obj/conf/cf-parse.tab.c"
    break;

  case 197: /* set_atom: VPN_RD  */
#line 571 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 7588 "obj/conf/cf-parse.tab.c"
    break;

  case 198: /* set_atom: ENUM  */
#line 572 "filter/config.Y"
          { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7594 "obj/conf/cf-parse.tab.c"
    break;

  case 199: /* set_atom: '(' term ')'  */
#line 573 "filter/config.Y"
                {
     if (f_eval(f_linearize((yyvsp[-1].x), 1), cfg_mem, &((yyval.v))) > F_RETURN) cf_error("Runtime error");
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 7603 "obj/conf/cf-parse.tab.c"
    break;

  case 200: /* set_atom: CF_SYM_KNOWN  */
#line 577 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 7613 "obj/conf/cf-parse.tab.c"
    break;

  case 201: /* switch_atom: NUM  */
#line 585 "filter/config.Y"
         { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 7619 "obj/conf/cf-parse.tab.c"
    break;

  case 202: /* switch_atom: '(' term ')'  */
#line 586 "filter/config.Y"
                { (yyval.v).type = T_INT; (yyval.v).val.i = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 7625 "obj/conf/cf-parse.tab.c"
    break;

  case 203: /* switch_atom: fipa  */
#line 587 "filter/config.Y"
         { (yyval.v) = (yyvsp[0].v); }
#line 7631 "obj/conf/cf-parse.tab.c"
    break;

  case 204: /* switch_atom: ENUM  */
#line 588 "filter/config.Y"
         { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 7637 "obj/conf/cf-parse.tab.c"
    break;

  case 205: /* cnum: term  */
#line 592 "filter/config.Y"
        { (yyval.i32) = f_eval_int(f_linearize((yyvsp[0].x), 1)); }
#line 7643 "obj/conf/cf-parse.tab.c"
    break;

  case 206: /* pair_item: '(' cnum ',' cnum ')'  */
#line 595 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7649 "obj/conf/cf-parse.tab.c"
    break;

  case 207: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 596 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7655 "obj/conf/cf-parse.tab.c"
    break;

  case 208: /* pair_item: '(' cnum ',' '*' ')'  */
#line 597 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7661 "obj/conf/cf-parse.tab.c"
    break;

  case 209: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 598 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7667 "obj/conf/cf-parse.tab.c"
    break;

  case 210: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 599 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7673 "obj/conf/cf-parse.tab.c"
    break;

  case 211: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 600 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 7679 "obj/conf/cf-parse.tab.c"
    break;

  case 212: /* pair_item: '(' '*' ',' cnum ')'  */
#line 601 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7685 "obj/conf/cf-parse.tab.c"
    break;

  case 213: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 602 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7691 "obj/conf/cf-parse.tab.c"
    break;

  case 214: /* pair_item: '(' '*' ',' '*' ')'  */
#line 603 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 7697 "obj/conf/cf-parse.tab.c"
    break;

  case 215: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 605 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 7703 "obj/conf/cf-parse.tab.c"
    break;

  case 216: /* ec_kind: RT  */
#line 609 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 7709 "obj/conf/cf-parse.tab.c"
    break;

  case 217: /* ec_kind: RO  */
#line 610 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 7715 "obj/conf/cf-parse.tab.c"
    break;

  case 218: /* ec_kind: UNKNOWN NUM  */
#line 611 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 7721 "obj/conf/cf-parse.tab.c"
    break;

  case 219: /* ec_kind: GENERIC  */
#line 612 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 7727 "obj/conf/cf-parse.tab.c"
    break;

  case 220: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 616 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7733 "obj/conf/cf-parse.tab.c"
    break;

  case 221: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 617 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7739 "obj/conf/cf-parse.tab.c"
    break;

  case 222: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 618 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 7745 "obj/conf/cf-parse.tab.c"
    break;

  case 223: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 622 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 7751 "obj/conf/cf-parse.tab.c"
    break;

  case 224: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 623 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 7757 "obj/conf/cf-parse.tab.c"
    break;

  case 225: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 624 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7763 "obj/conf/cf-parse.tab.c"
    break;

  case 226: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 625 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 7769 "obj/conf/cf-parse.tab.c"
    break;

  case 227: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 626 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7775 "obj/conf/cf-parse.tab.c"
    break;

  case 228: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 627 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 7781 "obj/conf/cf-parse.tab.c"
    break;

  case 229: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 628 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 7787 "obj/conf/cf-parse.tab.c"
    break;

  case 230: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 630 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 7793 "obj/conf/cf-parse.tab.c"
    break;

  case 234: /* set_item: set_atom  */
#line 637 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7799 "obj/conf/cf-parse.tab.c"
    break;

  case 235: /* set_item: set_atom DDOT set_atom  */
#line 638 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7805 "obj/conf/cf-parse.tab.c"
    break;

  case 239: /* switch_item: switch_atom  */
#line 645 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 7811 "obj/conf/cf-parse.tab.c"
    break;

  case 240: /* switch_item: switch_atom DDOT switch_atom  */
#line 646 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 7817 "obj/conf/cf-parse.tab.c"
    break;

  case 242: /* set_items: set_items ',' set_item  */
#line 651 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7823 "obj/conf/cf-parse.tab.c"
    break;

  case 244: /* switch_items: switch_items ',' switch_item  */
#line 656 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 7829 "obj/conf/cf-parse.tab.c"
    break;

  case 245: /* fprefix: net_ip_  */
#line 660 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 7835 "obj/conf/cf-parse.tab.c"
    break;

  case 246: /* fprefix: net_ip_ '+'  */
#line 661 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 7841 "obj/conf/cf-parse.tab.c"
    break;

  case 247: /* fprefix: net_ip_ '-'  */
#line 662 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 7847 "obj/conf/cf-parse.tab.c"
    break;

  case 248: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 663 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 7857 "obj/conf/cf-parse.tab.c"
    break;

  case 249: /* fprefix_set: fprefix  */
#line 671 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 7863 "obj/conf/cf-parse.tab.c"
    break;

  case 250: /* fprefix_set: fprefix_set ',' fprefix  */
#line 672 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 7869 "obj/conf/cf-parse.tab.c"
    break;

  case 251: /* switch_body: %empty  */
#line 675 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 7875 "obj/conf/cf-parse.tab.c"
    break;

  case 252: /* switch_body: switch_body switch_items ':' cmds_scoped  */
#line 676 "filter/config.Y"
                                             {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 7887 "obj/conf/cf-parse.tab.c"
    break;

  case 253: /* switch_body: switch_body ELSECOL cmds_scoped  */
#line 683 "filter/config.Y"
                                   {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 7899 "obj/conf/cf-parse.tab.c"
    break;

  case 254: /* bgp_path_expr: symbol_value  */
#line 693 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 7905 "obj/conf/cf-parse.tab.c"
    break;

  case 255: /* bgp_path_expr: '(' term ')'  */
#line 694 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 7911 "obj/conf/cf-parse.tab.c"
    break;

  case 256: /* bgp_path: PO bgp_path_tail PC  */
#line 698 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 7917 "obj/conf/cf-parse.tab.c"
    break;

  case 257: /* bgp_path_tail: NUM bgp_path_tail  */
#line 702 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 7923 "obj/conf/cf-parse.tab.c"
    break;

  case 258: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 703 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7929 "obj/conf/cf-parse.tab.c"
    break;

  case 259: /* bgp_path_tail: '[' ']' bgp_path_tail  */
#line 704 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7935 "obj/conf/cf-parse.tab.c"
    break;

  case 260: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 705 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 7944 "obj/conf/cf-parse.tab.c"
    break;

  case 261: /* bgp_path_tail: '*' bgp_path_tail  */
#line 709 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7950 "obj/conf/cf-parse.tab.c"
    break;

  case 262: /* bgp_path_tail: '?' bgp_path_tail  */
#line 710 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7956 "obj/conf/cf-parse.tab.c"
    break;

  case 263: /* bgp_path_tail: '+' bgp_path_tail  */
#line 711 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 7962 "obj/conf/cf-parse.tab.c"
    break;

  case 264: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 712 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 7968 "obj/conf/cf-parse.tab.c"
    break;

  case 265: /* bgp_path_tail: %empty  */
#line 713 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 7974 "obj/conf/cf-parse.tab.c"
    break;

  case 266: /* constant: NUM  */
#line 717 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 7980 "obj/conf/cf-parse.tab.c"
    break;

  case 267: /* constant: TRUE  */
#line 718 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 7986 "obj/conf/cf-parse.tab.c"
    break;

  case 268: /* constant: FALSE  */
#line 719 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 7992 "obj/conf/cf-parse.tab.c"
    break;

  case 269: /* constant: TEXT  */
#line 720 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 7998 "obj/conf/cf-parse.tab.c"
    break;

  case 270: /* constant: fipa  */
#line 721 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 8004 "obj/conf/cf-parse.tab.c"
    break;

  case 271: /* constant: VPN_RD  */
#line 722 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 8010 "obj/conf/cf-parse.tab.c"
    break;

  case 272: /* constant: net_  */
#line 723 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 8016 "obj/conf/cf-parse.tab.c"
    break;

  case 273: /* constant: '[' ']'  */
#line 724 "filter/config.Y"
           { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 8022 "obj/conf/cf-parse.tab.c"
    break;

  case 274: /* constant: '[' set_items ']'  */
#line 725 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 8032 "obj/conf/cf-parse.tab.c"
    break;

  case 275: /* constant: '[' fprefix_set ']'  */
#line 730 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 8038 "obj/conf/cf-parse.tab.c"
    break;

  case 276: /* constant: ENUM  */
#line 731 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 8044 "obj/conf/cf-parse.tab.c"
    break;

  case 277: /* constructor: '(' term ',' term ')'  */
#line 735 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8050 "obj/conf/cf-parse.tab.c"
    break;

  case 278: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 736 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 8056 "obj/conf/cf-parse.tab.c"
    break;

  case 279: /* constructor: '(' term ',' term ',' term ')'  */
#line 737 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8062 "obj/conf/cf-parse.tab.c"
    break;

  case 280: /* constructor: bgp_path  */
#line 738 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 8068 "obj/conf/cf-parse.tab.c"
    break;

  case 281: /* var_list: %empty  */
#line 743 "filter/config.Y"
                      { (yyval.x) = NULL; }
#line 8074 "obj/conf/cf-parse.tab.c"
    break;

  case 282: /* var_list: term  */
#line 744 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 8080 "obj/conf/cf-parse.tab.c"
    break;

  case 283: /* var_list: var_list ',' term  */
#line 745 "filter/config.Y"
                     { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 8086 "obj/conf/cf-parse.tab.c"
    break;

  case 284: /* function_call: CF_SYM_KNOWN '(' var_list ')'  */
#line 749 "filter/config.Y"
   {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     /* Revert the var_list */
     struct f_inst *args = NULL;
     while ((yyvsp[-1].x)) {
       struct f_inst *tmp = (yyvsp[-1].x);
       (yyvsp[-1].x) = (yyvsp[-1].x)->next;

       tmp->next = args;
       args = tmp;
     }

     (yyval.x) = f_new_inst(FI_CALL, args, (yyvsp[-3].s));
   }
#line 8107 "obj/conf/cf-parse.tab.c"
    break;

  case 285: /* symbol_value: CF_SYM_KNOWN  */
#line 768 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 8127 "obj/conf/cf-parse.tab.c"
    break;

  case 286: /* static_attr: FROM  */
#line 786 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 8133 "obj/conf/cf-parse.tab.c"
    break;

  case 287: /* static_attr: GW  */
#line 787 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 8139 "obj/conf/cf-parse.tab.c"
    break;

  case 288: /* static_attr: NET  */
#line 788 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 8145 "obj/conf/cf-parse.tab.c"
    break;

  case 289: /* static_attr: PROTO  */
#line 789 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 8151 "obj/conf/cf-parse.tab.c"
    break;

  case 290: /* static_attr: SOURCE  */
#line 790 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 8157 "obj/conf/cf-parse.tab.c"
    break;

  case 291: /* static_attr: SCOPE  */
#line 791 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 8163 "obj/conf/cf-parse.tab.c"
    break;

  case 292: /* static_attr: DEST  */
#line 792 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 8169 "obj/conf/cf-parse.tab.c"
    break;

  case 293: /* static_attr: IFNAME  */
#line 793 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 8175 "obj/conf/cf-parse.tab.c"
    break;

  case 294: /* static_attr: IFINDEX  */
#line 794 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 8181 "obj/conf/cf-parse.tab.c"
    break;

  case 295: /* static_attr: WEIGHT  */
#line 795 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 8187 "obj/conf/cf-parse.tab.c"
    break;

  case 296: /* static_attr: PREFERENCE  */
#line 796 "filter/config.Y"
              { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 8193 "obj/conf/cf-parse.tab.c"
    break;

  case 297: /* static_attr: GW_MPLS  */
#line 797 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 8199 "obj/conf/cf-parse.tab.c"
    break;

  case 298: /* static_attr: ONLINK  */
#line 798 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 8205 "obj/conf/cf-parse.tab.c"
    break;

  case 299: /* term: '(' term ')'  */
#line 802 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 8211 "obj/conf/cf-parse.tab.c"
    break;

  case 300: /* term: term '+' term  */
#line 803 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8217 "obj/conf/cf-parse.tab.c"
    break;

  case 301: /* term: term '-' term  */
#line 804 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8223 "obj/conf/cf-parse.tab.c"
    break;

  case 302: /* term: term '*' term  */
#line 805 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8229 "obj/conf/cf-parse.tab.c"
    break;

  case 303: /* term: term '/' term  */
#line 806 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8235 "obj/conf/cf-parse.tab.c"
    break;

  case 304: /* term: term AND term  */
#line 807 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8241 "obj/conf/cf-parse.tab.c"
    break;

  case 305: /* term: term OR term  */
#line 808 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8247 "obj/conf/cf-parse.tab.c"
    break;

  case 306: /* term: term '=' term  */
#line 809 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8253 "obj/conf/cf-parse.tab.c"
    break;

  case 307: /* term: term NEQ term  */
#line 810 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8259 "obj/conf/cf-parse.tab.c"
    break;

  case 308: /* term: term '<' term  */
#line 811 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8265 "obj/conf/cf-parse.tab.c"
    break;

  case 309: /* term: term LEQ term  */
#line 812 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8271 "obj/conf/cf-parse.tab.c"
    break;

  case 310: /* term: term '>' term  */
#line 813 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8277 "obj/conf/cf-parse.tab.c"
    break;

  case 311: /* term: term GEQ term  */
#line 814 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 8283 "obj/conf/cf-parse.tab.c"
    break;

  case 312: /* term: term '~' term  */
#line 815 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8289 "obj/conf/cf-parse.tab.c"
    break;

  case 313: /* term: term NMA term  */
#line 816 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 8295 "obj/conf/cf-parse.tab.c"
    break;

  case 314: /* term: '!' term  */
#line 817 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 8301 "obj/conf/cf-parse.tab.c"
    break;

  case 315: /* term: DEFINED '(' term ')'  */
#line 818 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 8307 "obj/conf/cf-parse.tab.c"
    break;

  case 316: /* term: symbol_value  */
#line 820 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 8313 "obj/conf/cf-parse.tab.c"
    break;

  case 317: /* term: constant  */
#line 821 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 8319 "obj/conf/cf-parse.tab.c"
    break;

  case 318: /* term: constructor  */
#line 822 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 8325 "obj/conf/cf-parse.tab.c"
    break;

  case 319: /* term: static_attr  */
#line 824 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, (yyvsp[0].fsa)); }
#line 8331 "obj/conf/cf-parse.tab.c"
    break;

  case 320: /* term: dynamic_attr  */
#line 826 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, (yyvsp[0].fda)); }
#line 8337 "obj/conf/cf-parse.tab.c"
    break;

  case 321: /* term: term '.' IS_V4  */
#line 828 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_IS_V4, (yyvsp[-2].x)); }
#line 8343 "obj/conf/cf-parse.tab.c"
    break;

  case 322: /* term: term '.' TYPE  */
#line 829 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_TYPE, (yyvsp[-2].x)); }
#line 8349 "obj/conf/cf-parse.tab.c"
    break;

  case 323: /* term: term '.' IP  */
#line 830 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_IP, (yyvsp[-2].x)); }
#line 8355 "obj/conf/cf-parse.tab.c"
    break;

  case 324: /* term: term '.' RD  */
#line 831 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_ROUTE_DISTINGUISHER, (yyvsp[-2].x)); }
#line 8361 "obj/conf/cf-parse.tab.c"
    break;

  case 325: /* term: term '.' LEN  */
#line 832 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_LENGTH, (yyvsp[-2].x)); }
#line 8367 "obj/conf/cf-parse.tab.c"
    break;

  case 326: /* term: term '.' MAXLEN  */
#line 833 "filter/config.Y"
                   { (yyval.x) = f_new_inst(FI_ROA_MAXLEN, (yyvsp[-2].x)); }
#line 8373 "obj/conf/cf-parse.tab.c"
    break;

  case 327: /* term: term '.' ASN  */
#line 834 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_ASN, (yyvsp[-2].x)); }
#line 8379 "obj/conf/cf-parse.tab.c"
    break;

  case 328: /* term: term '.' SRC  */
#line 835 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_SRC, (yyvsp[-2].x)); }
#line 8385 "obj/conf/cf-parse.tab.c"
    break;

  case 329: /* term: term '.' DST  */
#line 836 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_NET_DST, (yyvsp[-2].x)); }
#line 8391 "obj/conf/cf-parse.tab.c"
    break;

  case 330: /* term: term '.' MASK '(' term ')'  */
#line 837 "filter/config.Y"
                              { (yyval.x) = f_new_inst(FI_IP_MASK, (yyvsp[-5].x), (yyvsp[-1].x)); }
#line 8397 "obj/conf/cf-parse.tab.c"
    break;

  case 331: /* term: term '.' FIRST  */
#line 838 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_FIRST, (yyvsp[-2].x)); }
#line 8403 "obj/conf/cf-parse.tab.c"
    break;

  case 332: /* term: term '.' LAST  */
#line 839 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_AS_PATH_LAST, (yyvsp[-2].x)); }
#line 8409 "obj/conf/cf-parse.tab.c"
    break;

  case 333: /* term: term '.' LAST_NONAGGREGATED  */
#line 840 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_AS_PATH_LAST_NAG, (yyvsp[-2].x)); }
#line 8415 "obj/conf/cf-parse.tab.c"
    break;

  case 334: /* term: term '.' DATA  */
#line 841 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_PAIR_DATA, (yyvsp[-2].x)); }
#line 8421 "obj/conf/cf-parse.tab.c"
    break;

  case 335: /* term: term '.' DATA1  */
#line 842 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_LC_DATA1, (yyvsp[-2].x)); }
#line 8427 "obj/conf/cf-parse.tab.c"
    break;

  case 336: /* term: term '.' DATA2  */
#line 843 "filter/config.Y"
                  { (yyval.x) = f_new_inst(FI_LC_DATA2, (yyvsp[-2].x)); }
#line 8433 "obj/conf/cf-parse.tab.c"
    break;

  case 337: /* term: term '.' MIN  */
#line 844 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_MIN, (yyvsp[-2].x)); }
#line 8439 "obj/conf/cf-parse.tab.c"
    break;

  case 338: /* term: term '.' MAX  */
#line 845 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_MAX, (yyvsp[-2].x)); }
#line 8445 "obj/conf/cf-parse.tab.c"
    break;

  case 339: /* term: '+' EMPTY '+'  */
#line 855 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_path); }
#line 8451 "obj/conf/cf-parse.tab.c"
    break;

  case 340: /* term: '-' EMPTY '-'  */
#line 856 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_clist); }
#line 8457 "obj/conf/cf-parse.tab.c"
    break;

  case 341: /* term: '-' '-' EMPTY '-' '-'  */
#line 857 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_eclist); }
#line 8463 "obj/conf/cf-parse.tab.c"
    break;

  case 342: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 858 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, f_const_empty_lclist); }
#line 8469 "obj/conf/cf-parse.tab.c"
    break;

  case 343: /* term: PREPEND '(' term ',' term ')'  */
#line 859 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_PATH_PREPEND, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8475 "obj/conf/cf-parse.tab.c"
    break;

  case 344: /* term: ADD '(' term ',' term ')'  */
#line 860 "filter/config.Y"
                             { (yyval.x) = f_new_inst(FI_CLIST_ADD, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8481 "obj/conf/cf-parse.tab.c"
    break;

  case 345: /* term: DELETE '(' term ',' term ')'  */
#line 861 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_DEL, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8487 "obj/conf/cf-parse.tab.c"
    break;

  case 346: /* term: FILTER '(' term ',' term ')'  */
#line 862 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CLIST_FILTER, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 8493 "obj/conf/cf-parse.tab.c"
    break;

  case 347: /* term: ROA_CHECK '(' rtable ')'  */
#line 864 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 8499 "obj/conf/cf-parse.tab.c"
    break;

  case 348: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 865 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 8505 "obj/conf/cf-parse.tab.c"
    break;

  case 349: /* term: FORMAT '(' term ')'  */
#line 867 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 8511 "obj/conf/cf-parse.tab.c"
    break;

  case 351: /* break_command: ACCEPT  */
#line 875 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 8517 "obj/conf/cf-parse.tab.c"
    break;

  case 352: /* break_command: REJECT  */
#line 876 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 8523 "obj/conf/cf-parse.tab.c"
    break;

  case 353: /* break_command: ERROR  */
#line 877 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 8529 "obj/conf/cf-parse.tab.c"
    break;

  case 354: /* print_list: %empty  */
#line 880 "filter/config.Y"
                        { (yyval.x) = NULL; }
#line 8535 "obj/conf/cf-parse.tab.c"
    break;

  case 355: /* print_list: term  */
#line 881 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 8541 "obj/conf/cf-parse.tab.c"
    break;

  case 356: /* print_list: term ',' print_list  */
#line 882 "filter/config.Y"
                       {
     ASSERT((yyvsp[-2].x));
     ASSERT((yyvsp[-2].x)->next == NULL);
     (yyvsp[-2].x)->next = (yyvsp[0].x);
     (yyval.x) = (yyvsp[-2].x);
   }
#line 8552 "obj/conf/cf-parse.tab.c"
    break;

  case 357: /* var_init: %empty  */
#line 891 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { }); }
#line 8558 "obj/conf/cf-parse.tab.c"
    break;

  case 358: /* var_init: '=' term  */
#line 892 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 8564 "obj/conf/cf-parse.tab.c"
    break;

  case 359: /* var: type symbol var_init ';'  */
#line 896 "filter/config.Y"
                            {
     struct symbol *sym = cf_define_symbol((yyvsp[-2].s), SYM_VARIABLE | (yyvsp[-3].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 8573 "obj/conf/cf-parse.tab.c"
    break;

  case 360: /* for_var: type symbol  */
#line 902 "filter/config.Y"
               { (yyval.s) = cf_define_symbol((yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 8579 "obj/conf/cf-parse.tab.c"
    break;

  case 361: /* for_var: CF_SYM_KNOWN  */
#line 903 "filter/config.Y"
                { (yyval.s) = (yyvsp[0].s); cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); }
#line 8585 "obj/conf/cf-parse.tab.c"
    break;

  case 362: /* cmd: '{' cmds_scoped '}'  */
#line 907 "filter/config.Y"
                       {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 8593 "obj/conf/cf-parse.tab.c"
    break;

  case 363: /* cmd: IF term THEN cmd  */
#line 910 "filter/config.Y"
                    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 8601 "obj/conf/cf-parse.tab.c"
    break;

  case 364: /* cmd: IF term THEN cmd ELSE cmd  */
#line 913 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 8609 "obj/conf/cf-parse.tab.c"
    break;

  case 365: /* $@6: %empty  */
#line 916 "filter/config.Y"
       {
     /* Reserve space for walk data on stack */
     cf_push_block_scope();
     conf_this_scope->slots += 2;
   }
#line 8619 "obj/conf/cf-parse.tab.c"
    break;

  case 366: /* $@7: %empty  */
#line 922 "filter/config.Y"
   { conf_this_scope->active = 0; }
#line 8625 "obj/conf/cf-parse.tab.c"
    break;

  case 367: /* $@8: %empty  */
#line 922 "filter/config.Y"
                                         { conf_this_scope->active = 1; }
#line 8631 "obj/conf/cf-parse.tab.c"
    break;

  case 368: /* cmd: FOR $@6 for_var IN $@7 term $@8 DO cmd  */
#line 923 "filter/config.Y"
          {
     cf_pop_block_scope();
     (yyval.x) = f_new_inst(FI_FOR_INIT, (yyvsp[-3].x), (yyvsp[-6].s));
     (yyval.x)->next = f_new_inst(FI_FOR_NEXT, (yyvsp[-6].s), (yyvsp[0].x));
   }
#line 8641 "obj/conf/cf-parse.tab.c"
    break;

  case 369: /* cmd: CF_SYM_KNOWN '=' term ';'  */
#line 928 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 8658 "obj/conf/cf-parse.tab.c"
    break;

  case 370: /* cmd: RETURN term ';'  */
#line 940 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 8667 "obj/conf/cf-parse.tab.c"
    break;

  case 371: /* cmd: dynamic_attr '=' term ';'  */
#line 944 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 8675 "obj/conf/cf-parse.tab.c"
    break;

  case 372: /* cmd: static_attr '=' term ';'  */
#line 947 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 8685 "obj/conf/cf-parse.tab.c"
    break;

  case 373: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 952 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 8693 "obj/conf/cf-parse.tab.c"
    break;

  case 374: /* cmd: break_command print_list ';'  */
#line 955 "filter/config.Y"
                                {
    struct f_inst *breaker = f_new_inst(FI_DIE, (yyvsp[-2].fret));
    if ((yyvsp[-1].x)) {
      struct f_inst *printer = f_new_inst(FI_PRINT, (yyvsp[-1].x));
      struct f_inst *flusher = f_new_inst(FI_FLUSH);
      printer->next = flusher;
      flusher->next = breaker;
      (yyval.x) = printer;
    } else
      (yyval.x) = breaker;
   }
#line 8709 "obj/conf/cf-parse.tab.c"
    break;

  case 375: /* cmd: PRINT print_list ';'  */
#line 966 "filter/config.Y"
                        {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
    (yyval.x)->next = f_new_inst(FI_FLUSH);
   }
#line 8718 "obj/conf/cf-parse.tab.c"
    break;

  case 376: /* cmd: PRINTN print_list ';'  */
#line 970 "filter/config.Y"
                         {
    (yyval.x) = f_new_inst(FI_PRINT, (yyvsp[-1].x));
   }
#line 8726 "obj/conf/cf-parse.tab.c"
    break;

  case 377: /* cmd: function_call ';'  */
#line 973 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 8732 "obj/conf/cf-parse.tab.c"
    break;

  case 378: /* cmd: CASE term '{' switch_body '}'  */
#line 974 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 8740 "obj/conf/cf-parse.tab.c"
    break;

  case 379: /* cmd: dynamic_attr '.' EMPTY ';'  */
#line 978 "filter/config.Y"
                              { (yyval.x) = f_generate_empty((yyvsp[-3].fda)); }
#line 8746 "obj/conf/cf-parse.tab.c"
    break;

  case 380: /* cmd: dynamic_attr '.' PREPEND '(' term ')' ';'  */
#line 979 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_PATH_PREPEND, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8752 "obj/conf/cf-parse.tab.c"
    break;

  case 381: /* cmd: dynamic_attr '.' ADD '(' term ')' ';'  */
#line 980 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_ADD, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8758 "obj/conf/cf-parse.tab.c"
    break;

  case 382: /* cmd: dynamic_attr '.' DELETE '(' term ')' ';'  */
#line 981 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_DEL, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8764 "obj/conf/cf-parse.tab.c"
    break;

  case 383: /* cmd: dynamic_attr '.' FILTER '(' term ')' ';'  */
#line 982 "filter/config.Y"
                                               { (yyval.x) = f_generate_complex( FI_CLIST_FILTER, (yyvsp[-6].fda), (yyvsp[-2].x) ); }
#line 8770 "obj/conf/cf-parse.tab.c"
    break;

  case 384: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 983 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 8776 "obj/conf/cf-parse.tab.c"
    break;

  case 385: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 984 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 8782 "obj/conf/cf-parse.tab.c"
    break;

  case 386: /* get_cf_position: %empty  */
#line 988 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 8790 "obj/conf/cf-parse.tab.c"
    break;

  case 387: /* lvalue: CF_SYM_KNOWN  */
#line 993 "filter/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_VARIABLE); (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s) }; }
#line 8796 "obj/conf/cf-parse.tab.c"
    break;

  case 388: /* lvalue: static_attr  */
#line 994 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa) }; }
#line 8802 "obj/conf/cf-parse.tab.c"
    break;

  case 389: /* lvalue: dynamic_attr  */
#line 995 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda) }; }
#line 8808 "obj/conf/cf-parse.tab.c"
    break;

  case 391: /* rtrid: ROUTER ID idval ';'  */
#line 162 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 8814 "obj/conf/cf-parse.tab.c"
    break;

  case 392: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 163 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 8820 "obj/conf/cf-parse.tab.c"
    break;

  case 393: /* idval: NUM  */
#line 167 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 8826 "obj/conf/cf-parse.tab.c"
    break;

  case 394: /* idval: '(' term ')'  */
#line 168 "nest/config.Y"
                { (yyval.i32) = f_eval_int(f_linearize((yyvsp[-1].x), 1)); }
#line 8832 "obj/conf/cf-parse.tab.c"
    break;

  case 395: /* idval: IP4  */
#line 169 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 8838 "obj/conf/cf-parse.tab.c"
    break;

  case 396: /* idval: CF_SYM_KNOWN  */
#line 170 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 8851 "obj/conf/cf-parse.tab.c"
    break;

  case 398: /* hostname_override: HOSTNAME text ';'  */
#line 182 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 8857 "obj/conf/cf-parse.tab.c"
    break;

  case 400: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 186 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 8863 "obj/conf/cf-parse.tab.c"
    break;

  case 401: /* net_type: IPV4  */
#line 192 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 8869 "obj/conf/cf-parse.tab.c"
    break;

  case 402: /* net_type: IPV6  */
#line 193 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 8875 "obj/conf/cf-parse.tab.c"
    break;

  case 403: /* net_type: IPV6 SADR  */
#line 194 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 8881 "obj/conf/cf-parse.tab.c"
    break;

  case 404: /* net_type: VPN4  */
#line 195 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 8887 "obj/conf/cf-parse.tab.c"
    break;

  case 405: /* net_type: VPN6  */
#line 196 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 8893 "obj/conf/cf-parse.tab.c"
    break;

  case 406: /* net_type: ROA4  */
#line 197 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 8899 "obj/conf/cf-parse.tab.c"
    break;

  case 407: /* net_type: ROA6  */
#line 198 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 8905 "obj/conf/cf-parse.tab.c"
    break;

  case 408: /* net_type: FLOW4  */
#line 199 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 8911 "obj/conf/cf-parse.tab.c"
    break;

  case 409: /* net_type: FLOW6  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 8917 "obj/conf/cf-parse.tab.c"
    break;

  case 410: /* net_type: MPLS  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 8923 "obj/conf/cf-parse.tab.c"
    break;

  case 413: /* table_start: net_type TABLE symbol  */
#line 213 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 8931 "obj/conf/cf-parse.tab.c"
    break;

  case 415: /* table_sorted: SORTED  */
#line 220 "nest/config.Y"
          { this_table->sorted = 1; }
#line 8937 "obj/conf/cf-parse.tab.c"
    break;

  case 416: /* table_opt: SORTED bool  */
#line 224 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 8943 "obj/conf/cf-parse.tab.c"
    break;

  case 417: /* table_opt: TRIE bool  */
#line 225 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 8953 "obj/conf/cf-parse.tab.c"
    break;

  case 418: /* table_opt: MIN SETTLE TIME expr_us  */
#line 230 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 8959 "obj/conf/cf-parse.tab.c"
    break;

  case 419: /* table_opt: MAX SETTLE TIME expr_us  */
#line 231 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 8965 "obj/conf/cf-parse.tab.c"
    break;

  case 420: /* table_opt: GC THRESHOLD expr  */
#line 232 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 8971 "obj/conf/cf-parse.tab.c"
    break;

  case 421: /* table_opt: GC PERIOD expr_us  */
#line 233 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 8977 "obj/conf/cf-parse.tab.c"
    break;

  case 426: /* conf: proto  */
#line 249 "nest/config.Y"
            { proto_postconfig(); }
#line 8983 "obj/conf/cf-parse.tab.c"
    break;

  case 427: /* proto_start: PROTOCOL  */
#line 252 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 8989 "obj/conf/cf-parse.tab.c"
    break;

  case 428: /* proto_start: TEMPLATE  */
#line 253 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 8995 "obj/conf/cf-parse.tab.c"
    break;

  case 429: /* proto_name: %empty  */
#line 257 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 9006 "obj/conf/cf-parse.tab.c"
    break;

  case 430: /* proto_name: symbol  */
#line 263 "nest/config.Y"
          {
     cf_define_symbol((yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 9015 "obj/conf/cf-parse.tab.c"
    break;

  case 431: /* proto_name: FROM CF_SYM_KNOWN  */
#line 267 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 9030 "obj/conf/cf-parse.tab.c"
    break;

  case 432: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 277 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol((yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 9043 "obj/conf/cf-parse.tab.c"
    break;

  case 434: /* proto_item: DISABLED bool  */
#line 289 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 9049 "obj/conf/cf-parse.tab.c"
    break;

  case 435: /* proto_item: DEBUG debug_mask  */
#line 290 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 9055 "obj/conf/cf-parse.tab.c"
    break;

  case 436: /* proto_item: MRTDUMP mrtdump_mask  */
#line 291 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 9061 "obj/conf/cf-parse.tab.c"
    break;

  case 437: /* proto_item: ROUTER ID idval  */
#line 292 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 9067 "obj/conf/cf-parse.tab.c"
    break;

  case 438: /* proto_item: DESCRIPTION text  */
#line 293 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 9073 "obj/conf/cf-parse.tab.c"
    break;

  case 439: /* proto_item: VRF text  */
#line 294 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 9079 "obj/conf/cf-parse.tab.c"
    break;

  case 440: /* proto_item: VRF DEFAULT  */
#line 295 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 9085 "obj/conf/cf-parse.tab.c"
    break;

  case 441: /* channel_start: net_type  */
#line 300 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 9093 "obj/conf/cf-parse.tab.c"
    break;

  case 442: /* channel_item_: TABLE rtable  */
#line 305 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 9103 "obj/conf/cf-parse.tab.c"
    break;

  case 443: /* channel_item_: IMPORT imexport  */
#line 310 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 9109 "obj/conf/cf-parse.tab.c"
    break;

  case 444: /* channel_item_: EXPORT imexport  */
#line 311 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 9115 "obj/conf/cf-parse.tab.c"
    break;

  case 445: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 312 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 9121 "obj/conf/cf-parse.tab.c"
    break;

  case 446: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 313 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 9127 "obj/conf/cf-parse.tab.c"
    break;

  case 447: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 314 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 9133 "obj/conf/cf-parse.tab.c"
    break;

  case 448: /* channel_item_: PREFERENCE expr  */
#line 315 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 9139 "obj/conf/cf-parse.tab.c"
    break;

  case 449: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 316 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 9145 "obj/conf/cf-parse.tab.c"
    break;

  case 450: /* channel_item_: RPKI RELOAD bool  */
#line 317 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 9151 "obj/conf/cf-parse.tab.c"
    break;

  case 452: /* channel_item: DEBUG debug_mask  */
#line 323 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 9157 "obj/conf/cf-parse.tab.c"
    break;

  case 457: /* channel_end: %empty  */
#line 337 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 9168 "obj/conf/cf-parse.tab.c"
    break;

  case 459: /* rtable: CF_SYM_KNOWN  */
#line 347 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 9174 "obj/conf/cf-parse.tab.c"
    break;

  case 460: /* imexport: FILTER filter  */
#line 350 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 9180 "obj/conf/cf-parse.tab.c"
    break;

  case 462: /* imexport: ALL  */
#line 352 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 9186 "obj/conf/cf-parse.tab.c"
    break;

  case 463: /* imexport: NONE  */
#line 353 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 9192 "obj/conf/cf-parse.tab.c"
    break;

  case 464: /* limit_action: %empty  */
#line 357 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 9198 "obj/conf/cf-parse.tab.c"
    break;

  case 465: /* limit_action: ACTION WARN  */
#line 358 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 9204 "obj/conf/cf-parse.tab.c"
    break;

  case 466: /* limit_action: ACTION BLOCK  */
#line 359 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 9210 "obj/conf/cf-parse.tab.c"
    break;

  case 467: /* limit_action: ACTION RESTART  */
#line 360 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 9216 "obj/conf/cf-parse.tab.c"
    break;

  case 468: /* limit_action: ACTION DISABLE  */
#line 361 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 9222 "obj/conf/cf-parse.tab.c"
    break;

  case 469: /* limit_spec: expr limit_action  */
#line 365 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 9228 "obj/conf/cf-parse.tab.c"
    break;

  case 470: /* limit_spec: OFF  */
#line 366 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 9234 "obj/conf/cf-parse.tab.c"
    break;

  case 472: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 373 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 9240 "obj/conf/cf-parse.tab.c"
    break;

  case 473: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 374 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 9246 "obj/conf/cf-parse.tab.c"
    break;

  case 474: /* debug_default: DEBUG COMMANDS expr  */
#line 375 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 9252 "obj/conf/cf-parse.tab.c"
    break;

  case 476: /* timeformat_which: ROUTE  */
#line 383 "nest/config.Y"
         { (yyval.tf) = &new_config->tf_route; }
#line 9258 "obj/conf/cf-parse.tab.c"
    break;

  case 477: /* timeformat_which: PROTOCOL  */
#line 384 "nest/config.Y"
            { (yyval.tf) = &new_config->tf_proto; }
#line 9264 "obj/conf/cf-parse.tab.c"
    break;

  case 478: /* timeformat_which: BASE  */
#line 385 "nest/config.Y"
        { (yyval.tf) = &new_config->tf_base; }
#line 9270 "obj/conf/cf-parse.tab.c"
    break;

  case 479: /* timeformat_which: LOG  */
#line 386 "nest/config.Y"
       { (yyval.tf) = &new_config->tf_log; }
#line 9276 "obj/conf/cf-parse.tab.c"
    break;

  case 480: /* timeformat_spec: timeformat_which TEXT  */
#line 390 "nest/config.Y"
                         { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 9282 "obj/conf/cf-parse.tab.c"
    break;

  case 481: /* timeformat_spec: timeformat_which TEXT expr TEXT  */
#line 391 "nest/config.Y"
                                   { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 9288 "obj/conf/cf-parse.tab.c"
    break;

  case 482: /* timeformat_spec: timeformat_which ISO SHORT  */
#line 392 "nest/config.Y"
                                 { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 9294 "obj/conf/cf-parse.tab.c"
    break;

  case 483: /* timeformat_spec: timeformat_which ISO SHORT MS  */
#line 393 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 9300 "obj/conf/cf-parse.tab.c"
    break;

  case 484: /* timeformat_spec: timeformat_which ISO SHORT US  */
#line 394 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 9306 "obj/conf/cf-parse.tab.c"
    break;

  case 485: /* timeformat_spec: timeformat_which ISO LONG  */
#line 395 "nest/config.Y"
                                { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 9312 "obj/conf/cf-parse.tab.c"
    break;

  case 486: /* timeformat_spec: timeformat_which ISO LONG MS  */
#line 396 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 9318 "obj/conf/cf-parse.tab.c"
    break;

  case 487: /* timeformat_spec: timeformat_which ISO LONG US  */
#line 397 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 9324 "obj/conf/cf-parse.tab.c"
    break;

  case 489: /* iface_patt_node_init: %empty  */
#line 408 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 9334 "obj/conf/cf-parse.tab.c"
    break;

  case 490: /* iface_patt_node_body: TEXT  */
#line 416 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 9340 "obj/conf/cf-parse.tab.c"
    break;

  case 491: /* iface_patt_node_body: opttext net_or_ipa  */
#line 417 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 9346 "obj/conf/cf-parse.tab.c"
    break;

  case 492: /* iface_negate: %empty  */
#line 421 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 9352 "obj/conf/cf-parse.tab.c"
    break;

  case 493: /* iface_negate: '-'  */
#line 422 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 9358 "obj/conf/cf-parse.tab.c"
    break;

  case 497: /* iface_patt_list_nopx: iface_patt_list  */
#line 436 "nest/config.Y"
                                      { iface_patt_check(); }
#line 9364 "obj/conf/cf-parse.tab.c"
    break;

  case 498: /* iface_patt_init: %empty  */
#line 438 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 9374 "obj/conf/cf-parse.tab.c"
    break;

  case 500: /* tos: CLASS expr  */
#line 450 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 9380 "obj/conf/cf-parse.tab.c"
    break;

  case 501: /* tos: DSCP expr  */
#line 451 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 9386 "obj/conf/cf-parse.tab.c"
    break;

  case 503: /* dev_proto_start: proto_start DIRECT  */
#line 458 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 9395 "obj/conf/cf-parse.tab.c"
    break;

  case 508: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 469 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 9401 "obj/conf/cf-parse.tab.c"
    break;

  case 509: /* dev_iface_init: %empty  */
#line 473 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 9411 "obj/conf/cf-parse.tab.c"
    break;

  case 511: /* debug_mask: ALL  */
#line 487 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9417 "obj/conf/cf-parse.tab.c"
    break;

  case 512: /* debug_mask: OFF  */
#line 488 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9423 "obj/conf/cf-parse.tab.c"
    break;

  case 513: /* debug_mask: '{' debug_list '}'  */
#line 489 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 9429 "obj/conf/cf-parse.tab.c"
    break;

  case 515: /* debug_list: debug_list ',' debug_flag  */
#line 494 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9435 "obj/conf/cf-parse.tab.c"
    break;

  case 516: /* debug_flag: STATES  */
#line 498 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 9441 "obj/conf/cf-parse.tab.c"
    break;

  case 517: /* debug_flag: ROUTES  */
#line 499 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 9447 "obj/conf/cf-parse.tab.c"
    break;

  case 518: /* debug_flag: FILTERS  */
#line 500 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 9453 "obj/conf/cf-parse.tab.c"
    break;

  case 519: /* debug_flag: INTERFACES  */
#line 501 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 9459 "obj/conf/cf-parse.tab.c"
    break;

  case 520: /* debug_flag: EVENTS  */
#line 502 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 9465 "obj/conf/cf-parse.tab.c"
    break;

  case 521: /* debug_flag: PACKETS  */
#line 503 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 9471 "obj/conf/cf-parse.tab.c"
    break;

  case 522: /* mrtdump_mask: ALL  */
#line 509 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 9477 "obj/conf/cf-parse.tab.c"
    break;

  case 523: /* mrtdump_mask: OFF  */
#line 510 "nest/config.Y"
       { (yyval.i) = 0; }
#line 9483 "obj/conf/cf-parse.tab.c"
    break;

  case 524: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 511 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 9489 "obj/conf/cf-parse.tab.c"
    break;

  case 526: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 516 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 9495 "obj/conf/cf-parse.tab.c"
    break;

  case 527: /* mrtdump_flag: STATES  */
#line 520 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 9501 "obj/conf/cf-parse.tab.c"
    break;

  case 528: /* mrtdump_flag: MESSAGES  */
#line 521 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 9507 "obj/conf/cf-parse.tab.c"
    break;

  case 538: /* password_item_begin: pass_key text  */
#line 548 "nest/config.Y"
                  { init_password_list(); init_password((yyvsp[0].t), strlen((yyvsp[0].t)), password_id++); }
#line 9513 "obj/conf/cf-parse.tab.c"
    break;

  case 539: /* password_item_begin: pass_key BYTESTRING  */
#line 549 "nest/config.Y"
                        { init_password_list(); init_password((yyvsp[0].bs)->data, (yyvsp[0].bs)->length, password_id++); }
#line 9519 "obj/conf/cf-parse.tab.c"
    break;

  case 540: /* password_item_params: %empty  */
#line 553 "nest/config.Y"
               { }
#line 9525 "obj/conf/cf-parse.tab.c"
    break;

  case 541: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 554 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 9531 "obj/conf/cf-parse.tab.c"
    break;

  case 542: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 555 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 9537 "obj/conf/cf-parse.tab.c"
    break;

  case 543: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 556 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 9543 "obj/conf/cf-parse.tab.c"
    break;

  case 544: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 557 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 9549 "obj/conf/cf-parse.tab.c"
    break;

  case 545: /* password_item_params: FROM time ';' password_item_params  */
#line 558 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 9555 "obj/conf/cf-parse.tab.c"
    break;

  case 546: /* password_item_params: TO time ';' password_item_params  */
#line 559 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 9561 "obj/conf/cf-parse.tab.c"
    break;

  case 547: /* password_item_params: ID expr ';' password_item_params  */
#line 560 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 9567 "obj/conf/cf-parse.tab.c"
    break;

  case 548: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 561 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 9573 "obj/conf/cf-parse.tab.c"
    break;

  case 549: /* password_algorithm: KEYED MD5  */
#line 565 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 9579 "obj/conf/cf-parse.tab.c"
    break;

  case 550: /* password_algorithm: KEYED SHA1  */
#line 566 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 9585 "obj/conf/cf-parse.tab.c"
    break;

  case 551: /* password_algorithm: KEYED SHA256  */
#line 567 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 9591 "obj/conf/cf-parse.tab.c"
    break;

  case 552: /* password_algorithm: KEYED SHA384  */
#line 568 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 9597 "obj/conf/cf-parse.tab.c"
    break;

  case 553: /* password_algorithm: KEYED SHA512  */
#line 569 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 9603 "obj/conf/cf-parse.tab.c"
    break;

  case 554: /* password_algorithm: HMAC MD5  */
#line 570 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 9609 "obj/conf/cf-parse.tab.c"
    break;

  case 555: /* password_algorithm: HMAC SHA1  */
#line 571 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 9615 "obj/conf/cf-parse.tab.c"
    break;

  case 556: /* password_algorithm: HMAC SHA256  */
#line 572 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 9621 "obj/conf/cf-parse.tab.c"
    break;

  case 557: /* password_algorithm: HMAC SHA384  */
#line 573 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 9627 "obj/conf/cf-parse.tab.c"
    break;

  case 558: /* password_algorithm: HMAC SHA512  */
#line 574 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 9633 "obj/conf/cf-parse.tab.c"
    break;

  case 559: /* password_algorithm: BLAKE2S128  */
#line 575 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 9639 "obj/conf/cf-parse.tab.c"
    break;

  case 560: /* password_algorithm: BLAKE2S256  */
#line 576 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 9645 "obj/conf/cf-parse.tab.c"
    break;

  case 561: /* password_algorithm: BLAKE2B256  */
#line 577 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 9651 "obj/conf/cf-parse.tab.c"
    break;

  case 562: /* password_algorithm: BLAKE2B512  */
#line 578 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 9657 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* password_item_end: %empty  */
#line 582 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 9665 "obj/conf/cf-parse.tab.c"
    break;

  case 564: /* bfd_item: INTERVAL expr_us  */
#line 590 "nest/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9671 "obj/conf/cf-parse.tab.c"
    break;

  case 565: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 591 "nest/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 9677 "obj/conf/cf-parse.tab.c"
    break;

  case 566: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 592 "nest/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 9683 "obj/conf/cf-parse.tab.c"
    break;

  case 567: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 593 "nest/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 9689 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* bfd_item: MULTIPLIER expr  */
#line 594 "nest/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 9695 "obj/conf/cf-parse.tab.c"
    break;

  case 569: /* bfd_item: PASSIVE bool  */
#line 595 "nest/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 9701 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* bfd_item: GRACEFUL  */
#line 596 "nest/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 9707 "obj/conf/cf-parse.tab.c"
    break;

  case 575: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 612 "nest/config.Y"
{ cmd_show_status(); }
#line 9713 "obj/conf/cf-parse.tab.c"
    break;

  case 577: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 615 "nest/config.Y"
{ cmd_show_memory(); }
#line 9719 "obj/conf/cf-parse.tab.c"
    break;

  case 579: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 618 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 9725 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 621 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 9731 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* optproto: CF_SYM_KNOWN  */
#line 624 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 9737 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* optproto: %empty  */
#line 625 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 9743 "obj/conf/cf-parse.tab.c"
    break;

  case 585: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 629 "nest/config.Y"
{ if_show(); }
#line 9749 "obj/conf/cf-parse.tab.c"
    break;

  case 587: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 632 "nest/config.Y"
{ if_show_summary(); }
#line 9755 "obj/conf/cf-parse.tab.c"
    break;

  case 589: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 636 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 9761 "obj/conf/cf-parse.tab.c"
    break;

  case 590: /* r_args: %empty  */
#line 639 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = new_config->fallback;
   }
#line 9772 "obj/conf/cf-parse.tab.c"
    break;

  case 591: /* r_args: r_args net_any  */
#line 645 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 9783 "obj/conf/cf-parse.tab.c"
    break;

  case 592: /* r_args: r_args FOR r_args_for  */
#line 651 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 9794 "obj/conf/cf-parse.tab.c"
    break;

  case 593: /* r_args: r_args IN net_any  */
#line 657 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 9806 "obj/conf/cf-parse.tab.c"
    break;

  case 594: /* r_args: r_args TABLE CF_SYM_KNOWN  */
#line 664 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9817 "obj/conf/cf-parse.tab.c"
    break;

  case 595: /* r_args: r_args TABLE ALL  */
#line 670 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 9829 "obj/conf/cf-parse.tab.c"
    break;

  case 596: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 677 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9839 "obj/conf/cf-parse.tab.c"
    break;

  case 597: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 682 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 9849 "obj/conf/cf-parse.tab.c"
    break;

  case 598: /* r_args: r_args FILTER filter  */
#line 687 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9859 "obj/conf/cf-parse.tab.c"
    break;

  case 599: /* r_args: r_args where_filter  */
#line 692 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 9869 "obj/conf/cf-parse.tab.c"
    break;

  case 600: /* r_args: r_args ALL  */
#line 697 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 9878 "obj/conf/cf-parse.tab.c"
    break;

  case 601: /* r_args: r_args PRIMARY  */
#line 701 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 9887 "obj/conf/cf-parse.tab.c"
    break;

  case 602: /* r_args: r_args FILTERED  */
#line 705 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 9896 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* r_args: r_args export_mode CF_SYM_KNOWN  */
#line 709 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9911 "obj/conf/cf-parse.tab.c"
    break;

  case 604: /* r_args: r_args export_mode channel_arg  */
#line 719 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9923 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* r_args: r_args PROTOCOL CF_SYM_KNOWN  */
#line 726 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 9937 "obj/conf/cf-parse.tab.c"
    break;

  case 606: /* r_args: r_args STATS  */
#line 735 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 9946 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* r_args: r_args COUNT  */
#line 739 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 9955 "obj/conf/cf-parse.tab.c"
    break;

  case 608: /* r_args_for: r_args_for_val  */
#line 746 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 9964 "obj/conf/cf-parse.tab.c"
    break;

  case 612: /* r_args_for: VPN_RD IP4  */
#line 753 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9973 "obj/conf/cf-parse.tab.c"
    break;

  case 613: /* r_args_for: VPN_RD IP6  */
#line 757 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 9982 "obj/conf/cf-parse.tab.c"
    break;

  case 614: /* r_args_for: IP6 FROM IP6  */
#line 761 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 9991 "obj/conf/cf-parse.tab.c"
    break;

  case 615: /* r_args_for: CF_SYM_KNOWN  */
#line 765 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 10007 "obj/conf/cf-parse.tab.c"
    break;

  case 618: /* r_args_for_val: IP4  */
#line 781 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 10013 "obj/conf/cf-parse.tab.c"
    break;

  case 619: /* r_args_for_val: IP6  */
#line 782 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 10019 "obj/conf/cf-parse.tab.c"
    break;

  case 620: /* export_mode: PREEXPORT  */
#line 785 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 10025 "obj/conf/cf-parse.tab.c"
    break;

  case 621: /* export_mode: EXPORT  */
#line 786 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 10031 "obj/conf/cf-parse.tab.c"
    break;

  case 622: /* export_mode: NOEXPORT  */
#line 787 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 10037 "obj/conf/cf-parse.tab.c"
    break;

  case 623: /* export_mode: EXPORTED  */
#line 788 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 10043 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* channel_sym: IPV4  */
#line 793 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 10049 "obj/conf/cf-parse.tab.c"
    break;

  case 625: /* channel_sym: IPV4_MC  */
#line 794 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 10055 "obj/conf/cf-parse.tab.c"
    break;

  case 626: /* channel_sym: IPV4_MPLS  */
#line 795 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 10061 "obj/conf/cf-parse.tab.c"
    break;

  case 627: /* channel_sym: IPV6  */
#line 796 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 10067 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* channel_sym: IPV6_MC  */
#line 797 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 10073 "obj/conf/cf-parse.tab.c"
    break;

  case 629: /* channel_sym: IPV6_MPLS  */
#line 798 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 10079 "obj/conf/cf-parse.tab.c"
    break;

  case 630: /* channel_sym: IPV6_SADR  */
#line 799 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 10085 "obj/conf/cf-parse.tab.c"
    break;

  case 631: /* channel_sym: VPN4  */
#line 800 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 10091 "obj/conf/cf-parse.tab.c"
    break;

  case 632: /* channel_sym: VPN4_MC  */
#line 801 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 10097 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* channel_sym: VPN4_MPLS  */
#line 802 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 10103 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* channel_sym: VPN6  */
#line 803 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 10109 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* channel_sym: VPN6_MC  */
#line 804 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 10115 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* channel_sym: VPN6_MPLS  */
#line 805 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 10121 "obj/conf/cf-parse.tab.c"
    break;

  case 637: /* channel_sym: ROA4  */
#line 806 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 10127 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* channel_sym: ROA6  */
#line 807 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 10133 "obj/conf/cf-parse.tab.c"
    break;

  case 639: /* channel_sym: FLOW4  */
#line 808 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 10139 "obj/conf/cf-parse.tab.c"
    break;

  case 640: /* channel_sym: FLOW6  */
#line 809 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 10145 "obj/conf/cf-parse.tab.c"
    break;

  case 641: /* channel_sym: MPLS  */
#line 810 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 10151 "obj/conf/cf-parse.tab.c"
    break;

  case 642: /* channel_sym: PRI  */
#line 811 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 10157 "obj/conf/cf-parse.tab.c"
    break;

  case 643: /* channel_sym: SEC  */
#line 812 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 10163 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 816 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 10175 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 827 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 10181 "obj/conf/cf-parse.tab.c"
    break;

  case 647: /* sym_args: %empty  */
#line 830 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 10189 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* sym_args: sym_args TABLE  */
#line 833 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 10195 "obj/conf/cf-parse.tab.c"
    break;

  case 649: /* sym_args: sym_args FUNCTION  */
#line 834 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 10201 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* sym_args: sym_args FILTER  */
#line 835 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 10207 "obj/conf/cf-parse.tab.c"
    break;

  case 651: /* sym_args: sym_args PROTOCOL  */
#line 836 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 10213 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* sym_args: sym_args TEMPLATE  */
#line 837 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 10219 "obj/conf/cf-parse.tab.c"
    break;

  case 653: /* sym_args: sym_args symbol  */
#line 838 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 10225 "obj/conf/cf-parse.tab.c"
    break;

  case 655: /* cmd_DUMP_RESOURCES: DUMP RESOURCES END  */
#line 844 "nest/config.Y"
{ rdump(&root_pool); cli_msg(0, ""); }
#line 10231 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* cmd_DUMP_SOCKETS: DUMP SOCKETS END  */
#line 846 "nest/config.Y"
{ sk_dump_all(); cli_msg(0, ""); }
#line 10237 "obj/conf/cf-parse.tab.c"
    break;

  case 659: /* cmd_DUMP_EVENTS: DUMP EVENTS END  */
#line 848 "nest/config.Y"
{ io_log_dump(); cli_msg(0, ""); }
#line 10243 "obj/conf/cf-parse.tab.c"
    break;

  case 661: /* cmd_DUMP_INTERFACES: DUMP INTERFACES END  */
#line 850 "nest/config.Y"
{ if_dump_all(); cli_msg(0, ""); }
#line 10249 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS END  */
#line 852 "nest/config.Y"
{ neigh_dump_all(); cli_msg(0, ""); }
#line 10255 "obj/conf/cf-parse.tab.c"
    break;

  case 665: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES END  */
#line 854 "nest/config.Y"
{ rta_dump_all(); cli_msg(0, ""); }
#line 10261 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* cmd_DUMP_ROUTES: DUMP ROUTES END  */
#line 856 "nest/config.Y"
{ rt_dump_all(); cli_msg(0, ""); }
#line 10267 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS END  */
#line 858 "nest/config.Y"
{ protos_dump_all(); cli_msg(0, ""); }
#line 10273 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL END  */
#line 860 "nest/config.Y"
{ filters_dump_all(); cli_msg(0, ""); }
#line 10279 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* cmd_EVAL: EVAL term END  */
#line 863 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 10285 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 866 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 10294 "obj/conf/cf-parse.tab.c"
    break;

  case 676: /* echo_mask: ALL  */
#line 872 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 10300 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* echo_mask: OFF  */
#line 873 "nest/config.Y"
       { (yyval.i) = 0; }
#line 10306 "obj/conf/cf-parse.tab.c"
    break;

  case 678: /* echo_mask: '{' log_mask_list '}'  */
#line 874 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 10312 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* echo_size: %empty  */
#line 878 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 10318 "obj/conf/cf-parse.tab.c"
    break;

  case 680: /* echo_size: NUM  */
#line 879 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 10327 "obj/conf/cf-parse.tab.c"
    break;

  case 682: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 886 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10333 "obj/conf/cf-parse.tab.c"
    break;

  case 684: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 888 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10339 "obj/conf/cf-parse.tab.c"
    break;

  case 686: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 890 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 10345 "obj/conf/cf-parse.tab.c"
    break;

  case 688: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 892 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 10351 "obj/conf/cf-parse.tab.c"
    break;

  case 690: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 894 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 10357 "obj/conf/cf-parse.tab.c"
    break;

  case 692: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 896 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 10363 "obj/conf/cf-parse.tab.c"
    break;

  case 694: /* cmd_DEBUG: DEBUG debug_args END  */
#line 900 "nest/config.Y"
{ /* Done in debug_args */  }
#line 10369 "obj/conf/cf-parse.tab.c"
    break;

  case 695: /* debug_args: proto_patt debug_mask  */
#line 903 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 10375 "obj/conf/cf-parse.tab.c"
    break;

  case 696: /* debug_args: channel_arg debug_mask  */
#line 904 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 10381 "obj/conf/cf-parse.tab.c"
    break;

  case 698: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 909 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 10387 "obj/conf/cf-parse.tab.c"
    break;

  case 700: /* cmd_RESTRICT: RESTRICT END  */
#line 912 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 10393 "obj/conf/cf-parse.tab.c"
    break;

  case 701: /* proto_patt: CF_SYM_KNOWN  */
#line 915 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10399 "obj/conf/cf-parse.tab.c"
    break;

  case 702: /* proto_patt: ALL  */
#line 916 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10405 "obj/conf/cf-parse.tab.c"
    break;

  case 703: /* proto_patt: TEXT  */
#line 917 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10411 "obj/conf/cf-parse.tab.c"
    break;

  case 704: /* proto_patt2: CF_SYM_KNOWN  */
#line 921 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 10417 "obj/conf/cf-parse.tab.c"
    break;

  case 705: /* proto_patt2: %empty  */
#line 922 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 10423 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* proto_patt2: TEXT  */
#line 923 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 10429 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* dynamic_attr: IGP_METRIC  */
#line 926 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 10435 "obj/conf/cf-parse.tab.c"
    break;

  case 709: /* bfd_proto_start: proto_start BFD  */
#line 38 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 10447 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* bfd_proto_item: STRICT BIND bool  */
#line 52 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 10453 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* bfd_accept_item: IPV4  */
#line 65 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 10459 "obj/conf/cf-parse.tab.c"
    break;

  case 720: /* bfd_accept_item: IPV6  */
#line 66 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 10465 "obj/conf/cf-parse.tab.c"
    break;

  case 721: /* bfd_accept_item: DIRECT  */
#line 67 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 10471 "obj/conf/cf-parse.tab.c"
    break;

  case 722: /* bfd_accept_item: MULTIHOP  */
#line 68 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 10477 "obj/conf/cf-parse.tab.c"
    break;

  case 723: /* bfd_accept: %empty  */
#line 72 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 10486 "obj/conf/cf-parse.tab.c"
    break;

  case 725: /* bfd_iface_start: %empty  */
#line 80 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 10503 "obj/conf/cf-parse.tab.c"
    break;

  case 726: /* bfd_iface_finish: %empty  */
#line 94 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 10526 "obj/conf/cf-parse.tab.c"
    break;

  case 727: /* bfd_iface_item: INTERVAL expr_us  */
#line 114 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10532 "obj/conf/cf-parse.tab.c"
    break;

  case 728: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 115 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 10538 "obj/conf/cf-parse.tab.c"
    break;

  case 729: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 116 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 10544 "obj/conf/cf-parse.tab.c"
    break;

  case 730: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 117 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 10550 "obj/conf/cf-parse.tab.c"
    break;

  case 731: /* bfd_iface_item: MULTIPLIER expr  */
#line 118 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 10556 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* bfd_iface_item: PASSIVE bool  */
#line 119 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 10562 "obj/conf/cf-parse.tab.c"
    break;

  case 733: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 120 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 10568 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* bfd_iface_item: password_list  */
#line 121 "proto/bfd/config.Y"
                 {}
#line 10574 "obj/conf/cf-parse.tab.c"
    break;

  case 735: /* bfd_auth_type: NONE  */
#line 125 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 10580 "obj/conf/cf-parse.tab.c"
    break;

  case 736: /* bfd_auth_type: SIMPLE  */
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 10586 "obj/conf/cf-parse.tab.c"
    break;

  case 737: /* bfd_auth_type: KEYED MD5  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 10592 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* bfd_auth_type: KEYED SHA1  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 10598 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 129 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 10604 "obj/conf/cf-parse.tab.c"
    break;

  case 740: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 130 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 10610 "obj/conf/cf-parse.tab.c"
    break;

  case 746: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 148 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 10616 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* bfd_neigh_iface: %empty  */
#line 152 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 10622 "obj/conf/cf-parse.tab.c"
    break;

  case 748: /* bfd_neigh_iface: '%' symbol  */
#line 153 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 10628 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* bfd_neigh_iface: DEV text  */
#line 154 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 10634 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* bfd_neigh_local: %empty  */
#line 158 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 10640 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* bfd_neigh_local: LOCAL ipa  */
#line 159 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 10646 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* bfd_neigh_multihop: %empty  */
#line 163 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 10652 "obj/conf/cf-parse.tab.c"
    break;

  case 753: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 164 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 10658 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 168 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 10678 "obj/conf/cf-parse.tab.c"
    break;

  case 756: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS optproto END  */
#line 187 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 10684 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* babel_proto_start: proto_start BABEL  */
#line 36 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 10694 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 46 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 10700 "obj/conf/cf-parse.tab.c"
    break;

  case 766: /* babel_iface_start: %empty  */
#line 59 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 10719 "obj/conf/cf-parse.tab.c"
    break;

  case 767: /* babel_iface_finish: %empty  */
#line 76 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
  }

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 10779 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* babel_iface_item: PORT expr  */
#line 134 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10785 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* babel_iface_item: RXCOST expr  */
#line 135 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 10791 "obj/conf/cf-parse.tab.c"
    break;

  case 771: /* babel_iface_item: LIMIT expr  */
#line 136 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 10797 "obj/conf/cf-parse.tab.c"
    break;

  case 772: /* babel_iface_item: TYPE WIRED  */
#line 137 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 10803 "obj/conf/cf-parse.tab.c"
    break;

  case 773: /* babel_iface_item: TYPE WIRELESS  */
#line 138 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 10809 "obj/conf/cf-parse.tab.c"
    break;

  case 774: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 139 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 10815 "obj/conf/cf-parse.tab.c"
    break;

  case 775: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 140 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 10821 "obj/conf/cf-parse.tab.c"
    break;

  case 776: /* babel_iface_item: RX BUFFER expr  */
#line 141 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 10827 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* babel_iface_item: TX LENGTH expr  */
#line 142 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 10833 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* babel_iface_item: TX tos  */
#line 143 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 10839 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* babel_iface_item: TX PRIORITY expr  */
#line 144 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 10845 "obj/conf/cf-parse.tab.c"
    break;

  case 780: /* babel_iface_item: CHECK LINK bool  */
#line 145 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 10851 "obj/conf/cf-parse.tab.c"
    break;

  case 781: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 146 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 10857 "obj/conf/cf-parse.tab.c"
    break;

  case 782: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 147 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 10863 "obj/conf/cf-parse.tab.c"
    break;

  case 783: /* babel_iface_item: EXTENDED NEXT HOP bool  */
#line 148 "proto/babel/config.Y"
                          { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 10869 "obj/conf/cf-parse.tab.c"
    break;

  case 784: /* babel_iface_item: AUTHENTICATION NONE  */
#line 149 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 10875 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* babel_iface_item: AUTHENTICATION MAC  */
#line 150 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 10881 "obj/conf/cf-parse.tab.c"
    break;

  case 786: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 151 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 10887 "obj/conf/cf-parse.tab.c"
    break;

  case 793: /* dynamic_attr: BABEL_METRIC  */
#line 169 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 10893 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 174 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 10899 "obj/conf/cf-parse.tab.c"
    break;

  case 797: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 177 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 10905 "obj/conf/cf-parse.tab.c"
    break;

  case 799: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 180 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 10911 "obj/conf/cf-parse.tab.c"
    break;

  case 801: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 183 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 10917 "obj/conf/cf-parse.tab.c"
    break;

  case 809: /* bgp_proto_start: proto_start BGP  */
#line 53 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 10952 "obj/conf/cf-parse.tab.c"
    break;

  case 811: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 87 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10958 "obj/conf/cf-parse.tab.c"
    break;

  case 812: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 88 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 10964 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 93 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 10970 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 94 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 10976 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 95 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 10982 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 96 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 10988 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* bgp_cease_mask: bool  */
#line 101 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 10994 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 102 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 11000 "obj/conf/cf-parse.tab.c"
    break;

  case 821: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 107 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11006 "obj/conf/cf-parse.tab.c"
    break;

  case 822: /* bgp_cease_flag: CEASE  */
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 11012 "obj/conf/cf-parse.tab.c"
    break;

  case 823: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 11018 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 11024 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 11030 "obj/conf/cf-parse.tab.c"
    break;

  case 826: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 115 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 11036 "obj/conf/cf-parse.tab.c"
    break;

  case 827: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 116 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 11042 "obj/conf/cf-parse.tab.c"
    break;

  case 828: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 117 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 11048 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 118 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 11054 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 119 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 11060 "obj/conf/cf-parse.tab.c"
    break;

  case 831: /* bgp_role_name: PEER  */
#line 123 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PEER; }
#line 11066 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* bgp_role_name: PROVIDER  */
#line 124 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 11072 "obj/conf/cf-parse.tab.c"
    break;

  case 833: /* bgp_role_name: CUSTOMER  */
#line 125 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 11078 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* bgp_role_name: RS_SERVER  */
#line 126 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 11084 "obj/conf/cf-parse.tab.c"
    break;

  case 835: /* bgp_role_name: RS_CLIENT  */
#line 127 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 11090 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 135 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 11099 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 140 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 11110 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 146 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 11122 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 153 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 11128 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 154 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 11134 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 155 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 11140 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 156 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 11146 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 157 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 11152 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 158 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 11158 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 159 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 11164 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* bgp_proto: bgp_proto MIN HOLD TIME expr ';'  */
#line 160 "proto/bgp/config.Y"
                                    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 11170 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 161 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 11176 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 162 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 11182 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 163 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 11188 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 164 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 11194 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 165 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 11204 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 170 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 11210 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 171 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 11216 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 172 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 11222 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 173 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 11228 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 174 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 11234 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 175 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 11240 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 176 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 11246 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 177 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 11252 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 178 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 11258 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 179 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 11264 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 180 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 11270 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 181 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); log(L_WARN "%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 11276 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 182 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 11282 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 183 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 11288 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 184 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 11294 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* bgp_proto: bgp_proto MIN KEEPALIVE TIME expr ';'  */
#line 185 "proto/bgp/config.Y"
                                         { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 11300 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 186 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 11306 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 187 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 11312 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 188 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 11318 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 189 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 11324 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 190 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 11330 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 191 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 11336 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 192 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 11342 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 193 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 11348 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 194 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 11354 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 195 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 11360 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 196 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 11366 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 197 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 11372 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 198 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 11378 "obj/conf/cf-parse.tab.c"
    break;

  case 886: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 199 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 11384 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 200 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 11390 "obj/conf/cf-parse.tab.c"
    break;

  case 888: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 201 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 11396 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* bgp_proto: bgp_proto ALLOW BGP_MED bool ';'  */
#line 202 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 11402 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 203 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 11408 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 204 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 11414 "obj/conf/cf-parse.tab.c"
    break;

  case 892: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 205 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 11420 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 206 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 11426 "obj/conf/cf-parse.tab.c"
    break;

  case 894: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 207 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 11432 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 208 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 11438 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 209 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 11444 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 210 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 11450 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 211 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 11456 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 212 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 11462 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 213 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 11468 "obj/conf/cf-parse.tab.c"
    break;

  case 901: /* $@9: %empty  */
#line 214 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 11474 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* $@10: %empty  */
#line 214 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 11480 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 215 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 11486 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* bgp_proto: bgp_proto LOCAL ROLE bgp_role_name ';'  */
#line 216 "proto/bgp/config.Y"
                                          { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 11492 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* bgp_proto: bgp_proto REQUIRE ROLES bool ';'  */
#line 217 "proto/bgp/config.Y"
                                    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 11498 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* bgp_afi: IPV4  */
#line 221 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 11504 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* bgp_afi: IPV6  */
#line 222 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 11510 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* bgp_afi: IPV4 MULTICAST  */
#line 223 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 11516 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* bgp_afi: IPV6 MULTICAST  */
#line 224 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 11522 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* bgp_afi: IPV4 MPLS  */
#line 225 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 11528 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* bgp_afi: IPV6 MPLS  */
#line 226 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 11534 "obj/conf/cf-parse.tab.c"
    break;

  case 913: /* bgp_afi: VPN4 MPLS  */
#line 227 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 11540 "obj/conf/cf-parse.tab.c"
    break;

  case 914: /* bgp_afi: VPN6 MPLS  */
#line 228 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 11546 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* bgp_afi: VPN4 MULTICAST  */
#line 229 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 11552 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* bgp_afi: VPN6 MULTICAST  */
#line 230 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 11558 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* bgp_afi: FLOW4  */
#line 231 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 11564 "obj/conf/cf-parse.tab.c"
    break;

  case 918: /* bgp_afi: FLOW6  */
#line 232 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 11570 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* bgp_channel_start: bgp_afi  */
#line 236 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 11598 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* bgp_nh: bool  */
#line 261 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 11604 "obj/conf/cf-parse.tab.c"
    break;

  case 921: /* bgp_nh: IBGP  */
#line 262 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 11610 "obj/conf/cf-parse.tab.c"
    break;

  case 922: /* bgp_nh: EBGP  */
#line 263 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 11616 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 269 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 11622 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 270 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 11628 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 271 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 11634 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* bgp_channel_item: NEXT HOP PREFER GLOBAL  */
#line 272 "proto/bgp/config.Y"
                          { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 11640 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* bgp_channel_item: MANDATORY bool  */
#line 273 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 11646 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 274 "proto/bgp/config.Y"
                             { log(L_WARN "%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 11652 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* bgp_channel_item: GATEWAY DIRECT  */
#line 275 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 11658 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 276 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 11664 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* bgp_channel_item: SECONDARY bool  */
#line 277 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 11670 "obj/conf/cf-parse.tab.c"
    break;

  case 936: /* bgp_channel_item: VALIDATE bool  */
#line 278 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 11680 "obj/conf/cf-parse.tab.c"
    break;

  case 937: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 283 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 11686 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 284 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 11692 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 285 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 11698 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 286 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 11704 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* bgp_channel_item: ADD PATHS RX  */
#line 287 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 11710 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* bgp_channel_item: ADD PATHS TX  */
#line 288 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 11716 "obj/conf/cf-parse.tab.c"
    break;

  case 943: /* bgp_channel_item: ADD PATHS bool  */
#line 289 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 11722 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* bgp_channel_item: IMPORT TABLE bool  */
#line 290 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 11728 "obj/conf/cf-parse.tab.c"
    break;

  case 945: /* bgp_channel_item: EXPORT TABLE bool  */
#line 291 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 11734 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* bgp_channel_item: AIGP bool  */
#line 292 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 11740 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* bgp_channel_item: AIGP ORIGINATE  */
#line 293 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 11746 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* bgp_channel_item: COST expr  */
#line 294 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 11752 "obj/conf/cf-parse.tab.c"
    break;

  case 949: /* bgp_channel_item: IGP TABLE rtable  */
#line 295 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 11768 "obj/conf/cf-parse.tab.c"
    break;

  case 950: /* bgp_channel_item: BASE TABLE rtable  */
#line 306 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 11783 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* bgp_channel_end: %empty  */
#line 329 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 11794 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* dynamic_attr: BGP_ORIGIN  */
#line 340 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 11800 "obj/conf/cf-parse.tab.c"
    break;

  case 958: /* dynamic_attr: BGP_PATH  */
#line 342 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 11806 "obj/conf/cf-parse.tab.c"
    break;

  case 959: /* dynamic_attr: BGP_NEXT_HOP  */
#line 344 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 11812 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* dynamic_attr: BGP_MED  */
#line 346 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 11818 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 348 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 11824 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 350 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 11830 "obj/conf/cf-parse.tab.c"
    break;

  case 963: /* dynamic_attr: BGP_AGGREGATOR  */
#line 352 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 11836 "obj/conf/cf-parse.tab.c"
    break;

  case 964: /* dynamic_attr: BGP_COMMUNITY  */
#line 354 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 11842 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 356 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 11848 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 358 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 11854 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 360 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 11860 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* dynamic_attr: BGP_AIGP  */
#line 362 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 11866 "obj/conf/cf-parse.tab.c"
    break;

  case 969: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 364 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 11872 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* dynamic_attr: BGP_OTC  */
#line 366 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER)); }
#line 11878 "obj/conf/cf-parse.tab.c"
    break;

  case 972: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 11886 "obj/conf/cf-parse.tab.c"
    break;

  case 974: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 11892 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 11898 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 11904 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 11910 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 11916 "obj/conf/cf-parse.tab.c"
    break;

  case 979: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 11922 "obj/conf/cf-parse.tab.c"
    break;

  case 980: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 11928 "obj/conf/cf-parse.tab.c"
    break;

  case 983: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 11934 "obj/conf/cf-parse.tab.c"
    break;

  case 985: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 11940 "obj/conf/cf-parse.tab.c"
    break;

  case 986: /* mrt_dump_args: %empty  */
#line 57 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 11946 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 58 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 11952 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 59 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 11958 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 60 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11964 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 61 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 11970 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* mrt_dump_args: mrt_dump_args TO text  */
#line 62 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 11976 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* proto: ospf_proto '}'  */
#line 211 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 11982 "obj/conf/cf-parse.tab.c"
    break;

  case 993: /* ospf_variant: OSPF  */
#line 214 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 11988 "obj/conf/cf-parse.tab.c"
    break;

  case 994: /* ospf_variant: OSPF V2  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 11994 "obj/conf/cf-parse.tab.c"
    break;

  case 995: /* ospf_variant: OSPF V3  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 12000 "obj/conf/cf-parse.tab.c"
    break;

  case 996: /* ospf_proto_start: proto_start ospf_variant  */
#line 220 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 12018 "obj/conf/cf-parse.tab.c"
    break;

  case 999: /* ospf_af_mc: %empty  */
#line 240 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 12024 "obj/conf/cf-parse.tab.c"
    break;

  case 1000: /* ospf_af_mc: MULTICAST  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 12030 "obj/conf/cf-parse.tab.c"
    break;

  case 1001: /* ospf_channel_start: net_type ospf_af_mc  */
#line 246 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 12042 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* ospf_proto_item: ospf_channel  */
#line 258 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12048 "obj/conf/cf-parse.tab.c"
    break;

  case 1005: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 259 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 12054 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* ospf_proto_item: RFC5838 bool  */
#line 260 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 12060 "obj/conf/cf-parse.tab.c"
    break;

  case 1007: /* ospf_proto_item: VPN PE bool  */
#line 261 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 12066 "obj/conf/cf-parse.tab.c"
    break;

  case 1008: /* ospf_proto_item: STUB ROUTER bool  */
#line 262 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 12072 "obj/conf/cf-parse.tab.c"
    break;

  case 1009: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 263 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 12078 "obj/conf/cf-parse.tab.c"
    break;

  case 1010: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 264 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 12084 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 265 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 12090 "obj/conf/cf-parse.tab.c"
    break;

  case 1012: /* ospf_proto_item: ECMP bool  */
#line 266 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 12096 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 267 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 12102 "obj/conf/cf-parse.tab.c"
    break;

  case 1014: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 268 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 12108 "obj/conf/cf-parse.tab.c"
    break;

  case 1015: /* ospf_proto_item: TICK expr  */
#line 269 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 12114 "obj/conf/cf-parse.tab.c"
    break;

  case 1016: /* ospf_proto_item: INSTANCE ID expr  */
#line 270 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 12120 "obj/conf/cf-parse.tab.c"
    break;

  case 1018: /* ospf_area_start: AREA idval  */
#line 274 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 12138 "obj/conf/cf-parse.tab.c"
    break;

  case 1019: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 289 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 12144 "obj/conf/cf-parse.tab.c"
    break;

  case 1022: /* ospf_area_item: STUB bool  */
#line 298 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 12150 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* ospf_area_item: NSSA  */
#line 299 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 12156 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* ospf_area_item: SUMMARY bool  */
#line 300 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 12162 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* ospf_area_item: DEFAULT NSSA bool  */
#line 301 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 12168 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* ospf_area_item: DEFAULT COST expr  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 12174 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* ospf_area_item: DEFAULT COST2 expr  */
#line 303 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 12180 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* ospf_area_item: STUB COST expr  */
#line 304 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 12186 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* ospf_area_item: TRANSLATOR bool  */
#line 305 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 12192 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 306 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 12198 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* $@11: %empty  */
#line 307 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 12204 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* $@12: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 12210 "obj/conf/cf-parse.tab.c"
    break;

  case 1040: /* ospf_stubnet_start: net_ip  */
#line 320 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 12221 "obj/conf/cf-parse.tab.c"
    break;

  case 1043: /* ospf_stubnet_item: HIDDEN bool  */
#line 334 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 12227 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* ospf_stubnet_item: SUMMARY bool  */
#line 335 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 12233 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* ospf_stubnet_item: COST expr  */
#line 336 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 12239 "obj/conf/cf-parse.tab.c"
    break;

  case 1046: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 340 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 12245 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 341 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 12251 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* ospf_vlink_item: HELLO expr  */
#line 350 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 12257 "obj/conf/cf-parse.tab.c"
    break;

  case 1052: /* ospf_vlink_item: RETRANSMIT expr  */
#line 351 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 12263 "obj/conf/cf-parse.tab.c"
    break;

  case 1053: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 352 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 12269 "obj/conf/cf-parse.tab.c"
    break;

  case 1054: /* ospf_vlink_item: WAIT expr  */
#line 353 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 12275 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* ospf_vlink_item: DEAD expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 12281 "obj/conf/cf-parse.tab.c"
    break;

  case 1056: /* ospf_vlink_item: DEAD COUNT expr  */
#line 355 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 12287 "obj/conf/cf-parse.tab.c"
    break;

  case 1057: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 356 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 12293 "obj/conf/cf-parse.tab.c"
    break;

  case 1058: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 357 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 12299 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 358 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 12305 "obj/conf/cf-parse.tab.c"
    break;

  case 1061: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 363 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 12325 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* ospf_iface_item: COST expr  */
#line 381 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 12331 "obj/conf/cf-parse.tab.c"
    break;

  case 1063: /* ospf_iface_item: HELLO expr  */
#line 382 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 12337 "obj/conf/cf-parse.tab.c"
    break;

  case 1064: /* ospf_iface_item: POLL expr  */
#line 383 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 12343 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* ospf_iface_item: RETRANSMIT expr  */
#line 384 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 12349 "obj/conf/cf-parse.tab.c"
    break;

  case 1066: /* ospf_iface_item: WAIT expr  */
#line 385 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 12355 "obj/conf/cf-parse.tab.c"
    break;

  case 1067: /* ospf_iface_item: DEAD expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 12361 "obj/conf/cf-parse.tab.c"
    break;

  case 1068: /* ospf_iface_item: DEAD COUNT expr  */
#line 387 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 12367 "obj/conf/cf-parse.tab.c"
    break;

  case 1069: /* ospf_iface_item: TYPE BROADCAST  */
#line 388 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 12373 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* ospf_iface_item: TYPE BCAST  */
#line 389 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 12379 "obj/conf/cf-parse.tab.c"
    break;

  case 1071: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 390 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 12385 "obj/conf/cf-parse.tab.c"
    break;

  case 1072: /* ospf_iface_item: TYPE NBMA  */
#line 391 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 12391 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 392 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 12397 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* ospf_iface_item: TYPE PTP  */
#line 393 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 12403 "obj/conf/cf-parse.tab.c"
    break;

  case 1075: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 394 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 12409 "obj/conf/cf-parse.tab.c"
    break;

  case 1076: /* ospf_iface_item: TYPE PTMP  */
#line 395 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 12415 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* ospf_iface_item: REAL BROADCAST bool  */
#line 396 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 12421 "obj/conf/cf-parse.tab.c"
    break;

  case 1078: /* ospf_iface_item: PTP NETMASK bool  */
#line 397 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 12427 "obj/conf/cf-parse.tab.c"
    break;

  case 1079: /* ospf_iface_item: PTP ADDRESS bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 12433 "obj/conf/cf-parse.tab.c"
    break;

  case 1080: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 399 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 12439 "obj/conf/cf-parse.tab.c"
    break;

  case 1081: /* ospf_iface_item: PRIORITY expr  */
#line 400 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 12445 "obj/conf/cf-parse.tab.c"
    break;

  case 1082: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 401 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 12451 "obj/conf/cf-parse.tab.c"
    break;

  case 1083: /* ospf_iface_item: STUB bool  */
#line 402 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 12457 "obj/conf/cf-parse.tab.c"
    break;

  case 1084: /* ospf_iface_item: CHECK LINK bool  */
#line 403 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 12463 "obj/conf/cf-parse.tab.c"
    break;

  case 1085: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 404 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 12469 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 405 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 12475 "obj/conf/cf-parse.tab.c"
    break;

  case 1088: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 407 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 12481 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 408 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 12487 "obj/conf/cf-parse.tab.c"
    break;

  case 1090: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 409 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 12493 "obj/conf/cf-parse.tab.c"
    break;

  case 1091: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 410 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 12499 "obj/conf/cf-parse.tab.c"
    break;

  case 1092: /* ospf_iface_item: RX BUFFER LARGE  */
#line 411 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 12505 "obj/conf/cf-parse.tab.c"
    break;

  case 1093: /* ospf_iface_item: RX BUFFER expr  */
#line 412 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 12511 "obj/conf/cf-parse.tab.c"
    break;

  case 1094: /* ospf_iface_item: TX tos  */
#line 413 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 12517 "obj/conf/cf-parse.tab.c"
    break;

  case 1095: /* ospf_iface_item: TX PRIORITY expr  */
#line 414 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 12523 "obj/conf/cf-parse.tab.c"
    break;

  case 1096: /* ospf_iface_item: TX LENGTH expr  */
#line 415 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 12529 "obj/conf/cf-parse.tab.c"
    break;

  case 1097: /* ospf_iface_item: TTL SECURITY bool  */
#line 416 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 12535 "obj/conf/cf-parse.tab.c"
    break;

  case 1098: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 417 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 12541 "obj/conf/cf-parse.tab.c"
    break;

  case 1099: /* ospf_iface_item: BFD bool  */
#line 418 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 12547 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* pref_base: net_ip  */
#line 430 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 12557 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* pref_opt: HIDDEN  */
#line 439 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 12563 "obj/conf/cf-parse.tab.c"
    break;

  case 1107: /* pref_opt: TAG expr  */
#line 440 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 12569 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* nbma_eligible: %empty  */
#line 449 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 12575 "obj/conf/cf-parse.tab.c"
    break;

  case 1111: /* nbma_eligible: ELIGIBLE  */
#line 450 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 12581 "obj/conf/cf-parse.tab.c"
    break;

  case 1112: /* nbma_item: ipa nbma_eligible ';'  */
#line 454 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 12592 "obj/conf/cf-parse.tab.c"
    break;

  case 1113: /* ospf_iface_start: %empty  */
#line 463 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 12617 "obj/conf/cf-parse.tab.c"
    break;

  case 1115: /* ospf_instance_id: INSTANCE expr  */
#line 487 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 12623 "obj/conf/cf-parse.tab.c"
    break;

  case 1116: /* $@13: %empty  */
#line 491 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 12629 "obj/conf/cf-parse.tab.c"
    break;

  case 1122: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 505 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 12635 "obj/conf/cf-parse.tab.c"
    break;

  case 1123: /* dynamic_attr: OSPF_METRIC1  */
#line 508 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 12641 "obj/conf/cf-parse.tab.c"
    break;

  case 1124: /* dynamic_attr: OSPF_METRIC2  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 12647 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* dynamic_attr: OSPF_TAG  */
#line 510 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 12653 "obj/conf/cf-parse.tab.c"
    break;

  case 1126: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 511 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 12659 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 515 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 12665 "obj/conf/cf-parse.tab.c"
    break;

  case 1130: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 518 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 12671 "obj/conf/cf-parse.tab.c"
    break;

  case 1132: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 521 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 12677 "obj/conf/cf-parse.tab.c"
    break;

  case 1134: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 526 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 12683 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 529 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 12689 "obj/conf/cf-parse.tab.c"
    break;

  case 1138: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 534 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 12695 "obj/conf/cf-parse.tab.c"
    break;

  case 1140: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 537 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 12701 "obj/conf/cf-parse.tab.c"
    break;

  case 1142: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 541 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 12712 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* lsadb_args: %empty  */
#line 549 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 12720 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* lsadb_args: lsadb_args GLOBAL  */
#line 552 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 12726 "obj/conf/cf-parse.tab.c"
    break;

  case 1145: /* lsadb_args: lsadb_args AREA idval  */
#line 553 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 12732 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* lsadb_args: lsadb_args LINK  */
#line 554 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 12738 "obj/conf/cf-parse.tab.c"
    break;

  case 1147: /* lsadb_args: lsadb_args TYPE NUM  */
#line 555 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 12744 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* lsadb_args: lsadb_args LSID idval  */
#line 556 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 12750 "obj/conf/cf-parse.tab.c"
    break;

  case 1149: /* lsadb_args: lsadb_args SELF  */
#line 557 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 12756 "obj/conf/cf-parse.tab.c"
    break;

  case 1150: /* lsadb_args: lsadb_args ROUTER idval  */
#line 558 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 12762 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 559 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 12768 "obj/conf/cf-parse.tab.c"
    break;

  case 1153: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 12784 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 12790 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 12796 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 12802 "obj/conf/cf-parse.tab.c"
    break;

  case 1160: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 12808 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 12814 "obj/conf/cf-parse.tab.c"
    break;

  case 1162: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 12820 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 12826 "obj/conf/cf-parse.tab.c"
    break;

  case 1164: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 12832 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 12838 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 12844 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 12850 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* $@14: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 12858 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* pipe_proto_start: proto_start PIPE $@14 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 12871 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 12877 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* radv_proto_start: proto_start RADV  */
#line 47 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
}
#line 12891 "obj/conf/cf-parse.tab.c"
    break;

  case 1179: /* radv_proto_item: PREFIX radv_prefix  */
#line 61 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 12897 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* $@15: %empty  */
#line 62 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12903 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* radv_proto_item: RDNSS $@15 radv_rdnss  */
#line 62 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 12909 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* $@16: %empty  */
#line 63 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 12915 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* radv_proto_item: DNSSL $@16 radv_dnssl  */
#line 63 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 12921 "obj/conf/cf-parse.tab.c"
    break;

  case 1184: /* radv_proto_item: TRIGGER net_ip6  */
#line 64 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 12927 "obj/conf/cf-parse.tab.c"
    break;

  case 1185: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 65 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 12933 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* radv_iface_start: %empty  */
#line 78 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 12959 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 101 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 12965 "obj/conf/cf-parse.tab.c"
    break;

  case 1191: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 102 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 12971 "obj/conf/cf-parse.tab.c"
    break;

  case 1192: /* radv_iface_item: MIN DELAY expr  */
#line 103 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 12977 "obj/conf/cf-parse.tab.c"
    break;

  case 1193: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 104 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 12983 "obj/conf/cf-parse.tab.c"
    break;

  case 1194: /* radv_iface_item: MANAGED bool  */
#line 105 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 12989 "obj/conf/cf-parse.tab.c"
    break;

  case 1195: /* radv_iface_item: OTHER CONFIG bool  */
#line 106 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 12995 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* radv_iface_item: LINK MTU expr  */
#line 107 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 13001 "obj/conf/cf-parse.tab.c"
    break;

  case 1197: /* radv_iface_item: REACHABLE TIME expr  */
#line 108 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 13007 "obj/conf/cf-parse.tab.c"
    break;

  case 1198: /* radv_iface_item: RETRANS TIMER expr  */
#line 109 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 13013 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 110 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 13019 "obj/conf/cf-parse.tab.c"
    break;

  case 1200: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 111 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13029 "obj/conf/cf-parse.tab.c"
    break;

  case 1201: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 116 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13038 "obj/conf/cf-parse.tab.c"
    break;

  case 1202: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 120 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 13044 "obj/conf/cf-parse.tab.c"
    break;

  case 1203: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 121 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 13050 "obj/conf/cf-parse.tab.c"
    break;

  case 1204: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 122 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 13056 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 123 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 13062 "obj/conf/cf-parse.tab.c"
    break;

  case 1206: /* radv_iface_item: PREFIX radv_prefix  */
#line 124 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 13068 "obj/conf/cf-parse.tab.c"
    break;

  case 1207: /* $@17: %empty  */
#line 125 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 13074 "obj/conf/cf-parse.tab.c"
    break;

  case 1208: /* radv_iface_item: RDNSS $@17 radv_rdnss  */
#line 125 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 13080 "obj/conf/cf-parse.tab.c"
    break;

  case 1209: /* $@18: %empty  */
#line 126 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 13086 "obj/conf/cf-parse.tab.c"
    break;

  case 1210: /* radv_iface_item: DNSSL $@18 radv_dnssl  */
#line 126 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 13092 "obj/conf/cf-parse.tab.c"
    break;

  case 1211: /* radv_iface_item: RDNSS LOCAL bool  */
#line 127 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 13098 "obj/conf/cf-parse.tab.c"
    break;

  case 1212: /* radv_iface_item: DNSSL LOCAL bool  */
#line 128 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 13104 "obj/conf/cf-parse.tab.c"
    break;

  case 1213: /* radv_preference: LOW  */
#line 132 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 13110 "obj/conf/cf-parse.tab.c"
    break;

  case 1214: /* radv_preference: MEDIUM  */
#line 133 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 13116 "obj/conf/cf-parse.tab.c"
    break;

  case 1215: /* radv_preference: HIGH  */
#line 134 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 13122 "obj/conf/cf-parse.tab.c"
    break;

  case 1216: /* radv_iface_finish: %empty  */
#line 137 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 13163 "obj/conf/cf-parse.tab.c"
    break;

  case 1222: /* radv_prefix_start: net_ip6  */
#line 190 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 13177 "obj/conf/cf-parse.tab.c"
    break;

  case 1223: /* radv_prefix_item: SKIP bool  */
#line 201 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 13183 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* radv_prefix_item: ONLINK bool  */
#line 202 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 13189 "obj/conf/cf-parse.tab.c"
    break;

  case 1225: /* radv_prefix_item: AUTONOMOUS bool  */
#line 203 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 13195 "obj/conf/cf-parse.tab.c"
    break;

  case 1226: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 204 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13204 "obj/conf/cf-parse.tab.c"
    break;

  case 1227: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 208 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 13213 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* radv_prefix_finish: %empty  */
#line 215 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 13225 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* radv_rdnss_node: ipa  */
#line 239 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 13237 "obj/conf/cf-parse.tab.c"
    break;

  case 1235: /* radv_rdnss_start: %empty  */
#line 248 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 13246 "obj/conf/cf-parse.tab.c"
    break;

  case 1238: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 255 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 13252 "obj/conf/cf-parse.tab.c"
    break;

  case 1239: /* radv_rdnss_finish: %empty  */
#line 259 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 13268 "obj/conf/cf-parse.tab.c"
    break;

  case 1244: /* radv_dnssl_node: TEXT  */
#line 283 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 13283 "obj/conf/cf-parse.tab.c"
    break;

  case 1245: /* radv_dnssl_start: %empty  */
#line 295 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 13292 "obj/conf/cf-parse.tab.c"
    break;

  case 1248: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 302 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 13298 "obj/conf/cf-parse.tab.c"
    break;

  case 1249: /* radv_dnssl_finish: %empty  */
#line 306 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 13314 "obj/conf/cf-parse.tab.c"
    break;

  case 1254: /* radv_mult: expr  */
#line 330 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 13320 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* radv_mult: MULT expr  */
#line 331 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 13326 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* radv_sensitive: %empty  */
#line 335 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 13332 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* radv_sensitive: SENSITIVE bool  */
#line 336 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 13338 "obj/conf/cf-parse.tab.c"
    break;

  case 1258: /* dynamic_attr: RA_PREFERENCE  */
#line 339 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 13344 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* dynamic_attr: RA_LIFETIME  */
#line 340 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 13350 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* rip_variant: RIP  */
#line 49 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 13356 "obj/conf/cf-parse.tab.c"
    break;

  case 1262: /* rip_variant: RIP NG  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 13362 "obj/conf/cf-parse.tab.c"
    break;

  case 1263: /* rip_proto_start: proto_start rip_variant  */
#line 54 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 13378 "obj/conf/cf-parse.tab.c"
    break;

  case 1266: /* rip_proto_item: ECMP bool  */
#line 69 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 13384 "obj/conf/cf-parse.tab.c"
    break;

  case 1267: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 13390 "obj/conf/cf-parse.tab.c"
    break;

  case 1268: /* rip_proto_item: INFINITY expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 13396 "obj/conf/cf-parse.tab.c"
    break;

  case 1273: /* rip_iface_start: %empty  */
#line 85 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 13424 "obj/conf/cf-parse.tab.c"
    break;

  case 1274: /* rip_iface_finish: %empty  */
#line 110 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    log(L_WARN "Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 13457 "obj/conf/cf-parse.tab.c"
    break;

  case 1275: /* rip_iface_item: METRIC expr  */
#line 140 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 13463 "obj/conf/cf-parse.tab.c"
    break;

  case 1276: /* rip_iface_item: MODE MULTICAST  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 13469 "obj/conf/cf-parse.tab.c"
    break;

  case 1277: /* rip_iface_item: MODE BROADCAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 13475 "obj/conf/cf-parse.tab.c"
    break;

  case 1278: /* rip_iface_item: PASSIVE bool  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 13481 "obj/conf/cf-parse.tab.c"
    break;

  case 1279: /* rip_iface_item: ADDRESS ipa  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 13487 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* rip_iface_item: PORT expr  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13493 "obj/conf/cf-parse.tab.c"
    break;

  case 1281: /* rip_iface_item: VERSION expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 13502 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* rip_iface_item: VERSION ONLY bool  */
#line 150 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 13508 "obj/conf/cf-parse.tab.c"
    break;

  case 1283: /* rip_iface_item: SPLIT HORIZON bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 13514 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* rip_iface_item: POISON REVERSE bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 13520 "obj/conf/cf-parse.tab.c"
    break;

  case 1285: /* rip_iface_item: CHECK ZERO bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 13526 "obj/conf/cf-parse.tab.c"
    break;

  case 1286: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 13532 "obj/conf/cf-parse.tab.c"
    break;

  case 1287: /* rip_iface_item: UPDATE TIME expr  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 13538 "obj/conf/cf-parse.tab.c"
    break;

  case 1288: /* rip_iface_item: TIMEOUT TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 13544 "obj/conf/cf-parse.tab.c"
    break;

  case 1289: /* rip_iface_item: GARBAGE TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 13550 "obj/conf/cf-parse.tab.c"
    break;

  case 1290: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 158 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 13556 "obj/conf/cf-parse.tab.c"
    break;

  case 1291: /* rip_iface_item: ECMP WEIGHT expr  */
#line 159 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 13562 "obj/conf/cf-parse.tab.c"
    break;

  case 1292: /* rip_iface_item: RX BUFFER expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 13568 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* rip_iface_item: TX LENGTH expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 13574 "obj/conf/cf-parse.tab.c"
    break;

  case 1294: /* rip_iface_item: TX tos  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 13580 "obj/conf/cf-parse.tab.c"
    break;

  case 1295: /* rip_iface_item: TX PRIORITY expr  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 13586 "obj/conf/cf-parse.tab.c"
    break;

  case 1296: /* rip_iface_item: TTL SECURITY bool  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 13592 "obj/conf/cf-parse.tab.c"
    break;

  case 1297: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 13598 "obj/conf/cf-parse.tab.c"
    break;

  case 1298: /* rip_iface_item: CHECK LINK bool  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 13604 "obj/conf/cf-parse.tab.c"
    break;

  case 1299: /* rip_iface_item: BFD bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 13610 "obj/conf/cf-parse.tab.c"
    break;

  case 1300: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 168 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 13616 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* rip_iface_item: password_list  */
#line 169 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 13622 "obj/conf/cf-parse.tab.c"
    break;

  case 1302: /* rip_auth: NONE  */
#line 173 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 13628 "obj/conf/cf-parse.tab.c"
    break;

  case 1303: /* rip_auth: PLAINTEXT  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 13634 "obj/conf/cf-parse.tab.c"
    break;

  case 1304: /* rip_auth: CRYPTOGRAPHIC  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13640 "obj/conf/cf-parse.tab.c"
    break;

  case 1305: /* rip_auth: MD5  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 13646 "obj/conf/cf-parse.tab.c"
    break;

  case 1311: /* dynamic_attr: RIP_METRIC  */
#line 193 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 13652 "obj/conf/cf-parse.tab.c"
    break;

  case 1312: /* dynamic_attr: RIP_TAG  */
#line 194 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 13658 "obj/conf/cf-parse.tab.c"
    break;

  case 1314: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 199 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 13664 "obj/conf/cf-parse.tab.c"
    break;

  case 1316: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 202 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 13670 "obj/conf/cf-parse.tab.c"
    break;

  case 1318: /* rpki_proto_start: proto_start RPKI  */
#line 43 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 13681 "obj/conf/cf-parse.tab.c"
    break;

  case 1319: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 50 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 13687 "obj/conf/cf-parse.tab.c"
    break;

  case 1328: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 64 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 13698 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 70 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 13709 "obj/conf/cf-parse.tab.c"
    break;

  case 1330: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 76 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 13720 "obj/conf/cf-parse.tab.c"
    break;

  case 1331: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 82 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 13726 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* rpki_keep_interval: %empty  */
#line 86 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 13732 "obj/conf/cf-parse.tab.c"
    break;

  case 1333: /* rpki_keep_interval: KEEP  */
#line 87 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 13738 "obj/conf/cf-parse.tab.c"
    break;

  case 1334: /* rpki_proto_item_port: PORT expr  */
#line 90 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 13744 "obj/conf/cf-parse.tab.c"
    break;

  case 1335: /* rpki_cache_addr: text  */
#line 93 "proto/rpki/config.Y"
        {
     rpki_check_unused_hostname();
     RPKI_CFG->hostname = (yyvsp[0].t);
   }
#line 13753 "obj/conf/cf-parse.tab.c"
    break;

  case 1336: /* rpki_cache_addr: ipa  */
#line 97 "proto/rpki/config.Y"
       {
     rpki_check_unused_hostname();
     RPKI_CFG->ip = (yyvsp[0].a);
     /* Ensure hostname is filled */
     char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
     bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
     RPKI_CFG->hostname = hostname;
   }
#line 13766 "obj/conf/cf-parse.tab.c"
    break;

  case 1339: /* rpki_transport_tcp_init: %empty  */
#line 113 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 13776 "obj/conf/cf-parse.tab.c"
    break;

  case 1340: /* rpki_transport_ssh_init: %empty  */
#line 120 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 13790 "obj/conf/cf-parse.tab.c"
    break;

  case 1343: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 136 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 13796 "obj/conf/cf-parse.tab.c"
    break;

  case 1344: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 137 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 13802 "obj/conf/cf-parse.tab.c"
    break;

  case 1345: /* rpki_transport_ssh_item: USER text  */
#line 138 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 13808 "obj/conf/cf-parse.tab.c"
    break;

  case 1346: /* rpki_transport_ssh_check: %empty  */
#line 142 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 13817 "obj/conf/cf-parse.tab.c"
    break;

  case 1348: /* static_proto_start: proto_start STATIC  */
#line 57 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 13826 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* static_proto: static_proto proto_channel ';'  */
#line 65 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 13832 "obj/conf/cf-parse.tab.c"
    break;

  case 1352: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 66 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 13838 "obj/conf/cf-parse.tab.c"
    break;

  case 1353: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 67 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 13851 "obj/conf/cf-parse.tab.c"
    break;

  case 1354: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 75 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 13857 "obj/conf/cf-parse.tab.c"
    break;

  case 1355: /* stat_nexthop: VIA ipa ipa_scope  */
#line 79 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 13867 "obj/conf/cf-parse.tab.c"
    break;

  case 1356: /* stat_nexthop: VIA TEXT  */
#line 84 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 13877 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 89 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 13885 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 92 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 13893 "obj/conf/cf-parse.tab.c"
    break;

  case 1359: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 95 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 13902 "obj/conf/cf-parse.tab.c"
    break;

  case 1360: /* stat_nexthop: stat_nexthop BFD bool  */
#line 99 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 13910 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* stat_route0: ROUTE net_any  */
#line 109 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 13924 "obj/conf/cf-parse.tab.c"
    break;

  case 1365: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 122 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 13933 "obj/conf/cf-parse.tab.c"
    break;

  case 1366: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 126 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 13943 "obj/conf/cf-parse.tab.c"
    break;

  case 1367: /* stat_route: stat_route0  */
#line 131 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 13949 "obj/conf/cf-parse.tab.c"
    break;

  case 1368: /* stat_route: stat_route0 DROP  */
#line 132 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 13955 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* stat_route: stat_route0 REJECT  */
#line 133 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 13961 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* stat_route: stat_route0 BLACKHOLE  */
#line 134 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 13967 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* stat_route: stat_route0 UNREACHABLE  */
#line 135 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 13973 "obj/conf/cf-parse.tab.c"
    break;

  case 1372: /* stat_route: stat_route0 PROHIBIT  */
#line 136 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 13979 "obj/conf/cf-parse.tab.c"
    break;

  case 1373: /* stat_route_item: cmd  */
#line 140 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 13991 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 161 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 13997 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* kern_sys_item: KERNEL TABLE expr  */
#line 26 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 14003 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* kern_sys_item: METRIC expr  */
#line 27 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 14009 "obj/conf/cf-parse.tab.c"
    break;

  case 1383: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 28 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 14015 "obj/conf/cf-parse.tab.c"
    break;

  case 1384: /* dynamic_attr: KRT_PREFSRC  */
#line 31 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 14021 "obj/conf/cf-parse.tab.c"
    break;

  case 1385: /* dynamic_attr: KRT_REALM  */
#line 32 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 14027 "obj/conf/cf-parse.tab.c"
    break;

  case 1386: /* dynamic_attr: KRT_SCOPE  */
#line 33 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 14033 "obj/conf/cf-parse.tab.c"
    break;

  case 1387: /* dynamic_attr: KRT_MTU  */
#line 35 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 14039 "obj/conf/cf-parse.tab.c"
    break;

  case 1388: /* dynamic_attr: KRT_WINDOW  */
#line 36 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 14045 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* dynamic_attr: KRT_RTT  */
#line 37 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 14051 "obj/conf/cf-parse.tab.c"
    break;

  case 1390: /* dynamic_attr: KRT_RTTVAR  */
#line 38 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 14057 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* dynamic_attr: KRT_SSTRESH  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 14063 "obj/conf/cf-parse.tab.c"
    break;

  case 1392: /* dynamic_attr: KRT_CWND  */
#line 40 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 14069 "obj/conf/cf-parse.tab.c"
    break;

  case 1393: /* dynamic_attr: KRT_ADVMSS  */
#line 41 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 14075 "obj/conf/cf-parse.tab.c"
    break;

  case 1394: /* dynamic_attr: KRT_REORDERING  */
#line 42 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 14081 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* dynamic_attr: KRT_HOPLIMIT  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 14087 "obj/conf/cf-parse.tab.c"
    break;

  case 1396: /* dynamic_attr: KRT_INITCWND  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 14093 "obj/conf/cf-parse.tab.c"
    break;

  case 1397: /* dynamic_attr: KRT_RTO_MIN  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 14099 "obj/conf/cf-parse.tab.c"
    break;

  case 1398: /* dynamic_attr: KRT_INITRWND  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 14105 "obj/conf/cf-parse.tab.c"
    break;

  case 1399: /* dynamic_attr: KRT_QUICKACK  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 14111 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* dynamic_attr: KRT_LOCK_MTU  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 14117 "obj/conf/cf-parse.tab.c"
    break;

  case 1401: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 14123 "obj/conf/cf-parse.tab.c"
    break;

  case 1402: /* dynamic_attr: KRT_LOCK_RTT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 14129 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 14135 "obj/conf/cf-parse.tab.c"
    break;

  case 1404: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 14141 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* dynamic_attr: KRT_LOCK_CWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 14147 "obj/conf/cf-parse.tab.c"
    break;

  case 1406: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 14153 "obj/conf/cf-parse.tab.c"
    break;

  case 1407: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 58 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 14159 "obj/conf/cf-parse.tab.c"
    break;

  case 1408: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 59 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 14165 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 60 "sysdep/linux/netlink.Y"
                               { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 14171 "obj/conf/cf-parse.tab.c"
    break;

  case 1410: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 62 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 14177 "obj/conf/cf-parse.tab.c"
    break;

  case 1411: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 63 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 14183 "obj/conf/cf-parse.tab.c"
    break;

  case 1413: /* log_begin: %empty  */
#line 33 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 14189 "obj/conf/cf-parse.tab.c"
    break;

  case 1414: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 35 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 14198 "obj/conf/cf-parse.tab.c"
    break;

  case 1415: /* syslog_name: NAME text  */
#line 42 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 14204 "obj/conf/cf-parse.tab.c"
    break;

  case 1416: /* syslog_name: %empty  */
#line 43 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 14210 "obj/conf/cf-parse.tab.c"
    break;

  case 1418: /* log_limit: expr text  */
#line 48 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 14216 "obj/conf/cf-parse.tab.c"
    break;

  case 1419: /* log_file: text log_limit  */
#line 52 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 14231 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* log_file: SYSLOG syslog_name  */
#line 62 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 14237 "obj/conf/cf-parse.tab.c"
    break;

  case 1421: /* log_file: STDERR  */
#line 63 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 14243 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* log_mask: ALL  */
#line 67 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 14249 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* log_mask: '{' log_mask_list '}'  */
#line 68 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 14255 "obj/conf/cf-parse.tab.c"
    break;

  case 1424: /* log_mask_list: log_cat  */
#line 72 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 14261 "obj/conf/cf-parse.tab.c"
    break;

  case 1425: /* log_mask_list: log_mask_list ',' log_cat  */
#line 73 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 14267 "obj/conf/cf-parse.tab.c"
    break;

  case 1426: /* log_cat: DEBUG  */
#line 77 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 14273 "obj/conf/cf-parse.tab.c"
    break;

  case 1427: /* log_cat: TRACE  */
#line 78 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 14279 "obj/conf/cf-parse.tab.c"
    break;

  case 1428: /* log_cat: INFO  */
#line 79 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 14285 "obj/conf/cf-parse.tab.c"
    break;

  case 1429: /* log_cat: REMOTE  */
#line 80 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 14291 "obj/conf/cf-parse.tab.c"
    break;

  case 1430: /* log_cat: WARNING  */
#line 81 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 14297 "obj/conf/cf-parse.tab.c"
    break;

  case 1431: /* log_cat: ERROR  */
#line 82 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 14303 "obj/conf/cf-parse.tab.c"
    break;

  case 1432: /* log_cat: AUTH  */
#line 83 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 14309 "obj/conf/cf-parse.tab.c"
    break;

  case 1433: /* log_cat: FATAL  */
#line 84 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 14315 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* log_cat: BUG  */
#line 85 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 14321 "obj/conf/cf-parse.tab.c"
    break;

  case 1436: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 92 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 14327 "obj/conf/cf-parse.tab.c"
    break;

  case 1437: /* mrtdump_base: MRTDUMP text ';'  */
#line 93 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 14340 "obj/conf/cf-parse.tab.c"
    break;

  case 1439: /* debug_unix: DEBUG LATENCY bool  */
#line 107 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 14346 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 108 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 14352 "obj/conf/cf-parse.tab.c"
    break;

  case 1441: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 109 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 14358 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 110 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 14364 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 119 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 14370 "obj/conf/cf-parse.tab.c"
    break;

  case 1446: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 122 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 14376 "obj/conf/cf-parse.tab.c"
    break;

  case 1448: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 129 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 14382 "obj/conf/cf-parse.tab.c"
    break;

  case 1450: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 132 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 14388 "obj/conf/cf-parse.tab.c"
    break;

  case 1452: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 135 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 14394 "obj/conf/cf-parse.tab.c"
    break;

  case 1454: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 138 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 14400 "obj/conf/cf-parse.tab.c"
    break;

  case 1456: /* cmd_DOWN: DOWN END  */
#line 141 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 14406 "obj/conf/cf-parse.tab.c"
    break;

  case 1458: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 146 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 14412 "obj/conf/cf-parse.tab.c"
    break;

  case 1459: /* cfg_name: %empty  */
#line 150 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 14418 "obj/conf/cf-parse.tab.c"
    break;

  case 1461: /* cfg_timeout: %empty  */
#line 155 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 14424 "obj/conf/cf-parse.tab.c"
    break;

  case 1462: /* cfg_timeout: TIMEOUT  */
#line 156 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 14430 "obj/conf/cf-parse.tab.c"
    break;

  case 1463: /* cfg_timeout: TIMEOUT expr  */
#line 157 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 14436 "obj/conf/cf-parse.tab.c"
    break;

  case 1465: /* kern_proto_start: proto_start KERNEL  */
#line 43 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 14444 "obj/conf/cf-parse.tab.c"
    break;

  case 1468: /* kern_mp_limit: %empty  */
#line 52 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 14450 "obj/conf/cf-parse.tab.c"
    break;

  case 1469: /* kern_mp_limit: LIMIT expr  */
#line 53 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 14456 "obj/conf/cf-parse.tab.c"
    break;

  case 1471: /* kern_item: proto_channel  */
#line 58 "sysdep/unix/krt.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14462 "obj/conf/cf-parse.tab.c"
    break;

  case 1472: /* kern_item: PERSIST bool  */
#line 59 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 14468 "obj/conf/cf-parse.tab.c"
    break;

  case 1473: /* kern_item: SCAN TIME expr  */
#line 60 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 14477 "obj/conf/cf-parse.tab.c"
    break;

  case 1474: /* kern_item: LEARN bool  */
#line 64 "sysdep/unix/krt.Y"
              {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 14489 "obj/conf/cf-parse.tab.c"
    break;

  case 1475: /* kern_item: GRACEFUL RESTART bool  */
#line 71 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 14495 "obj/conf/cf-parse.tab.c"
    break;

  case 1476: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 72 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 14507 "obj/conf/cf-parse.tab.c"
    break;

  case 1478: /* kif_proto_start: proto_start DEVICE  */
#line 85 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 14513 "obj/conf/cf-parse.tab.c"
    break;

  case 1483: /* kif_item: SCAN TIME expr  */
#line 94 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 14522 "obj/conf/cf-parse.tab.c"
    break;

  case 1484: /* kif_iface_start: %empty  */
#line 101 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 14532 "obj/conf/cf-parse.tab.c"
    break;

  case 1485: /* kif_iface_item: PREFERRED ipa  */
#line 108 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 14538 "obj/conf/cf-parse.tab.c"
    break;

  case 1491: /* dynamic_attr: KRT_SOURCE  */
#line 125 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 14544 "obj/conf/cf-parse.tab.c"
    break;

  case 1492: /* dynamic_attr: KRT_METRIC  */
#line 126 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 14550 "obj/conf/cf-parse.tab.c"
    break;


#line 14554 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          goto yyexhaustedlab;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;


#if 1
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturn;
#endif


/*-------------------------------------------------------.
| yyreturn -- parsing is finished, clean up and return.  |
`-------------------------------------------------------*/
yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 50 "conf/gen_parser.m4"

#line 397 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 929 "nest/config.Y"
/* C Code from nest/config.Y */

#line 189 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 185 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 372 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 562 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 342 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 205 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 147 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 163 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 66 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 160 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 128 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

